exports.BattleFormatsData = {
	bulbasaur: {
		randomBattleMoves: ["sleeppowder","gigadrain","growth","hiddenpowerfire","hiddenpowerice","sludgebomb","swordsdance","powerwhip","leechseed","synthesis"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["sweetscent","growth","solarbeam","synthesis"]},
			{"generation":3,"level":10,"gender":"M","moves":["tackle","growl","leechseed","vinewhip"]}
		],
		tier: "LC"
	},
	ivysaur: {
		randomBattleMoves: ["sleeppowder","gigadrain","growth","hiddenpowerfire","hiddenpowerice","sludgebomb","swordsdance","powerwhip","leechseed","synthesis"],
		tier: "NFE"
	},
	venusaur: {
		randomBattleMoves: ["sleeppowder","gigadrain","growth","hiddenpowerfire","hiddenpowerice","sludgebomb","swordsdance","powerwhip","leechseed","synthesis","earthquake"],
		tier: "UU"
	},
	charmander: {
		randomBattleMoves: ["flamethrower","overheat","dragonpulse","hiddenpowergrass","fireblast"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["scratch","growl","ember"]},
			{"generation":4,"level":40,"gender":"M","nature":"Mild","moves":["return","hiddenpower","quickattack","howl"]},
			{"generation":4,"level":40,"gender":"M","nature":"Naive","moves":["return","hiddenpower","quickattack","howl"]},
			{"generation":4,"level":40,"gender":"M","nature":"Naughty","moves":["return","hiddenpower","quickattack","howl"]},
			{"generation":4,"level":40,"gender":"M","nature":"Hardy","moves":["return","hiddenpower","quickattack","howl"]}
		],
		tier: "LC"
	},
	charmeleon: {
		randomBattleMoves: ["flamethrower","overheat","dragonpulse","hiddenpowergrass","fireblast"],
		tier: "NFE"
	},
	charizard: {
		randomBattleMoves: ["flamethrower","fireblast","substitute","airslash","dragonpulse","hiddenpowergrass","roost"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["wingattack","slash","dragonrage","firespin"]}
		],
		tier: "NU"
	},
	squirtle: {
		randomBattleMoves: ["surf","icebeam","hydropump","rapidspin","scald","aquajet","toxic"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["tackle","tailwhip","bubble","withdraw"]}
		],
		tier: "LC"
	},
	wartortle: {
		randomBattleMoves: ["surf","icebeam","hydropump","rapidspin","scald","aquajet","toxic"],
		tier: "NFE"
	},
	blastoise: {
		randomBattleMoves: ["surf","icebeam","hydropump","rapidspin","scald","aquajet","toxic","dragontail"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["protect","raindance","skullbash","hydropump"]}
		],
		tier: "UU"
	},
	caterpie: {
		randomBattleMoves: ["bugbite","snore","tackle","electroweb"],
		tier: "LC"
	},
	metapod: {
		randomBattleMoves: ["irondefense","bugbite","tackle","electroweb"],
		tier: "NFE"
	},
	butterfree: {
		randomBattleMoves: ["quiverdance","roost","bugbuzz","airslash","substitute","sleeppowder","gigadrain","stunspore","uturn"],
		eventPokemon: [
			{"generation":3,"level":30,"moves":["morningsun","psychic","sleeppowder","aerialace"]}
		],
		tier: "NU"
	},
	weedle: {
		randomBattleMoves: ["bugbite","stringshot","poisonsting","electroweb"],
		tier: "LC"
	},
	kakuna: {
		randomBattleMoves: ["electroweb","bugbite","irondefense","poisonsting"],
		tier: "NFE"
	},
	beedrill: {
		randomBattleMoves: ["toxicspikes","xscissor","swordsdance","uturn","endeavor","poisonjab","drillrun","nightslash","brickbreak"],
		eventPokemon: [
			{"generation":3,"level":30,"moves":["batonpass","sludgebomb","twineedle","swordsdance"]}
		],
		tier: "NU"
	},
	pidgey: {
		randomBattleMoves: ["roost","bravebird","heatwave","hurricane","return","workup","uturn"],
		tier: "LC"
	},
	pidgeotto: {
		randomBattleMoves: ["roost","bravebird","heatwave","hurricane","return","workup","uturn"],
		eventPokemon: [
			{"generation":3,"level":30,"moves":["refresh","wingattack","steelwing","featherdance"]}
		],
		tier: "NFE"
	},
	pidgeot: {
		randomBattleMoves: ["roost","bravebird","pursuit","heatwave","return","workup","uturn"],
		tier: "NU"
	},
	rattata: {
		randomBattleMoves: ["facade","flamewheel","wildcharge","suckerpunch","uturn"],
		tier: "LC"
	},
	raticate: {
		randomBattleMoves: ["facade","flamewheel","wildcharge","suckerpunch","uturn"],
		eventPokemon: [
			{"generation":3,"level":34,"moves":["refresh","superfang","scaryface","hyperfang"]}
		],
		tier: "NU"
	},
	spearow: {
		randomBattleMoves: ["return","drillpeck","doubleedge","uturn","quickattack","pursuit"],
		eventPokemon: [
			{"generation":3,"level":22,"moves":["batonpass","falseswipe","leer","aerialace"]}
		],
		tier: "LC"
	},
	fearow: {
		randomBattleMoves: ["return","drillpeck","doubleedge","uturn","quickattack","pursuit","drillrun","roost"],
		tier: "NU"
	},
	ekans: {
		randomBattleMoves: ["coil","gunkshot","seedbomb","glare","suckerpunch","aquatail","crunch","earthquake","rest"],
		eventPokemon: [
			{"generation":3,"level":14,"abilities":["shedskin"],"moves":["leer","wrap","poisonsting","bite"]},
			{"generation":3,"level":10,"gender":"M","moves":["wrap","leer","poisonsting"]}
		],
		tier: "LC"
	},
	arbok: {
		randomBattleMoves: ["coil","gunkshot","seedbomb","glare","suckerpunch","aquatail","crunch","earthquake","rest"],
		eventPokemon: [
			{"generation":3,"level":33,"abilities":["intimidate","shedskin"],"moves":["refresh","sludgebomb","glare","bite"]}
		],
		tier: "NU"
	},
	pichu: {
		randomBattleMoves: ["fakeout","volttackle","encore","irontail","toxic","thunderpunch"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["static"],"moves":["thundershock","charm","surf"]},
			{"generation":3,"level":5,"abilities":["static"],"moves":["thundershock","charm","wish"]},
			{"generation":3,"level":5,"abilities":["static"],"moves":["thundershock","charm","teeterdance"]},
			{"generation":3,"level":5,"abilities":["static"],"moves":["thundershock","charm","followme"]},
			{"generation":4,"level":1,"abilities":["static"],"moves":["volttackle","thunderbolt","grassknot","return"]},
			{"generation":4,"level":30,"shiny":true,"gender":"M","nature":"Jolly","abilities":["static"],"moves":["charge","volttackle","endeavor","endure"]},
			{"generation":4,"level":30,"shiny":true,"gender":"M","nature":"Jolly","abilities":["static"],"moves":["volttackle","charge","endeavor","endure"]}
		],
		tier: "LC"
	},
	pichuspikyeared: {
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["static"],"moves":["thundershock","charm","surf"]},
			{"generation":3,"level":5,"abilities":["static"],"moves":["thundershock","charm","wish"]},
			{"generation":3,"level":5,"abilities":["static"],"moves":["thundershock","charm","teeterdance"]},
			{"generation":3,"level":5,"abilities":["static"],"moves":["thundershock","charm","followme"]},
			{"generation":4,"level":1,"abilities":["static"],"moves":["volttackle","thunderbolt","grassknot","return"]},
			{"generation":4,"level":30,"gender":"M","nature":"Jolly","abilities":["static"],"moves":["charge","volttackle","endeavor","endure"]},
			{"generation":4,"level":30,"gender":"M","nature":"Jolly","abilities":["static"],"moves":["volttackle","charge","endeavor","endure"]}
		],
		tier: "NU"
	},
	pikachu: {
		randomBattleMoves: ["thunderbolt","volttackle","grassknot","hiddenpowerice","brickbreak","extremespeed","encore","substitute"],
		eventPokemon: [
			{"generation":3,"level":50,"abilities":["static"],"moves":["thunderbolt","agility","thunder","lightscreen"]},
			{"generation":3,"level":10,"abilities":["static"],"moves":["thundershock","growl","tailwhip","thunderwave"]},
			{"generation":3,"level":10,"abilities":["static"],"moves":["fly","tailwhip","growl","thunderwave"]},
			{"generation":3,"level":5,"abilities":["static"],"moves":["surf","growl","tailwhip","thunderwave"]},
			{"generation":3,"level":10,"abilities":["static"],"moves":["fly","growl","tailwhip","thunderwave"]},
			{"generation":3,"level":10,"abilities":["static"],"moves":["thundershock","growl","thunderwave","surf"]},
			{"generation":3,"level":70,"abilities":["static"],"moves":["thunderbolt","thunder","lightscreen","fly"]},
			{"generation":3,"level":70,"abilities":["static"],"moves":["thunderbolt","thunder","lightscreen","surf"]},
			{"generation":3,"level":70,"abilities":["static"],"moves":["thunderbolt","thunder","lightscreen","agility"]},
			{"generation":4,"level":10,"gender":"F","nature":"Hardy","abilities":["static"],"moves":["surf","volttackle","tailwhip","thunderwave"]},
			{"generation":3,"level":10,"gender":"M","abilities":["static"],"moves":["thundershock","growl","tailwhip","thunderwave"]},
			{"generation":4,"level":50,"gender":"M","nature":"Hardy","abilities":["static"],"moves":["surf","thunderbolt","lightscreen","quickattack"]},
			{"generation":4,"level":20,"gender":"F","nature":"Bashful","abilities":["static"],"moves":["present","quickattack","thundershock","tailwhip"]},
			{"generation":4,"level":20,"gender":"M","nature":"Jolly","abilities":["static"],"moves":["grassknot","thunderbolt","flash","doubleteam"]},
			{"generation":4,"level":40,"gender":"M","nature":"Modest","abilities":["static"],"moves":["surf","thunder","protect"]},
			{"generation":4,"level":20,"gender":"F","nature":"Bashful","abilities":["static"],"moves":["quickattack","thundershock","tailwhip","present"]},
			{"generation":4,"level":40,"gender":"M","nature":"Mild","abilities":["static"],"moves":["surf","thunder","protect"]},
			{"generation":4,"level":20,"gender":"F","nature":"Bashful","abilities":["static"],"moves":["present","quickattack","thunderwave","tailwhip"]},
			{"generation":4,"level":30,"gender":"M","abilities":["static"],"moves":["lastresort","present","thunderbolt","quickattack"]},
			{"generation":4,"level":50,"gender":"M","nature":"Relaxed","abilities":["static"],"moves":["rest","sleeptalk","yawn","snore"]},
			{"generation":4,"level":20,"gender":"M","nature":"Docile","abilities":["static"],"moves":["present","quickattack","thundershock","tailwhip"]},
			{"generation":4,"level":50,"gender":"M","nature":"Naughty","abilities":["static"],"moves":["volttackle","irontail","quickattack","thunderbolt"]},
			{"generation":4,"level":20,"gender":"M","nature":"Bashful","abilities":["static"],"moves":["present","quickattack","thundershock","tailwhip"]}
		],
		tier: "NU"
	},
	raichu: {
		randomBattleMoves: ["nastyplot","encore","thunderbolt","grassknot","hiddenpowerice","focusblast","substitute","extremespeed"],
		tier: "NU"
	},
	sandshrew: {
		randomBattleMoves: ["earthquake","stoneedge","swordsdance","rapidspin","nightslash","xscissor","stealthrock","toxic"],
		eventPokemon: [
			{"generation":3,"level":12,"abilities":["sandveil"],"moves":["scratch","defensecurl","sandattack","vitalthrow"]}
		],
		tier: "LC"
	},
	sandslash: {
		randomBattleMoves: ["earthquake","stoneedge","swordsdance","rapidspin","nightslash","xscissor","stealthrock","toxic"],
		tier: "NU"
	},
	nidoranf: {
		randomBattleMoves: ["toxicspikes","crunch","poisonjab","honeclaws","doublekick"],
		tier: "LC"
	},
	nidorina: {
		randomBattleMoves: ["toxicspikes","crunch","poisonjab","honeclaws","doublekick","icebeam"],
		tier: "NFE"
	},
	nidoqueen: {
		randomBattleMoves: ["toxicspikes","stealthrock","fireblast","thunderbolt","icebeam","earthpower","sludgewave","dragontail","focusblast"],
		tier: "NU"
	},
	nidoranm: {
		randomBattleMoves: ["suckerpunch","poisonjab","headsmash","honeclaws"],
		tier: "LC"
	},
	nidorino: {
		randomBattleMoves: ["suckerpunch","poisonjab","headsmash","honeclaws"],
		tier: "NFE"
	},
	nidoking: {
		randomBattleMoves: ["fireblast","thunderbolt","icebeam","earthpower","sludgewave","focusblast"],
		tier: "UU"
	},
	cleffa: {
		randomBattleMoves: ["reflect","thunderwave","lightscreen","toxic","fireblast","encore","wish","protect","softboiled","aromatherapy"],
		tier: "LC"
	},
	clefairy: {
		randomBattleMoves: ["healingwish","reflect","thunderwave","lightscreen","toxic","fireblast","encore","wish","protect","softboiled","aromatherapy","stealthrock"],
		tier: "NFE"
	},
	clefable: {
		randomBattleMoves: ["fireblast","thunderbolt","icebeam","seismictoss","wish","protect","softboiled","healingwish","doubleedge","facade","meteormash","aromatherapy","bellydrum","trick","calmmind","stealthrock","grassknot","cosmicpower","storedpower"],
		tier: "UU"
	},
	vulpix: {
		randomBattleMoves: ["flamethrower","fireblast","willowisp","solarbeam","nastyplot","substitute","toxic","hypnosis","painsplit"],
		eventPokemon: [
			{"generation":3,"level":18,"abilities":["flashfire"],"moves":["tailwhip","roar","quickattack","willowisp"]},
			{"generation":3,"level":18,"abilities":["flashfire"],"moves":["charm","heatwave","ember","dig"]}
		],
		tier: "LC"
	},
	ninetales: {
		randomBattleMoves: ["flamethrower","fireblast","willowisp","solarbeam","nastyplot","substitute","toxic","hypnosis","painsplit"],
		tier: "NU"
	},
	igglybuff: {
		randomBattleMoves: ["wish","thunderwave","reflect","lightscreen","healbell","seismictoss","counter","protect"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["cutecharm"],"moves":["sing","charm","defensecurl","tickle"]}
		],
		tier: "LC"
	},
	jigglypuff: {
		randomBattleMoves: ["wish","thunderwave","reflect","lightscreen","healbell","seismictoss","counter","stealthrock","protect"],
		tier: "NFE"
	},
	wigglytuff: {
		randomBattleMoves: ["wish","thunderwave","reflect","lightscreen","healbell","seismictoss","counter","stealthrock","protect"],
		tier: "NU"
	},
	zubat: {
		randomBattleMoves: ["bravebird","roost","toxic","taunt","nastyplot","gigadrain","sludgebomb","airslash","uturn","whirlwind","acrobatics","heatwave","superfang"],
		tier: "LC"
	},
	golbat: {
		randomBattleMoves: ["bravebird","roost","toxic","taunt","nastyplot","gigadrain","sludgebomb","airslash","uturn","whirlwind","acrobatics","heatwave","superfang"],
		tier: "NU"
	},
	crobat: {
		randomBattleMoves: ["bravebird","roost","toxic","taunt","nastyplot","gigadrain","sludgebomb","airslash","uturn","whirlwind","acrobatics","heatwave","superfang"],
		eventPokemon: [
			{"generation":4,"level":30,"gender":"M","nature":"Timid","abilities":["innerfocus"],"moves":["heatwave","airslash","sludgebomb","superfang"]}
		],
		tier: "BL"
	},
	oddish: {
		randomBattleMoves: ["gigadrain","sludgebomb","synthesis","sleeppowder","stunspore","toxic","hiddenpowerfire","leechseed"],
		eventPokemon: [
			{"generation":3,"level":26,"abilities":["chlorophyll"],"moves":["poisonpowder","stunspore","sleeppowder","acid"]},
			{"generation":3,"level":5,"abilities":["chlorophyll"],"moves":["absorb","leechseed"]}
		],
		tier: "LC"
	},
	gloom: {
		randomBattleMoves: ["gigadrain","sludgebomb","synthesis","sleeppowder","stunspore","toxic","hiddenpowerfire","leechseed"],
		eventPokemon: [
			{"generation":3,"level":50,"abilities":["chlorophyll"],"moves":["sleeppowder","acid","moonlight","petaldance"]}
		],
		tier: "NFE"
	},
	vileplume: {
		randomBattleMoves: ["gigadrain","sludgebomb","synthesis","sleeppowder","stunspore","toxic","hiddenpowerfire","leechseed","aromatherapy"],
		tier: "NU"
	},
	bellossom: {
		randomBattleMoves: ["gigadrain","sludgebomb","synthesis","sleeppowder","stunspore","toxic","hiddenpowerfire","leechseed","aromatherapy","leafstorm"],
		tier: "NU"
	},
	paras: {
		randomBattleMoves: ["spore","stunspore","xscissor","seedbomb","synthesis","leechseed","aromatherapy"],
		eventPokemon: [
			{"generation":3,"level":28,"abilities":["effectspore"],"moves":["refresh","spore","slash","falseswipe"]}
		],
		tier: "LC"
	},
	parasect: {
		randomBattleMoves: ["spore","stunspore","xscissor","seedbomb","synthesis","leechseed","aromatherapy"],
		tier: "NU"
	},
	venonat: {
		randomBattleMoves: ["sleeppowder","morningsun","toxicspikes","sludgebomb","signalbeam","stunspore"],
		tier: "LC"
	},
	venomoth: {
		randomBattleMoves: ["sleeppowder","roost","toxicspikes","quiverdance","batonpass","bugbuzz","sludgebomb","gigadrain","substitute"],
		eventPokemon: [
			{"generation":3,"level":32,"abilities":["shielddust"],"moves":["refresh","silverwind","substitute","psychic"]}
		],
		tier: "NU"
	},
	diglett: {
		randomBattleMoves: ["earthquake","rockslide","stealthrock","suckerpunch","reversal","substitute"],
		tier: "LC"
	},
	dugtrio: {
		randomBattleMoves: ["earthquake","stoneedge","stealthrock","suckerpunch","reversal","substitute"],
		eventPokemon: [
			{"generation":3,"level":40,"abilities":["sandveil","arenatrap"],"moves":["charm","earthquake","sandstorm","triattack"]}
		],
		tier: "UU"
	},
	meowth: {
		randomBattleMoves: ["fakeout","uturn","bite","taunt","return","hypnosis","waterpulse"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["pickup","technician"],"moves":["scratch","growl","petaldance"]},
			{"generation":3,"level":5,"abilities":["pickup","technician"],"moves":["scratch","growl"]},
			{"generation":3,"level":10,"gender":"M","abilities":["pickup","technician"],"moves":["scratch","growl","bite"]},
			{"generation":3,"level":22,"abilities":["pickup","technician"],"moves":["sing","slash","payday","bite"]},
			{"generation":4,"level":21,"gender":"F","nature":"Jolly","abilities":["pickup"],"moves":["bite","fakeout","furyswipes","screech"]},
			{"generation":4,"level":10,"gender":"M","nature":"Jolly","abilities":["pickup"],"moves":["fakeout","payday","assist","scratch"]}
		],
		tier: "LC"
	},
	persian: {
		randomBattleMoves: ["fakeout","uturn","bite","taunt","return","hypnosis","waterpulse","switcheroo"],
		tier: "NU"
	},
	psyduck: {
		randomBattleMoves: ["hydropump","surf","icebeam","hiddenpowergrass","crosschop","encore"],
		eventPokemon: [
			{"generation":3,"level":27,"abilities":["damp"],"moves":["tailwhip","confusion","disable"]},
			{"generation":3,"level":5,"abilities":["damp","cloudnine"],"moves":["watersport","scratch","tailwhip","mudsport"]}
		],
		tier: "LC"
	},
	golduck: {
		randomBattleMoves: ["hydropump","surf","icebeam","hiddenpowergrass","encore","focusblast"],
		eventPokemon: [
			{"generation":3,"level":33,"abilities":["damp","cloudnine"],"moves":["charm","waterfall","psychup","brickbreak"]}
		],
		tier: "NU"
	},
	mankey: {
		randomBattleMoves: ["closecombat","uturn","icepunch","rockslide","punishment"],
		tier: "LC"
	},
	primeape: {
		randomBattleMoves: ["closecombat","uturn","icepunch","stoneedge","punishment","encore"],
		eventPokemon: [
			{"generation":3,"level":34,"abilities":["vitalspirit"],"moves":["helpinghand","crosschop","focusenergy","reversal"]}
		],
		tier: "UU"
	},
	growlithe: {
		randomBattleMoves: ["flareblitz","wildcharge","hiddenpowergrass","hiddenpowerice","closecombat","morningsun","willowisp","toxic"],
		eventPokemon: [
			{"generation":3,"level":32,"abilities":["intimidate"],"moves":["leer","odorsleuth","takedown","flamewheel"]},
			{"generation":3,"level":10,"gender":"M","abilities":["intimidate","flashfire"],"moves":["bite","roar","ember"]},
			{"generation":3,"level":28,"abilities":["intimidate","flashfire"],"moves":["charm","flamethrower","bite","takedown"]}
		],
		tier: "LC"
	},
	arcanine: {
		randomBattleMoves: ["flareblitz","wildcharge","hiddenpowergrass","hiddenpowerice","extremespeed","closecombat","morningsun","willowisp","toxic"],
		tier: "UU"
	},
	poliwag: {
		randomBattleMoves: ["hydropump","icebeam","encore","bellydrum","hypnosis","waterfall","return"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["waterabsorb","damp"],"moves":["bubble","sweetkiss"]}
		],
		tier: "LC"
	},
	poliwhirl: {
		randomBattleMoves: ["hydropump","icebeam","encore","bellydrum","hypnosis","waterfall","return"],
		tier: "NFE"
	},
	poliwrath: {
		randomBattleMoves: ["substitute","circlethrow","focuspunch","bulkup","encore","waterfall","toxic","rest","sleeptalk","icepunch"],
		eventPokemon: [
			{"generation":3,"level":42,"abilities":["damp","waterabsorb"],"moves":["helpinghand","hydropump","raindance","brickbreak"]}
		],
		tier: "NU"
	},
	politoed: {
		randomBattleMoves: ["scald","hypnosis","toxic","encore","perishsong","protect","icebeam","focusblast","surf","hydropump","hiddenpowergrass"],
		tier: "NU"
	},
	abra: {
		randomBattleMoves: ["calmmind","psychic","psyshock","hiddenpowerfighting","shadowball","encore","substitute"],
		tier: "LC"
	},
	kadabra: {
		randomBattleMoves: ["calmmind","psychic","psyshock","hiddenpowerfighting","shadowball","encore","substitute"],
		tier: "NFE"
	},
	alakazam: {
		randomBattleMoves: ["calmmind","psychic","psyshock","focusblast","shadowball","encore","substitute"],
		eventPokemon: [
			{"generation":3,"level":70,"abilities":["synchronize","innerfocus"],"moves":["futuresight","calmmind","psychic","trick"]}
		],
		tier: "UU"
	},
	machop: {
		randomBattleMoves: ["dynamicpunch","payback","bulkup","icepunch","rockslide","bulletpunch"],
		tier: "LC"
	},
	machoke: {
		randomBattleMoves: ["dynamicpunch","payback","bulkup","icepunch","rockslide","bulletpunch"],
		eventPokemon: [
			{"generation":3,"level":38,"abilities":["guts"],"moves":["seismictoss","foresight","revenge","vitalthrow"]}
		],
		tier: "NU"
	},
	machamp: {
		randomBattleMoves: ["dynamicpunch","payback","bulkup","icepunch","stoneedge","bulletpunch"],
		tier: "OU"
	},
	bellsprout: {
		randomBattleMoves: ["swordsdance","sleeppowder","sunnyday","growth","solarbeam","gigadrain","sludgebomb","weatherball","suckerpunch","seedbomb"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["chlorophyll"],"moves":["vinewhip","teeterdance"]},
			{"generation":3,"level":10,"gender":"M","abilities":["chlorophyll"],"moves":["vinewhip","growth"]}
		],
		tier: "LC"
	},
	weepinbell: {
		randomBattleMoves: ["swordsdance","sleeppowder","sunnyday","growth","solarbeam","gigadrain","sludgebomb","weatherball","suckerpunch","seedbomb"],
		eventPokemon: [
			{"generation":3,"level":32,"abilities":["chlorophyll"],"moves":["morningsun","magicalleaf","sludgebomb","sweetscent"]}
		],
		tier: "NFE"
	},
	victreebel: {
		randomBattleMoves: ["swordsdance","sleeppowder","sunnyday","growth","solarbeam","gigadrain","sludgebomb","weatherball","suckerpunch","powerwhip"],
		tier: "NU"
	},
	tentacool: {
		randomBattleMoves: ["toxicspikes","rapidspin","scald","sludgebomb","icebeam","knockoff","gigadrain","toxic"],
		tier: "LC"
	},
	tentacruel: {
		randomBattleMoves: ["toxicspikes","rapidspin","scald","sludgebomb","icebeam","knockoff","gigadrain","toxic"],
		tier: "OU"
	},
	geodude: {
		randomBattleMoves: ["stealthrock","earthquake","stoneedge","suckerpunch","hammerarm","firepunch"],
		tier: "LC"
	},
	graveler: {
		randomBattleMoves: ["stealthrock","earthquake","stoneedge","suckerpunch","hammerarm","firepunch"],
		tier: "NFE"
	},
	golem: {
		randomBattleMoves: ["stealthrock","earthquake","stoneedge","suckerpunch","hammerarm","firepunch"],
		tier: "NU"
	},
	ponyta: {
		randomBattleMoves: ["flareblitz","wildcharge","morningsun","hypnosis","flamecharge"],
		tier: "LC"
	},
	rapidash: {
		randomBattleMoves: ["flareblitz","wildcharge","morningsun","hypnosis","flamecharge","megahorn","drillrun"],
		eventPokemon: [
			{"generation":3,"level":40,"abilities":["flashfire","runaway"],"moves":["batonpass","solarbeam","sunnyday","flamethrower"]}
		],
		tier: "NU"
	},
	slowpoke: {
		randomBattleMoves: ["scald","aquatail","zenheadbutt","thunderwave","toxic","slackoff","trickroom","trick"],
		eventPokemon: [
			{"generation":3,"level":31,"abilities":["oblivious"],"moves":["watergun","confusion","disable","headbutt"]},
			{"generation":3,"level":10,"gender":"M","abilities":["oblivious","owntempo"],"moves":["curse","yawn","tackle","growl"]}
		],
		tier: "LC"
	},
	slowbro: {
		randomBattleMoves: ["scald","surf","fireblast","icebeam","psychic","grassknot","calmmind","thunderwave","toxic","slackoff","trickroom","trick"],
		tier: "UU"
	},
	slowking: {
		randomBattleMoves: ["scald","surf","fireblast","icebeam","psychic","grassknot","calmmind","thunderwave","toxic","slackoff","trickroom","trick","nastyplot"],
		tier: "NU"
	},
	magnemite: {
		randomBattleMoves: ["thunderbolt","thunderwave","magnetrise","substitute","flashcannon","hiddenpowerice","voltswitch"],
		tier: "LC"
	},
	magneton: {
		randomBattleMoves: ["thunderbolt","thunderwave","magnetrise","substitute","flashcannon","hiddenpowerice","voltswitch"],
		eventPokemon: [
			{"generation":3,"level":30,"abilities":["sturdy","magnetpull"],"moves":["refresh","doubleedge","raindance","thunder"]}
		],
		tier: "NU"
	},
	magnezone: {
		randomBattleMoves: ["thunderbolt","thunderwave","magnetrise","substitute","flashcannon","hiddenpowerice","voltswitch"],
		tier: "OU"
	},
	farfetchd: {
		randomBattleMoves: ["bravebird","swordsdance","return","leafblade","roost"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["keeneye","innerfocus"],"moves":["yawn","wish"]},
			{"generation":3,"level":36,"abilities":["keeneye","innerfocus"],"moves":["batonpass","slash","swordsdance","aerialace"]}
		],
		tier: "NU"
	},
	doduo: {
		randomBattleMoves: ["bravebird","return","doubleedge","roost","quickattack","pursuit"],
		tier: "LC"
	},
	dodrio: {
		randomBattleMoves: ["bravebird","return","doubleedge","roost","quickattack","pursuit"],
		eventPokemon: [
			{"generation":3,"level":34,"abilities":["earlybird","runaway"],"moves":["batonpass","drillpeck","agility","triattack"]}
		],
		tier: "NU"
	},
	seel: {
		randomBattleMoves: ["surf","icebeam","aquajet","iceshard","raindance","protect","rest","toxic","drillrun"],
		eventPokemon: [
			{"generation":3,"level":23,"abilities":["thickfat"],"moves":["helpinghand","surf","safeguard","icebeam"]}
		],
		tier: "LC"
	},
	dewgong: {
		randomBattleMoves: ["surf","icebeam","aquajet","iceshard","raindance","protect","rest","toxic","drillrun"],
		tier: "NU"
	},
	grimer: {
		randomBattleMoves: ["curse","gunkshot","poisonjab","shadowsneak","payback","brickbreak","rest","icepunch","firepunch","sleeptalk"],
		eventPokemon: [
			{"generation":3,"level":23,"abilities":["stench","stickyhold"],"moves":["helpinghand","sludgebomb","shadowpunch","minimize"]}
		],
		tier: "LC"
	},
	muk: {
		randomBattleMoves: ["curse","gunkshot","poisonjab","shadowsneak","payback","brickbreak","rest","icepunch","firepunch","sleeptalk"],
		tier: "NU"
	},
	shellder: {
		randomBattleMoves: ["shellsmash","hydropump","razorshell","rockblast","iciclespear","rapidspin"],
		eventPokemon: [
			{"generation":3,"level":24,"abilities":["shellarmor"],"moves":["withdraw","iciclespear","supersonic","aurorabeam"]},
			{"generation":3,"level":10,"gender":"M","abilities":["shellarmor"],"moves":["tackle","withdraw","iciclespear"]},
			{"generation":3,"level":29,"abilities":["shellarmor"],"moves":["refresh","takedown","surf","aurorabeam"]}
		],
		tier: "LC"
	},
	cloyster: {
		randomBattleMoves: ["shellsmash","hydropump","razorshell","rockblast","iciclespear","iceshard","rapidspin","spikes","toxicspikes"],
		tier: "UU"
	},
	gastly: {
		randomBattleMoves: ["shadowball","sludgebomb","hiddenpowerfighting","thunderbolt","substitute","disable","painsplit","hypnosis","gigadrain","trick"],
		tier: "LC"
	},
	haunter: {
		randomBattleMoves: ["shadowball","sludgebomb","hiddenpowerfighting","thunderbolt","substitute","disable","painsplit","hypnosis","gigadrain","trick"],
		eventPokemon: [
			{"generation":3,"level":23,"abilities":["levitate"],"moves":["spite","curse","nightshade","confuseray"]}
		],
		tier: "NU"
	},
	gengar: {
		randomBattleMoves: ["shadowball","sludgebomb","focusblast","thunderbolt","substitute","disable","painsplit","hypnosis","gigadrain","trick"],
		tier: "OU"
	},
	onix: {
		randomBattleMoves: ["stealthrock","earthquake","stoneedge","dragontail","curse"],
		tier: "LC"
	},
	steelix: {
		randomBattleMoves: ["stealthrock","earthquake","ironhead","curse","dragontail","roar","toxic","stoneedge","icefang","firefang"],
		tier: "UU"
	},
	drowzee: {
		randomBattleMoves: ["psychic","seismictoss","thunderwave","wish","protect","healbell","toxic","nastyplot","shadowball","trickroom","calmmind","barrier"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["insomnia"],"moves":["bellydrum","wish"]}
		],
		tier: "LC"
	},
	hypno: {
		randomBattleMoves: ["psychic","seismictoss","thunderwave","wish","protect","healbell","toxic","nastyplot","shadowball","trickroom","batonpass","calmmind","barrier","bellydrum","zenheadbutt","firepunch"],
		eventPokemon: [
			{"generation":3,"level":34,"abilities":["insomnia"],"moves":["batonpass","psychic","meditate","shadowball"]}
		],
		tier: "NU"
	},
	krabby: {
		randomBattleMoves: ["crabhammer","return","swordsdance","agility","rockslide","substitute","xscissor","superpower"],
		tier: "LC"
	},
	kingler: {
		randomBattleMoves: ["crabhammer","return","swordsdance","agility","rockslide","substitute","xscissor","superpower"],
		tier: "NU"
	},
	voltorb: {
		randomBattleMoves: ["voltswitch","thunderbolt","taunt","foulplay","hiddenpowerice"],
		eventPokemon: [
			{"generation":3,"level":19,"abilities":["static","soundproof"],"moves":["refresh","mirrorcoat","spark","swift"]}
		],
		tier: "LC"
	},
	electrode: {
		randomBattleMoves: ["voltswitch","thunderbolt","taunt","foulplay","hiddenpowerice"],
		tier: "NU"
	},
	exeggcute: {
		randomBattleMoves: ["substitute","leechseed","gigadrain","psychic","sleeppowder","stunspore","hiddenpowerfire","synthesis"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["chlorophyll"],"moves":["sweetscent","wish"]}
		],
		tier: "LC"
	},
	exeggutor: {
		randomBattleMoves: ["substitute","leechseed","gigadrain","leafstorm","psychic","sleeppowder","stunspore","hiddenpowerfire","synthesis"],
		eventPokemon: [
			{"generation":3,"level":46,"abilities":["chlorophyll"],"moves":["refresh","psychic","hypnosis","ancientpower"]}
		],
		tier: "UU"
	},
	cubone: {
		randomBattleMoves: ["substitute","bonemerang","doubleedge","stoneedge","firepunch","earthquake"],
		tier: "LC"
	},
	marowak: {
		randomBattleMoves: ["substitute","bonemerang","doubleedge","stoneedge","swordsdance","firepunch","earthquake"],
		eventPokemon: [
			{"generation":3,"level":44,"abilities":["lightningrod","rockhead"],"moves":["sing","earthquake","swordsdance","rockslide"]}
		],
		tier: "NU"
	},
	tyrogue: {
		randomBattleMoves: ["highjumpkick","rapidspin","fakeout","bulletpunch","machpunch","toxic","counter"],
		tier: "LC"
	},
	hitmonlee: {
		randomBattleMoves: ["highjumpkick","suckerpunch","stoneedge","machpunch","substitute","fakeout","closecombat","earthquake","blazekick"],
		eventPokemon: [
			{"generation":3,"level":38,"abilities":["limber"],"moves":["refresh","highjumpkick","mindreader","megakick"]}
		],
		tier: "UU"
	},
	hitmonchan: {
		randomBattleMoves: ["bulkup","drainpunch","icepunch","machpunch","substitute","closecombat","stoneedge","rapidspin"],
		eventPokemon: [
			{"generation":3,"level":38,"abilities":["keeneye"],"moves":["helpinghand","skyuppercut","mindreader","megapunch"]}
		],
		tier: "NU"
	},
	hitmontop: {
		randomBattleMoves: ["fakeout","suckerpunch","machpunch","bulkup","rapidspin","closecombat","stoneedge","toxic","bulletpunch"],
		tier: "UU"
	},
	lickitung: {
		randomBattleMoves: ["wish","protect","dragontail","curse","bodyslam","return","powerwhip","swordsdance","earthquake","toxic","healbell"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["owntempo","oblivious"],"moves":["healbell","wish"]},
			{"generation":3,"level":38,"abilities":["owntempo","oblivious"],"moves":["helpinghand","doubleedge","defensecurl","rollout"]}
		],
		tier: "LC"
	},
	lickilicky: {
		randomBattleMoves: ["wish","protect","dragontail","curse","bodyslam","return","powerwhip","swordsdance","earthquake","toxic","healbell","explosion"],
		tier: "NU"
	},
	koffing: {
		randomBattleMoves: ["painsplit","sludgebomb","willowisp","fireblast","toxic","clearsmog","rest","sleeptalk","thunderbolt"],
		tier: "LC"
	},
	weezing: {
		randomBattleMoves: ["painsplit","sludgebomb","willowisp","fireblast","toxic","clearsmog","rest","sleeptalk","thunderbolt"],
		tier: "UU"
	},
	rhyhorn: {
		randomBattleMoves: ["stoneedge","earthquake","aquatail","megahorn","stealthrock","rockblast"],
		tier: "LC"
	},
	rhydon: {
		randomBattleMoves: ["stoneedge","earthquake","aquatail","megahorn","stealthrock","rockblast"],
		eventPokemon: [
			{"generation":3,"level":46,"abilities":["lightningrod","rockhead"],"moves":["helpinghand","megahorn","scaryface","earthquake"]}
		],
		tier: "NFE"
	},
	rhyperior: {
		randomBattleMoves: ["stoneedge","earthquake","aquatail","megahorn","stealthrock","rockblast"],
		tier: "UU"
	},
	happiny: {
		randomBattleMoves: ["aromatherapy","toxic","thunderwave","counter","endeavor"],
		tier: "LC"
	},
	chansey: {
		randomBattleMoves: ["wish","softboiled","protect","toxic","aromatherapy","seismictoss","counter","thunderwave","stealthrock"],
		eventPokemon: [
			{"generation":3,"level":5,"gender":"F","abilities":["naturalcure","serenegrace"],"moves":["sweetscent","wish"]},
			{"generation":3,"level":10,"gender":"F","abilities":["naturalcure","serenegrace"],"moves":["pound","growl","tailwhip","refresh"]},
			{"generation":3,"level":39,"gender":"F","abilities":["naturalcure","serenegrace"],"moves":["sweetkiss","thunderbolt","softboiled","skillswap"]}
		],
		tier: "UU"
	},
	blissey: {
		randomBattleMoves: ["wish","softboiled","protect","toxic","aromatherapy","seismictoss","counter","thunderwave","stealthrock","flamethrower","icebeam"],
		tier: "OU"
	},
	tangela: {
		randomBattleMoves: ["gigadrain","sleeppowder","hiddenpowerrock","hiddenpowerice","leechseed","knockoff","leafstorm","stunspore","synthesis"],
		eventPokemon: [
			{"generation":3,"level":30,"abilities":["chlorophyll"],"moves":["morningsun","solarbeam","sunnyday","ingrain"]}
		],
		tier: "NU"
	},
	tangrowth: {
		randomBattleMoves: ["gigadrain","sleeppowder","hiddenpowerrock","hiddenpowerice","leechseed","knockoff","leafstorm","stunspore","focusblast","synthesis","powerwhip"],
		tier: "UU"
	},
	kangaskhan: {
		randomBattleMoves: ["fakeout","return","hammerarm","doubleedge","suckerpunch","earthquake","substitute","focuspunch","circlethrow","wish"],
		eventPokemon: [
			{"generation":3,"level":5,"gender":"F","abilities":["earlybird","scrappy"],"moves":["yawn","wish"]},
			{"generation":3,"level":10,"gender":"F","abilities":["earlybird","scrappy"],"moves":["cometpunch","leer","bite"]},
			{"generation":3,"level":36,"gender":"F","abilities":["earlybird","scrappy"],"moves":["sing","earthquake","tailwhip","dizzypunch"]}
		],
		tier: "UU"
	},
	horsea: {
		randomBattleMoves: ["hydropump","icebeam","substitute","hiddenpowergrass","raindance"],
		tier: "LC"
	},
	seadra: {
		randomBattleMoves: ["hydropump","icebeam","agility","substitute","hiddenpowergrass"],
		eventPokemon: [
			{"generation":3,"level":45,"abilities":["poisonpoint","sniper"],"moves":["leer","watergun","twister","agility"]}
		],
		tier: "NFE"
	},
	kingdra: {
		randomBattleMoves: ["hydropump","icebeam","dragondance","substitute","outrage","dracometeor","waterfall","rest","sleeptalk"],
		eventPokemon: [
			{"generation":3,"level":50,"abilities":["swiftswim","sniper"],"moves":["leer","watergun","twister","agility"]}
		],
		tier: "OU"
	},
	goldeen: {
		randomBattleMoves: ["raindance","waterfall","megahorn","return","drillrun"],
		tier: "LC"
	},
	seaking: {
		randomBattleMoves: ["raindance","waterfall","megahorn","return","drillrun"],
		tier: "NU"
	},
	staryu: {
		randomBattleMoves: ["surf","thunderbolt","icebeam","rapidspin","recover"],
		eventPokemon: [
			{"generation":3,"level":50,"abilities":["illuminate","naturalcure"],"moves":["minimize","lightscreen","cosmicpower","hydropump"]},
			{"generation":3,"level":18,"abilities":["illuminate"],"moves":["tackle","watergun","rapidspin","recover"]}
		],
		tier: "LC"
	},
	starmie: {
		randomBattleMoves: ["surf","thunderbolt","icebeam","rapidspin","recover","psychic","trick"],
		eventPokemon: [
			{"generation":3,"level":41,"abilities":["naturalcure","illuminate"],"moves":["refresh","waterfall","icebeam","recover"]}
		],
		tier: "OU"
	},
	mimejr: {
		randomBattleMoves: ["substitute","calmmind","batonpass","barrier","psychic","hiddenpowerfighting","healingwish","nastyplot","shadowball","thunderbolt","encore"],
		tier: "LC"
	},
	mrmime: {
		randomBattleMoves: ["substitute","calmmind","batonpass","barrier","psychic","hiddenpowerfighting","healingwish","nastyplot","shadowball","thunderbolt","encore"],
		eventPokemon: [
			{"generation":3,"level":42,"abilities":["soundproof"],"moves":["followme","psychic","encore","thunderpunch"]}
		],
		tier: "NU"
	},
	scyther: {
		randomBattleMoves: ["swordsdance","roost","bugbite","quickattack","brickbreak","aerialace","batonpass","uturn"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["swarm"],"moves":["quickattack","leer","focusenergy"]},
			{"generation":3,"level":40,"abilities":["swarm"],"moves":["morningsun","razorwind","silverwind","slash"]}
		],
		tier: "UU"
	},
	scizor: {
		randomBattleMoves: ["swordsdance","roost","bulletpunch","bugbite","superpower","uturn","batonpass","pursuit"],
		eventPokemon: [
			{"generation":3,"level":50,"gender":"M","abilities":["swarm"],"moves":["furycutter","metalclaw","swordsdance","slash"]},
			{"generation":4,"level":50,"gender":"M","nature":"Adamant","abilities":["swarm"],"moves":["xscissor","swordsdance","irondefense","agility"]}
		],
		tier: "OU"
	},
	smoochum: {
		randomBattleMoves: ["icebeam","psychic","hiddenpowerfighting","trick","shadowball","grassknot"],
		tier: "LC"
	},
	jynx: {
		randomBattleMoves: ["icebeam","psychic","focusblast","trick","shadowball","nastyplot","lovelykiss","substitute","energyball"],
		tier: "NU"
	},
	elekid: {
		randomBattleMoves: ["thunderbolt","crosschop","voltswitch","substitute","hiddenpowerice","psychic"],
		eventPokemon: [
			{"generation":3,"level":20,"abilities":["static"],"moves":["icepunch","firepunch","thunderpunch","crosschop"]}
		],
		tier: "LC"
	},
	electabuzz: {
		randomBattleMoves: ["thunderbolt","voltswitch","substitute","hiddenpowerice","focusblast","psychic"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["static"],"moves":["quickattack","leer","thunderpunch"]},
			{"generation":3,"level":43,"abilities":["static"],"moves":["followme","crosschop","thunderwave","thunderbolt"]},
			{"generation":4,"level":30,"gender":"M","nature":"Naughty","abilities":["static"],"moves":["lowkick","shockwave","lightscreen","thunderpunch"]}
		],
		tier: "NU"
	},
	electivire: {
		randomBattleMoves: ["wildcharge","crosschop","icepunch","substitute","flamethrower","earthquake"],
		eventPokemon: [
			{"generation":4,"level":50,"gender":"M","nature":"Adamant","abilities":["motordrive"],"moves":["thunderpunch","icepunch","crosschop","earthquake"]},
			{"generation":4,"level":50,"gender":"M","nature":"Serious","abilities":["motordrive"],"moves":["lightscreen","thunderpunch","discharge","thunderbolt"]}
		],
		tier: "OU"
	},
	magby: {
		randomBattleMoves: ["flareblitz","substitute","fireblast","hiddenpowergrass","crosschop","thunderpunch","overheat"],
		tier: "LC"
	},
	magmar: {
		randomBattleMoves: ["flareblitz","substitute","fireblast","hiddenpowergrass","crosschop","thunderpunch","overheat","focusblast"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["flamebody"],"moves":["leer","smog","firepunch","leer"]},
			{"generation":3,"level":36,"abilities":["flamebody"],"moves":["followme","fireblast","crosschop","thunderpunch"]},
			{"generation":4,"level":30,"gender":"M","nature":"Quiet","abilities":["flamebody"],"moves":["smokescreen","firespin","confuseray","firepunch"]}
		],
		tier: "NFE"
	},
	magmortar: {
		randomBattleMoves: ["fireblast","substitute","focusblast","hiddenpowergrass","thunderbolt","overheat"],
		eventPokemon: [
			{"generation":4,"level":50,"gender":"F","nature":"Modest","abilities":["flamebody"],"moves":["flamethrower","psychic","hyperbeam","solarbeam"]},
			{"generation":4,"level":50,"gender":"M","nature":"Hardy","abilities":["flamebody"],"moves":["confuseray","firepunch","lavaplume","flamethrower"]}
		],
		tier: "NU"
	},
	pinsir: {
		randomBattleMoves: ["swordsdance","xscissor","earthquake","closecombat","stealthrock","substitute","stoneedge","quickattack"],
		eventPokemon: [
			{"generation":3,"level":35,"abilities":["hypercutter"],"moves":["helpinghand","guillotine","falseswipe","submission"]}
		],
		tier: "NU"
	},
	tauros: {
		randomBattleMoves: ["return","earthquake","zenheadbutt","rockslide","pursuit"],
		eventPokemon: [
			{"generation":3,"level":25,"gender":"M","abilities":["intimidate"],"moves":["rage","hornattack","scaryface","pursuit"]},
			{"generation":3,"level":10,"gender":"M","abilities":["intimidate"],"moves":["tackle","tailwhip","rage","hornattack"]},
			{"generation":3,"level":46,"gender":"M","abilities":["intimidate"],"moves":["refresh","earthquake","tailwhip","bodyslam"]}
		],
		tier: "NU"
	},
	magikarp: {
		randomBattleMoves: ["bounce","flail","tackle","splash"],
		eventPokemon: [
			{"generation":4,"level":5,"gender":"M","nature":"Relaxed","moves":["splash"]},
			{"generation":4,"level":6,"gender":"F","nature":"Rash","moves":["splash"]},
			{"generation":4,"level":7,"gender":"F","nature":"Hardy","moves":["splash"]},
			{"generation":4,"level":5,"gender":"F","nature":"Lonely","moves":["splash"]},
			{"generation":4,"level":4,"gender":"M","nature":"Modest","moves":["splash"]}
		],
		tier: "LC"
	},
	gyarados: {
		randomBattleMoves: ["dragondance","waterfall","earthquake","bounce","rest","sleeptalk","dragontail","stoneedge","substitute","thunderwave","icefang"],
		tier: "OU"
	},
	lapras: {
		randomBattleMoves: ["icebeam","thunderbolt","healbell","toxic","surf","dragondance","substitute","waterfall","return","avalanche","rest","sleeptalk","curse","iceshard","drillrun"],
		eventPokemon: [
			{"generation":3,"level":44,"abilities":["waterabsorb","shellarmor"],"moves":["hydropump","raindance","blizzard","healbell"]}
		],
		tier: "NU"
	},
	ditto: {
		randomBattleMoves: ["transform"],
		tier: "NU"
	},
	eevee: {
		randomBattleMoves: ["quickattack","return","bite","batonpass","irontail","yawn","protect","wish"],
		eventPokemon: [
			{"generation":4,"level":10,"gender":"F","nature":"Lonely","abilities":["adaptability"],"moves":["covet","bite","helpinghand","attract"]},
			{"generation":4,"level":50,"shiny":true,"gender":"M","nature":"Hardy","abilities":["adaptability"],"moves":["irontail","trumpcard","flail","quickattack"]}
		],
		tier: "LC"
	},
	vaporeon: {
		randomBattleMoves: ["wish","protect","scald","roar","icebeam","toxic","batonpass","substitute","acidarmor","hydropump","hiddenpowergrass","rest","raindance"],
		tier: "OU"
	},
	jolteon: {
		randomBattleMoves: ["thunderbolt","voltswitch","hiddenpowergrass","hiddenpowerice","chargebeam","batonpass","substitute"],
		tier: "OU"
	},
	flareon: {
		randomBattleMoves: ["rest","sleeptalk","flamecharge","facade"],
		tier: "NU"
	},
	espeon: {
		randomBattleMoves: ["psychic","psyshock","substitute","wish","shadowball","hiddenpowerfighting","calmmind","morningsun","storedpower","batonpass"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["psybeam","psychup","psychic","morningsun"]}
		],
		tier: "NU"
	},
	umbreon: {
		randomBattleMoves: ["curse","payback","moonlight","wish","protect","healbell","toxic","batonpass"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["feintattack","meanlook","screech","moonlight"]}
		],
		tier: "OU"
	},
	leafeon: {
		randomBattleMoves: ["swordsdance","leafblade","substitute","return","xscissor","yawn","roar","healbell","batonpass"],
		tier: "UU"
	},
	glaceon: {
		randomBattleMoves: ["icebeam","hiddenpowerground","shadowball","wish","protect"],
		tier: "NU"
	},
	porygon: {
		randomBattleMoves: ["triattack","icebeam","recover","toxic","thunderwave","discharge","trick"],
		tier: "LC"
	},
	porygon2: {
		randomBattleMoves: ["triattack","icebeam","recover","toxic","thunderwave","discharge","trick"],
		tier: "NU"
	},
	porygonz: {
		randomBattleMoves: ["triattack","thunderbolt","icebeam","darkpulse","hiddenpowerfighting","agility","trick","nastyplot"],
		tier: "BL"
	},
	omanyte: {
		randomBattleMoves: ["shellsmash","surf","icebeam","earthpower","hiddenpowerelectric","spikes","toxicspikes","stealthrock","hydropump"],
		tier: "LC"
	},
	omastar: {
		randomBattleMoves: ["shellsmash","surf","icebeam","earthpower","hiddenpowerelectric","spikes","toxicspikes","stealthrock","hydropump"],
		tier: "UU"
	},
	kabuto: {
		randomBattleMoves: ["aquajet","rockslide","rapidspin","stealthrock","honeclaws","waterfall","toxic"],
		tier: "LC"
	},
	kabutops: {
		randomBattleMoves: ["aquajet","stoneedge","rapidspin","stealthrock","swordsdance","waterfall","toxic","superpower"],
		tier: "UU"
	},
	aerodactyl: {
		randomBattleMoves: ["stealthrock","taunt","stoneedge","rockslide","earthquake","aquatail","roost","firefang"],
		tier: "OU"
	},
	munchlax: {
		randomBattleMoves: ["rest","curse","sleeptalk","bodyslam","earthquake","return","firepunch","icepunch","whirlwind"],
		tier: "LC"
	},
	snorlax: {
		randomBattleMoves: ["rest","curse","sleeptalk","bodyslam","earthquake","return","firepunch","icepunch","crunch","selfdestruct","pursuit","whirlwind"],
		eventPokemon: [
			{"generation":3,"level":43,"abilities":["immunity","thickfat"],"moves":["refresh","fissure","curse","bodyslam"]}
		],
		tier: "OU"
	},
	articuno: {
		randomBattleMoves: ["icebeam","roost","roar","healbell","toxic","substitute","hurricane"],
		eventPokemon: [
			{"generation":3,"level":70,"abilities":["pressure"],"moves":["agility","mindreader","icebeam","reflect"]},
			{"generation":3,"level":50,"abilities":["pressure"],"moves":["icebeam","healbell","extrasensory","haze"]}
		],
		tier: "NU"
	},
	zapdos: {
		randomBattleMoves: ["thunderbolt","heatwave","hiddenpowergrass","hiddenpowerice","roost","toxic","substitute","batonpass","agility","discharge"],
		eventPokemon: [
			{"generation":3,"level":70,"abilities":["pressure"],"moves":["agility","detect","drillpeck","charge"]},
			{"generation":3,"level":50,"abilities":["pressure"],"moves":["thunderbolt","extrasensory","batonpass","metalsound"]}
		],
		tier: "OU"
	},
	moltres: {
		randomBattleMoves: ["fireblast","hiddenpowergrass","airslash","roost","substitute","toxic","overheat","uturn","willowisp","hurricane"],
		eventPokemon: [
			{"generation":3,"level":70,"abilities":["pressure"],"moves":["agility","endure","flamethrower","safeguard"]},
			{"generation":3,"level":50,"abilities":["pressure"],"moves":["extrasensory","morningsun","willowisp","flamethrower"]}
		],
		tier: "UU"
	},
	dratini: {
		randomBattleMoves: ["dragondance","outrage","waterfall","fireblast","extremespeed","dracometeor","substitute","aquatail"],
		tier: "LC"
	},
	dragonair: {
		randomBattleMoves: ["dragondance","outrage","waterfall","fireblast","extremespeed","dracometeor","substitute","aquatail"],
		tier: "NU"
	},
	dragonite: {
		randomBattleMoves: ["dragondance","outrage","firepunch","extremespeed","dragonclaw","earthquake","roost","waterfall","substitute","thunderwave","dragontail","hurricane","superpower","dracometeor"],
		eventPokemon: [
			{"generation":3,"level":70,"abilities":["innerfocus"],"moves":["agility","safeguard","wingattack","outrage"]},
			{"generation":3,"level":55,"abilities":["innerfocus"],"moves":["healbell","hyperbeam","dragondance","earthquake"]},
			{"generation":4,"level":50,"gender":"M","nature":"Mild","abilities":["innerfocus"],"moves":["dracometeor","thunderbolt","outrage","dragondance"]}
		],
		tier: "OU"
	},
	mewtwo: {
		randomBattleMoves: ["psystrike","aurasphere","fireblast","icebeam","calmmind","substitute","recover","thunderbolt"],
		tier: "Uber"
	},
	mew: {
		randomBattleMoves: ["taunt","willowisp","roost","psychic","nastyplot","aurasphere","shadowball","fireblast","swordsdance","superpower","zenheadbutt","calmmind","batonpass","rockpolish","substitute","toxic","explosion","icebeam","thunderbolt","earthquake","uturn","stealthrock","transform"],
		eventPokemon: [
			{"generation":3,"level":30,"moves":["pound","transform","megapunch","metronome"]},
			{"generation":3,"level":10,"moves":["pound","transform"]},
			{"generation":4,"level":50,"moves":["ancientpower","metronome","teleport","aurasphere"]},
			{"generation":4,"level":50,"moves":["barrier","metronome","teleport","aurasphere"]},
			{"generation":4,"level":50,"moves":["megapunch","metronome","teleport","aurasphere"]},
			{"generation":4,"level":50,"moves":["amnesia","metronome","teleport","aurasphere"]},
			{"generation":4,"level":50,"moves":["transform","metronome","teleport","aurasphere"]},
			{"generation":4,"level":50,"moves":["psychic","metronome","teleport","aurasphere"]},
			{"generation":4,"level":50,"moves":["synthesis","return","hypnosis","teleport"]},
			{"generation":4,"level":5,"moves":["pound"]}
		],
		tier: "Uber"
	},
	chikorita: {
		randomBattleMoves: ["reflect","lightscreen","safeguard","aromatherapy","grasswhistle","leechseed","toxic","gigadrain","synthesis"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["tackle","growl","razorleaf"]}
		],
		tier: "LC"
	},
	bayleef: {
		randomBattleMoves: ["reflect","lightscreen","safeguard","aromatherapy","grasswhistle","leechseed","toxic","gigadrain","synthesis"],
		tier: "NFE"
	},
	meganium: {
		randomBattleMoves: ["reflect","lightscreen","safeguard","aromatherapy","grasswhistle","leechseed","toxic","gigadrain","synthesis","dragontail"],
		tier: "NU"
	},
	cyndaquil: {
		randomBattleMoves: ["eruption","fireblast","flamethrower","hiddenpowergrass","naturepower"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["tackle","leer","smokescreen"]}
		],
		tier: "LC"
	},
	quilava: {
		randomBattleMoves: ["eruption","fireblast","flamethrower","hiddenpowergrass","naturepower"],
		tier: "NFE"
	},
	typhlosion: {
		randomBattleMoves: ["eruption","fireblast","flamethrower","hiddenpowergrass","naturepower","focusblast"],
		eventPokemon: [
			{"generation":3,"level":70,"abilities":["blaze"],"moves":["quickattack","flamewheel","swift","flamethrower"]}
		],
		tier: "NU"
	},
	totodile: {
		randomBattleMoves: ["aquajet","waterfall","crunch","icepunch","superpower","dragondance","swordsdance","return"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["torrent"],"moves":["scratch","leer","rage"]}
		],
		tier: "LC"
	},
	croconaw: {
		randomBattleMoves: ["aquajet","waterfall","crunch","icepunch","superpower","dragondance","swordsdance","return"],
		tier: "NFE"
	},
	feraligatr: {
		randomBattleMoves: ["aquajet","waterfall","crunch","icepunch","dragondance","swordsdance","return","earthquake","superpower"],
		tier: "UU"
	},
	sentret: {
		randomBattleMoves: ["superfang","trick","toxic","uturn","knockoff"],
		tier: "LC"
	},
	furret: {
		randomBattleMoves: ["return","uturn","suckerpunch","trick","icepunch","firepunch","thunderpunch"],
		tier: "NU"
	},
	hoothoot: {
		randomBattleMoves: ["reflect","toxic","roost","lightscreen","whirlwind","nightshade","magiccoat"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["insomnia","keeneye"],"moves":["tackle","growl","foresight"]}
		],
		tier: "LC"
	},
	noctowl: {
		randomBattleMoves: ["roost","whirlwind","airslash","nightshade","toxic","reflect","lightscreen","magiccoat"],
		tier: "NU"
	},
	ledyba: {
		randomBattleMoves: ["roost","agility","lightscreen","encore","reflect","knockoff","swordsdance","batonpass","toxic"],
		eventPokemon: [
			{"generation":3,"level":10,"abilities":["earlybird","swarm"],"moves":["refresh","psybeam","aerialace","supersonic"]}
		],
		tier: "LC"
	},
	ledian: {
		randomBattleMoves: ["roost","agility","lightscreen","encore","reflect","knockoff","swordsdance","batonpass","toxic"],
		tier: "NU"
	},
	spinarak: {
		randomBattleMoves: ["agility","toxic","xscissor","toxicspikes","poisonjab","batonpass","swordsdance"],
		eventPokemon: [
			{"generation":3,"level":14,"abilities":["insomnia","swarm"],"moves":["refresh","dig","signalbeam","nightshade"]}
		],
		tier: "LC"
	},
	ariados: {
		randomBattleMoves: ["agility","toxic","xscissor","toxicspikes","poisonjab","batonpass","swordsdance"],
		tier: "NU"
	},
	chinchou: {
		randomBattleMoves: ["voltswitch","thunderbolt","hiddenpowergrass","hydropump","icebeam","surf","thunderwave","scald","discharge"],
		tier: "LC"
	},
	lanturn: {
		randomBattleMoves: ["voltswitch","thunderbolt","hiddenpowergrass","hydropump","icebeam","surf","thunderwave","scald","discharge"],
		tier: "UU"
	},
	togepi: {
		randomBattleMoves: ["wish","protect","fireblast","toxic","thunderwave","softboiled"],
		eventPokemon: [
			{"generation":3,"level":20,"gender":"F","abilities":["serenegrace"],"moves":["metronome","charm","sweetkiss","yawn"]},
			{"generation":3,"level":25,"abilities":["serenegrace","hustle"],"moves":["triattack","followme","ancientpower","helpinghand"]}
		],
		tier: "LC"
	},
	togetic: {
		randomBattleMoves: ["wish","protect","fireblast","toxic","thunderwave","roost"],
		tier: "NU"
	},
	togekiss: {
		randomBattleMoves: ["wish","roost","thunderwave","nastyplot","airslash","aurasphere","batonpass"],
		tier: "OU"
	},
	natu: {
		randomBattleMoves: ["thunderwave","roost","toxic","reflect","lightscreen","uturn","wish","psychic","nightshade"],
		eventPokemon: [
			{"generation":3,"level":22,"abilities":["synchronize","earlybird"],"moves":["batonpass","futuresight","nightshade","aerialace"]}
		],
		tier: "LC"
	},
	xatu: {
		randomBattleMoves: ["thunderwave","toxic","roost","psychic","nightshade","uturn","reflect","lightscreen","wish","calmmind"],
		tier: "NU"
	},
	mareep: {
		randomBattleMoves: ["reflect","lightscreen","thunderbolt","discharge","thunderwave","toxic","hiddenpowerice","cottonguard"],
		eventPokemon: [
			{"generation":3,"level":37,"gender":"F","abilities":["static"],"moves":["thunder","thundershock","thunderwave","cottonspore"]},
			{"generation":3,"level":10,"gender":"M","abilities":["static"],"moves":["tackle","growl","thundershock"]},
			{"generation":3,"level":17,"abilities":["static"],"moves":["healbell","thundershock","thunderwave","bodyslam"]}
		],
		tier: "LC"
	},
	flaaffy: {
		randomBattleMoves: ["reflect","lightscreen","thunderbolt","discharge","thunderwave","toxic","hiddenpowerice","cottonguard"],
		tier: "NFE"
	},
	ampharos: {
		randomBattleMoves: ["voltswitch","focusblast","hiddenpowerice","hiddenpowergrass","thunderbolt","healbell"],
		tier: "NU"
	},
	azurill: {
		randomBattleMoves: ["scald","return","doubleedge","encore","toxic","protect"],
		tier: "LC"
	},
	marill: {
		randomBattleMoves: ["waterfall","return","doubleedge","encore","toxic","aquajet","superpower","icepunch","protect"],
		tier: "NFE"
	},
	azumarill: {
		randomBattleMoves: ["waterfall","aquajet","return","doubleedge","icepunch","superpower"],
		tier: "UU"
	},
	bonsly: {
		randomBattleMoves: ["rockslide","brickbreak","doubleedge","toxic","stealthrock","suckerpunch"],
		tier: "LC"
	},
	sudowoodo: {
		randomBattleMoves: ["hammerarm","stoneedge","earthquake","suckerpunch","woodhammer","explosion","stealthrock"],
		tier: "NU"
	},
	hoppip: {
		randomBattleMoves: ["encore","sleeppowder","uturn","toxic","leechseed","substitute","protect"],
		tier: "LC"
	},
	skiploom: {
		randomBattleMoves: ["encore","sleeppowder","uturn","toxic","leechseed","substitute","protect"],
		tier: "NFE"
	},
	jumpluff: {
		randomBattleMoves: ["encore","sleeppowder","uturn","toxic","leechseed","substitute","gigadrain","acrobatics","synthesis"],
		tier: "NU"
	},
	aipom: {
		randomBattleMoves: ["fakeout","return","brickbreak","seedbomb","shadowclaw","uturn"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["runaway","pickup"],"moves":["scratch","tailwhip","sandattack"]}
		],
		tier: "LC"
	},
	ambipom: {
		randomBattleMoves: ["fakeout","return","payback","uturn","lowsweep","switcheroo","seedbomb"],
		tier: "UU"
	},
	sunkern: {
		randomBattleMoves: ["sunnyday","gigadrain","solarbeam","hiddenpowerfire","toxic","earthpower"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["chlorophyll","solarpower"],"moves":["absorb","growth"]}
		],
		tier: "LC"
	},
	sunflora: {
		randomBattleMoves: ["sunnyday","leafstorm","gigadrain","solarbeam","hiddenpowerfire","earthpower"],
		tier: "NU"
	},
	yanma: {
		randomBattleMoves: ["bugbuzz","airslash","hiddenpowerground","uturn","protect","gigadrain"],
		tier: "NU"
	},
	yanmega: {
		randomBattleMoves: ["bugbuzz","airslash","hiddenpowerground","uturn","protect","gigadrain"],
		tier: "BL"
	},
	wooper: {
		randomBattleMoves: ["recover","earthquake","scald","toxic","stockpile","yawn","protect"],
		tier: "LC"
	},
	quagsire: {
		randomBattleMoves: ["recover","earthquake","waterfall","scald","toxic","curse","stoneedge","stockpile","yawn"],
		tier: "NU"
	},
	murkrow: {
		randomBattleMoves: ["substitute","suckerpunch","bravebird","heatwave","hiddenpowergrass","roost","darkpulse","thunderwave"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["insomnia","superluck"],"moves":["peck","astonish"]}
		],
		tier: "NU"
	},
	honchkrow: {
		randomBattleMoves: ["substitute","superpower","suckerpunch","bravebird","roost","hiddenpowergrass","heatwave","pursuit"],
		tier: "BL"
	},
	misdreavus: {
		randomBattleMoves: ["nastyplot","substitute","calmmind","willowisp","shadowball","thunderbolt","hiddenpowerfighting"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["levitate"],"moves":["growl","psywave","spite"]}
		],
		tier: "NU"
	},
	mismagius: {
		randomBattleMoves: ["nastyplot","substitute","calmmind","willowisp","shadowball","thunderbolt","hiddenpowerfighting"],
		tier: "UU"
	},
	unown: {
		randomBattleMoves: ["hiddenpowerpsychic"],
		tier: "NU"
	},
	wynaut: {
		randomBattleMoves: ["destinybond","counter","mirrorcoat","encore"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["shadowtag"],"moves":["splash","charm","encore","tickle"]}
		],
		tier: "Uber"
	},
	wobbuffet: {
		randomBattleMoves: ["destinybond","counter","mirrorcoat","encore"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["shadowtag"],"moves":["counter","mirrorcoat","safeguard","destinybond"]},
			{"generation":3,"level":10,"gender":"M","abilities":["shadowtag"],"moves":["counter","mirrorcoat","safeguard","destinybond"]}
		],
		tier: "Uber"
	},
	girafarig: {
		randomBattleMoves: ["psychic","thunderbolt","calmmind","batonpass","agility","hypervoice","thunderwave"],
		tier: "NU"
	},
	pineco: {
		randomBattleMoves: ["rapidspin","toxicspikes","spikes","bugbite","stealthrock"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["sturdy"],"moves":["tackle","protect","selfdestruct"]},
			{"generation":3,"level":22,"abilities":["sturdy"],"moves":["refresh","pinmissile","spikes","counter"]}
		],
		tier: "LC"
	},
	forretress: {
		randomBattleMoves: ["rapidspin","toxicspikes","spikes","bugbite","earthquake","voltswitch","stealthrock"],
		tier: "OU"
	},
	dunsparce: {
		randomBattleMoves: ["coil","rockslide","bite","headbutt","glare","thunderwave","bodyslam","roost"],
		tier: "NU"
	},
	gligar: {
		randomBattleMoves: ["stealthrock","toxic","roost","taunt","swordsdance","earthquake","uturn","stoneedge","acrobatics"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["hypercutter","sandveil"],"moves":["poisonsting","sandattack"]}
		],
		tier: "LC"
	},
	gliscor: {
		randomBattleMoves: ["swordsdance","acrobatics","earthquake","roost","substitute","taunt","icefang","protect","toxic","stealthrock"],
		tier: "OU"
	},
	snubbull: {
		randomBattleMoves: ["thunderwave","return","crunch","closecombat"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["intimidate","runaway"],"moves":["tackle","scaryface","tailwhip","charm"]}
		],
		tier: "LC"
	},
	granbull: {
		randomBattleMoves: ["thunderwave","return","crunch","closecombat","healbell","icepunch"],
		tier: "NU"
	},
	qwilfish: {
		randomBattleMoves: ["toxicspikes","waterfall","spikes","swordsdance","poisonjab","painsplit","thunderwave","taunt","destinybond"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["poisonpoint","swiftswim"],"moves":["tackle","poisonsting","harden","minimize"]}
		],
		tier: "UU"
	},
	shuckle: {
		randomBattleMoves: ["rollout","acupressure","powersplit","rest"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["sturdy"],"moves":["constrict","withdraw","wrap"]},
			{"generation":3,"level":20,"abilities":["sturdy"],"moves":["substitute","toxic","sludgebomb","encore"]}
		],
		tier: "NU"
	},
	heracross: {
		randomBattleMoves: ["closecombat","megahorn","stoneedge","swordsdance","facade"],
		tier: "BL"
	},
	sneasel: {
		randomBattleMoves: ["iceshard","icepunch","nightslash","lowkick","pursuit","swordsdance"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["innerfocus","keeneye"],"moves":["scratch","leer","taunt","quickattack"]}
		],
		tier: "NU"
	},
	weavile: {
		randomBattleMoves: ["iceshard","icepunch","nightslash","lowkick","pursuit","swordsdance"],
		eventPokemon: [
			{"generation":4,"level":30,"gender":"M","nature":"Jolly","abilities":["pressure"],"moves":["fakeout","iceshard","nightslash","brickbreak"]}
		],
		tier: "OU"
	},
	teddiursa: {
		randomBattleMoves: ["swordsdance","protect","facade","closecombat","firepunch","crunch"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["pickup","quickfeet"],"moves":["scratch","leer","lick"]},
			{"generation":3,"level":11,"abilities":["pickup"],"moves":["refresh","metalclaw","leer","return"]}
		],
		tier: "LC"
	},
	ursaring: {
		randomBattleMoves: ["swordsdance","protect","facade","closecombat","firepunch","crunch"],
		tier: "UU"
	},
	slugma: {
		randomBattleMoves: ["stockpile","recover","lavaplume","willowisp","toxic","hiddenpowergrass"],
		tier: "LC"
	},
	magcargo: {
		randomBattleMoves: ["stockpile","recover","lavaplume","willowisp","toxic","hiddenpowergrass","hiddenpowerrock","stealthrock","shellsmash","fireblast","earthpower"],
		eventPokemon: [
			{"generation":3,"level":38,"abilities":["magmaarmor","flamebody"],"moves":["refresh","heatwave","earthquake","flamethrower"]}
		],
		tier: "NU"
	},
	swinub: {
		randomBattleMoves: ["earthquake","iciclecrash","iceshard","stealthrock","superpower","endeavor"],
		eventPokemon: [
			{"generation":3,"level":22,"abilities":["oblivious"],"moves":["charm","ancientpower","mist","mudshot"]}
		],
		tier: "LC"
	},
	piloswine: {
		randomBattleMoves: ["earthquake","iciclecrash","iceshard","stealthrock","superpower","endeavor"],
		tier: "NU"
	},
	mamoswine: {
		randomBattleMoves: ["iceshard","earthquake","endeavor","iciclecrash","stoneedge","superpower","stealthrock"],
		tier: "OU"
	},
	corsola: {
		randomBattleMoves: ["recover","toxic","powergem","scald","stealthrock"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["hustle","naturalcure"],"moves":["tackle","mudsport"]}
		],
		tier: "NU"
	},
	remoraid: {
		randomBattleMoves: ["waterspout","hydropump","fireblast","hiddenpowerground","icebeam","seedbomb","rockblast"],
		tier: "LC"
	},
	octillery: {
		randomBattleMoves: ["hydropump","fireblast","icebeam","energyball","rockblast","thunderwave"],
		eventPokemon: [
			{"generation":4,"level":50,"gender":"F","nature":"Serious","abilities":["suctioncups"],"moves":["octazooka","icebeam","signalbeam","hyperbeam"]}
		],
		tier: "NU"
	},
	delibird: {
		randomBattleMoves: ["rapidspin","iceshard","icepunch","aerialace"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["vitalspirit","hustle"],"moves":["present"]}
		],
		tier: "NU"
	},
	mantyke: {
		randomBattleMoves: ["raindance","hydropump","surf","airslash","icebeam","rest","sleeptalk","toxic"],
		tier: "LC"
	},
	mantine: {
		randomBattleMoves: ["raindance","hydropump","surf","airslash","icebeam","rest","sleeptalk","toxic"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["swiftswim","waterabsorb"],"moves":["tackle","bubble","supersonic"]}
		],
		tier: "NU"
	},
	skarmory: {
		randomBattleMoves: ["whirlwind","bravebird","roost","spikes","stealthrock"],
		tier: "OU"
	},
	houndour: {
		randomBattleMoves: ["pursuit","suckerpunch","fireblast","darkpulse","hiddenpowerfighting","nastyplot"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["earlybird","flashfire"],"moves":["leer","ember","howl"]},
			{"generation":3,"level":17,"abilities":["earlybird","flashfire"],"moves":["charm","feintattack","ember","roar"]}
		],
		tier: "LC"
	},
	houndoom: {
		randomBattleMoves: ["nastyplot","pursuit","darkpulse","suckerpunch","fireblast","hiddenpowerfighting"],
		tier: "UU"
	},
	phanpy: {
		randomBattleMoves: ["stealthrock","earthquake","iceshard","headsmash","knockoff","seedbomb","superpower"],
		tier: "LC"
	},
	donphan: {
		randomBattleMoves: ["stealthrock","rapidspin","iceshard","earthquake","headsmash","seedbomb","superpower"],
		tier: "UU"
	},
	stantler: {
		randomBattleMoves: ["return","megahorn","jumpkick","earthquake","thunderwave","suckerpunch"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["intimidate","frisk"],"moves":["tackle","leer"]}
		],
		tier: "NU"
	},
	smeargle: {
		randomBattleMoves: ["spore","spikes","stealthrock","uturn","destinybond","whirlwind"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["owntempo","technician"],"moves":["sketch"]}
		],
		tier: "OU"
	},
	miltank: {
		randomBattleMoves: ["milkdrink","stealthrock","bodyslam","healbell","curse","earthquake"],
		tier: "UU"
	},
	raikou: {
		randomBattleMoves: ["thunderbolt","hiddenpowerice","aurasphere","calmmind","substitute"],
		eventPokemon: [
			{"generation":3,"level":70,"abilities":["pressure"],"moves":["quickattack","spark","reflect","crunch"]},
			{"generation":4,"level":30,"shiny":true,"nature":"Rash","abilities":["pressure"],"moves":["zapcannon","aurasphere","extremespeed","weatherball"]}
		],
		tier: "BL"
	},
	entei: {
		randomBattleMoves: ["extremespeed","flareblitz","ironhead","flamecharge","stoneedge"],
		eventPokemon: [
			{"generation":3,"level":70,"abilities":["pressure"],"moves":["firespin","stomp","flamethrower","swagger"]},
			{"generation":4,"level":30,"shiny":true,"nature":"Adamant","abilities":["pressure"],"moves":["flareblitz","howl","extremespeed","crushclaw"]}
		],
		tier: "NU"
	},
	suicune: {
		randomBattleMoves: ["hydropump","icebeam","scald","hiddenpowergrass","hiddenpowerelectric","rest","sleeptalk","roar","calmmind"],
		eventPokemon: [
			{"generation":3,"level":70,"abilities":["pressure"],"moves":["gust","aurorabeam","mist","mirrorcoat"]},
			{"generation":4,"level":30,"shiny":true,"nature":"Relaxed","abilities":["pressure"],"moves":["sheercold","airslash","extremespeed","aquaring"]}
		],
		tier: "OU"
	},
	larvitar: {
		randomBattleMoves: ["earthquake","stoneedge","rockpolish","dragondance","superpower"],
		eventPokemon: [
			{"generation":3,"level":20,"abilities":["guts"],"moves":["sandstorm","dragondance","bite","outrage"]}
		],
		tier: "LC"
	},
	pupitar: {
		randomBattleMoves: ["earthquake","stoneedge","rockpolish","dragondance","superpower"],
		tier: "NFE"
	},
	tyranitar: {
		randomBattleMoves: ["crunch","stoneedge","pursuit","superpower","fireblast","icebeam","stealthrock","aquatail","dragondance"],
		eventPokemon: [
			{"generation":3,"level":70,"abilities":["sandstream"],"moves":["thrash","scaryface","crunch","earthquake"]}
		],
		tier: "OU"
	},
	lugia: {
		randomBattleMoves: ["toxic","dragontail","roost","substitute","whirlwind","icebeam"],
		eventPokemon: [
			{"generation":3,"level":70,"abilities":["pressure"],"moves":["swift","raindance","hydropump","recover"]},
			{"generation":3,"level":70,"abilities":["pressure"],"moves":["recover","hydropump","raindance","swift"]},
			{"generation":3,"level":50,"abilities":["pressure"],"moves":["psychoboost","recover","hydropump","featherdance"]}
		],
		tier: "Uber"
	},
	hooh: {
		randomBattleMoves: ["substitute","sacredfire","bravebird","earthquake","roost","flamecharge"],
		eventPokemon: [
			{"generation":3,"level":70,"abilities":["pressure"],"moves":["swift","sunnyday","fireblast","recover"]},
			{"generation":3,"level":70,"abilities":["pressure"],"moves":["recover","fireblast","sunnyday","swift"]}
		],
		tier: "Uber"
	},
	celebi: {
		randomBattleMoves: ["nastyplot","psychic","gigadrain","recover","healbell","batonpass","stealthrock","earthpower","hiddenpowerfire","hiddenpowerice","calmmind"],
		eventPokemon: [
			{"generation":3,"level":10,"abilities":["naturalcure"],"moves":["confusion","recover","healbell","safeguard"]},
			{"generation":3,"level":70,"abilities":["naturalcure"],"moves":["ancientpower","futuresight","batonpass","perishsong"]},
			{"generation":3,"level":10,"abilities":["naturalcure"],"moves":["leechseed","recover","healbell","safeguard"]},
			{"generation":3,"level":30,"abilities":["naturalcure"],"moves":["healbell","safeguard","ancientpower","futuresight"]},
			{"generation":4,"level":50,"abilities":["naturalcure"],"moves":["leafstorm","recover","nastyplot","healingwish"]}
		],
		unobtainableShiny: true,
		tier: "OU"
	},
	treecko: {
		randomBattleMoves: ["substitute","leechseed","gigadrain","leafstorm","hiddenpowerice","hiddenpowerrock","endeavor"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["pound","leer","absorb"]}
		],
		tier: "LC"
	},
	grovyle: {
		randomBattleMoves: ["substitute","leechseed","gigadrain","leafstorm","hiddenpowerice","hiddenpowerrock","endeavor"],
		tier: "NFE"
	},
	sceptile: {
		randomBattleMoves: ["substitute","leechseed","gigadrain","leafstorm","hiddenpowerice","focusblast","synthesis","hiddenpowerrock"],
		tier: "UU"
	},
	torchic: {
		randomBattleMoves: ["fireblast","protect","batonpass","substitute","hiddenpowergrass"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["blaze"],"moves":["scratch","growl","focusenergy","ember"]}
		],
		tier: "LC"
	},
	combusken: {
		randomBattleMoves: ["flareblitz","skyuppercut","protect","swordsdance","substitute","batonpass"],
		tier: "NFE"
	},
	blaziken: {
		randomBattleMoves: ["flareblitz","highjumpkick","protect","swordsdance","substitute","batonpass","bravebird"],
		eventPokemon: [
			{"generation":3,"level":70,"abilities":["blaze"],"moves":["blazekick","slash","mirrormove","skyuppercut"]}
		],
		tier: "UU"
	},
	mudkip: {
		randomBattleMoves: ["waterfall","earthpower","superpower","icebeam"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["torrent"],"moves":["tackle","growl","mudslap","watergun"]}
		],
		tier: "LC"
	},
	marshtomp: {
		randomBattleMoves: ["waterfall","earthquake","superpower","icepunch","rockslide","stealthrock"],
		tier: "NFE"
	},
	swampert: {
		randomBattleMoves: ["waterfall","earthquake","icepunch","stealthrock","roar","superpower","stoneedge","rest","sleeptalk","curse"],
		tier: "OU"
	},
	poochyena: {
		randomBattleMoves: ["superfang","foulplay","suckerpunch","toxic"],
		eventPokemon: [
			{"generation":3,"level":10,"abilities":["runaway"],"moves":["healbell","dig","poisonfang","growl"]}
		],
		tier: "LC"
	},
	mightyena: {
		randomBattleMoves: ["suckerpunch","crunch","icefang","firefang","howl"],
		tier: "NU"
	},
	zigzagoon: {
		randomBattleMoves: ["bellydrum","extremespeed","seedbomb","substitute"],
		eventPokemon: [
			{"generation":3,"level":5,"shiny":true,"abilities":["pickup"],"moves":["tackle","growl","tailwhip"]},
			{"generation":3,"level":5,"abilities":["pickup"],"moves":["tackle","growl","extremespeed"]}
		],
		tier: "LC"
	},
	linoone: {
		randomBattleMoves: ["bellydrum","extremespeed","seedbomb","substitute","shadowclaw"],
		tier: "NU"
	},
	wurmple: {
		randomBattleMoves: ["bugbite","poisonsting","tackle","electroweb"],
		tier: "LC"
	},
	silcoon: {
		randomBattleMoves: ["bugbite","poisonsting","tackle","electroweb"],
		tier: "NFE"
	},
	beautifly: {
		randomBattleMoves: ["quiverdance","bugbuzz","psychic","hiddenpowerfighting","hiddenpowerrock","substitute","roost"],
		tier: "NU"
	},
	cascoon: {
		randomBattleMoves: ["bugbite","poisonsting","tackle","electroweb"],
		tier: "NFE"
	},
	dustox: {
		randomBattleMoves: ["toxic","roost","whirlwind","bugbuzz","protect","sludgebomb","quiverdance"],
		tier: "NU"
	},
	lotad: {
		randomBattleMoves: ["gigadrain","icebeam","scald","substitute","leechseed"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["swiftswim","raindish"],"moves":["astonish","growl","absorb"]}
		],
		tier: "LC"
	},
	lombre: {
		randomBattleMoves: ["gigadrain","icebeam","scald","substitute","leechseed"],
		tier: "NFE"
	},
	ludicolo: {
		randomBattleMoves: ["raindance","hydropump","surf","gigadrain","icebeam","scald","leechseed","substitute","toxic"],
		tier: "UU"
	},
	seedot: {
		randomBattleMoves: ["leechseed","naturepower","seedbomb","explosion","foulplay"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["chlorophyll","earlybird"],"moves":["bide","harden","growth"]},
			{"generation":3,"level":17,"abilities":["chlorophyll","earlybird"],"moves":["refresh","gigadrain","bulletseed","secretpower"]}
		],
		tier: "LC"
	},
	nuzleaf: {
		randomBattleMoves: ["foulplay","naturepower","seedbomb","explosion","swordsdance"],
		tier: "NFE"
	},
	shiftry: {
		randomBattleMoves: ["hiddenpowerfire","swordsdance","seedbomb","suckerpunch","naturepower","nastyplot","gigadrain","darkpulse"],
		tier: "NU"
	},
	taillow: {
		randomBattleMoves: ["bravebird","facade","quickattack","uturn","protect"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["guts"],"moves":["peck","growl","focusenergy","featherdance"]}
		],
		tier: "LC"
	},
	swellow: {
		randomBattleMoves: ["bravebird","facade","quickattack","uturn","protect"],
		eventPokemon: [
			{"generation":3,"level":43,"abilities":["guts"],"moves":["batonpass","skyattack","agility","facade"]}
		],
		tier: "UU"
	},
	wingull: {
		randomBattleMoves: ["scald","icebeam","hiddenpowergrass","uturn","airslash","hurricane"],
		tier: "LC"
	},
	pelipper: {
		randomBattleMoves: ["scald","icebeam","hiddenpowergrass","uturn","airslash","hurricane","toxic","roost"],
		tier: "NU"
	},
	ralts: {
		randomBattleMoves: ["trickroom","destinybond","hypnosis","willowisp"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["growl","wish"]},
			{"generation":3,"level":5,"moves":["growl","charm"]},
			{"generation":3,"level":20,"moves":["sing","shockwave","reflect","confusion"]}
		],
		tier: "LC"
	},
	kirlia: {
		randomBattleMoves: ["trickroom","destinybond","hypnosis","willowisp"],
		tier: "NFE"
	},
	gardevoir: {
		randomBattleMoves: ["psychic","focusblast","shadowball","trick","calmmind","willowisp","wish","thunderbolt","protect","healingwish"],
		tier: "NU"
	},
	gallade: {
		randomBattleMoves: ["closecombat","trick","stoneedge","shadowsneak","swordsdance","bulkup","drainpunch","icepunch","psychocut"],
		tier: "BL"
	},
	surskit: {
		randomBattleMoves: ["hydropump","signalbeam","hiddenpowerfire","hiddenpowerfighting","gigadrain"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["bubble","mudsport"]},
			{"generation":3,"level":10,"gender":"M","moves":["bubble","quickattack"]}
		],
		tier: "LC"
	},
	masquerain: {
		randomBattleMoves: ["hydropump","bugbuzz","airslash","quiverdance","substitute","batonpass","roost"],
		tier: "NU"
	},
	shroomish: {
		randomBattleMoves: ["spore","substitute","leechseed","gigadrain","protect","toxic","stunspore"],
		eventPokemon: [
			{"generation":3,"level":15,"abilities":["effectspore"],"moves":["refresh","falseswipe","megadrain","stunspore"]}
		],
		tier: "LC"
	},
	breloom: {
		randomBattleMoves: ["spore","substitute","leechseed","focuspunch","machpunch","lowsweep","bulletseed","stoneedge","swordsdance","thunderpunch"],
		tier: "OU"
	},
	slakoth: {
		randomBattleMoves: ["return","hammerarm","firepunch","suckerpunch","gigaimpact","retaliate","toxic"],
		tier: "LC"
	},
	vigoroth: {
		randomBattleMoves: ["bulkup","return","earthquake","firepunch","suckerpunch","slackoff"],
		tier: "NU"
	},
	slaking: {
		randomBattleMoves: ["return","earthquake","pursuit","firepunch","suckerpunch","doubleedge","retaliate","gigaimpact","hammerarm"],
		eventPokemon: [
			{"generation":4,"level":50,"gender":"M","nature":"Adamant","abilities":["truant"],"moves":["gigaimpact","return","shadowclaw","aerialace"]}
		],
		tier: "NU"
	},
	nincada: {
		randomBattleMoves: ["xscissor","toxic","aerialace","nightslash"],
		tier: "LC"
	},
	ninjask: {
		randomBattleMoves: ["batonpass","swordsdance","substitute","protect","xscissor"],
		tier: "OU"
	},
	shedinja: {
		randomBattleMoves: ["swordsdance","willowisp","xscissor","shadowsneak","suckerpunch"],
		eventPokemon: [
			{"generation":3,"level":50,"abilities":["wonderguard"],"moves":["spite","confuseray","shadowball","grudge"]},
			{"generation":3,"level":20,"abilities":["wonderguard"],"moves":["doubleteam","furycutter","screech"]},
			{"generation":3,"level":25,"abilities":["wonderguard"],"moves":["swordsdance"]},
			{"generation":3,"level":31,"abilities":["wonderguard"],"moves":["slash"]},
			{"generation":3,"level":38,"abilities":["wonderguard"],"moves":["agility"]},
			{"generation":3,"level":45,"abilities":["wonderguard"],"moves":["batonpass"]},
			{"generation":4,"level":52,"abilities":["wonderguard"],"moves":["xscissor"]}
		],
		tier: "NU"
	},
	whismur: {
		randomBattleMoves: ["hypervoice","fireblast","shadowball","icebeam"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["soundproof"],"moves":["pound","uproar","teeterdance"]}
		],
		tier: "LC"
	},
	loudred: {
		randomBattleMoves: ["hypervoice","fireblast","shadowball","icebeam"],
		tier: "NFE"
	},
	exploud: {
		randomBattleMoves: ["hypervoice","overheat","shadowball","icebeam","surf","focusblast"],
		eventPokemon: [
			{"generation":3,"level":100,"abilities":["soundproof"],"moves":["roar","rest","sleeptalk","hypervoice"]},
			{"generation":3,"level":50,"abilities":["soundproof"],"moves":["stomp","screech","hyperbeam","roar"]}
		],
		tier: "NU"
	},
	makuhita: {
		randomBattleMoves: ["crosschop","bulletpunch","closecombat","icepunch","bulkup"],
		eventPokemon: [
			{"generation":3,"level":18,"abilities":["thickfat","guts"],"moves":["refresh","brickbreak","armthrust","rocktomb"]}
		],
		tier: "LC"
	},
	hariyama: {
		randomBattleMoves: ["crosschop","bulletpunch","closecombat","icepunch","stoneedge","bulkup"],
		tier: "UU"
	},
	nosepass: {
		randomBattleMoves: ["stoneedge","toxic","stealthrock","thunderwave"],
		eventPokemon: [
			{"generation":3,"level":26,"abilities":["sturdy","magnetpull"],"moves":["helpinghand","thunderbolt","thunderwave","rockslide"]}
		],
		tier: "LC"
	},
	probopass: {
		randomBattleMoves: ["stealthrock","thunderwave","toxic","earthpower","powergem","voltswitch"],
		tier: "NU"
	},
	skitty: {
		randomBattleMoves: ["return","suckerpunch","zenheadbutt","thunderwave","fakeout"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["cutecharm"],"moves":["tackle","growl","tailwhip","payday"]},
			{"generation":3,"level":5,"abilities":["cutecharm"],"moves":["growl","tackle","tailwhip","rollout"]},
			{"generation":3,"level":10,"gender":"M","abilities":["cutecharm","normalize"],"moves":["growl","tackle","tailwhip","attract"]}
		],
		tier: "LC"
	},
	delcatty: {
		randomBattleMoves: ["return","suckerpunch","zenheadbutt","thunderwave","fakeout","wish"],
		eventPokemon: [
			{"generation":3,"level":18,"abilities":["cutecharm"],"moves":["sweetkiss","secretpower","attract","shockwave"]}
		],
		tier: "NU"
	},
	sableye: {
		randomBattleMoves: ["recover","willowisp","taunt","trick","toxic","nightshade","seismictoss"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["keeneye"],"moves":["leer","scratch","foresight","nightshade"]},
			{"generation":3,"level":33,"abilities":["keeneye"],"moves":["helpinghand","shadowball","feintattack","recover"]}
		],
		tier: "NU"
	},
	mawile: {
		randomBattleMoves: ["swordsdance","ironhead","firefang","crunch","batonpass","substitute"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["hypercutter","intimidate"],"moves":["astonish","faketears"]},
			{"generation":3,"level":22,"abilities":["hypercutter","intimidate"],"moves":["sing","falseswipe","vicegrip","irondefense"]}
		],
		tier: "NU"
	},
	aron: {
		randomBattleMoves: ["headsmash","ironhead","earthquake","superpower","stealthrock"],
		tier: "LC"
	},
	lairon: {
		randomBattleMoves: ["headsmash","ironhead","earthquake","superpower","stealthrock"],
		tier: "NFE"
	},
	aggron: {
		randomBattleMoves: ["rockpolish","headsmash","earthquake","superpower","heavyslam","aquatail","icepunch","stealthrock","thunderwave"],
		eventPokemon: [
			{"generation":3,"level":100,"abilities":["sturdy","rockhead"],"moves":["irontail","protect","metalsound","doubleedge"]},
			{"generation":3,"level":50,"abilities":["sturdy","rockhead"],"moves":["takedown","irontail","protect","metalsound"]}
		],
		tier: "UU"
	},
	meditite: {
		randomBattleMoves: ["highjumpkick","psychocut","icepunch","thunderpunch","trick","fakeout","bulletpunch","drainpunch"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["purepower"],"moves":["bide","meditate","confusion"]},
			{"generation":3,"level":20,"abilities":["purepower"],"moves":["dynamicpunch","confusion","shadowball","detect"]}
		],
		tier: "NU"
	},
	medicham: {
		randomBattleMoves: ["highjumpkick","drainpunch","psychocut","icepunch","thunderpunch","trick","fakeout","bulletpunch"],
		tier: "NU"
	},
	electrike: {
		randomBattleMoves: ["voltswitch","thunderbolt","hiddenpowerice","overheat","switcheroo","flamethrower"],
		tier: "LC"
	},
	manectric: {
		randomBattleMoves: ["voltswitch","thunderbolt","hiddenpowerice","overheat","switcheroo","flamethrower"],
		eventPokemon: [
			{"generation":3,"level":44,"abilities":["static","lightningrod"],"moves":["refresh","thunder","raindance","bite"]}
		],
		tier: "NU"
	},
	plusle: {
		randomBattleMoves: ["nastyplot","thunderbolt","substitute","batonpass","hiddenpowerice"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["plus"],"moves":["growl","thunderwave","watersport"]},
			{"generation":3,"level":10,"gender":"M","abilities":["plus"],"moves":["growl","thunderwave","quickattack"]}
		],
		tier: "NU"
	},
	minun: {
		randomBattleMoves: ["nastyplot","thunderbolt","substitute","batonpass","hiddenpowerice"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["minus"],"moves":["growl","thunderwave","mudsport"]},
			{"generation":3,"level":10,"gender":"M","abilities":["minus"],"moves":["growl","thunderwave","quickattack"]}
		],
		tier: "NU"
	},
	volbeat: {
		randomBattleMoves: ["tailglow","batonpass","substitute","bugbuzz","thunderwave","encore"],
		tier: "NU"
	},
	illumise: {
		randomBattleMoves: ["substitute","batonpass","wish","bugbuzz","encore","thunderbolt"],
		tier: "NU"
	},
	budew: {
		randomBattleMoves: ["spikes","toxicspikes","sleeppowder","gigadrain","stunspore","rest"],
		tier: "LC"
	},
	roselia: {
		randomBattleMoves: ["spikes","toxicspikes","sleeppowder","gigadrain","stunspore","rest"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["naturalcure","poisonpoint"],"moves":["absorb","growth","poisonsting"]},
			{"generation":3,"level":22,"abilities":["naturalcure","poisonpoint"],"moves":["sweetkiss","magicalleaf","leechseed","grasswhistle"]}
		],
		tier: "NU"
	},
	roserade: {
		randomBattleMoves: ["sludgebomb","gigadrain","sleeppowder","leafstorm","spikes","toxicspikes","rest","synthesis","hiddenpowerfire"],
		tier: "OU"
	},
	gulpin: {
		randomBattleMoves: ["stockpile","sludgebomb","icebeam","toxic","painsplit","yawn","encore"],
		eventPokemon: [
			{"generation":3,"level":17,"abilities":["stickyhold","liquidooze"],"moves":["sing","shockwave","sludge","toxic"]}
		],
		tier: "LC"
	},
	swalot: {
		randomBattleMoves: ["stockpile","sludgebomb","icebeam","toxic","painsplit","yawn","encore","earthquake"],
		tier: "NU"
	},
	carvanha: {
		randomBattleMoves: ["protect","hydropump","icebeam","waterfall","crunch","hiddenpowergrass","aquajet"],
		eventPokemon: [
			{"generation":3,"level":15,"abilities":["roughskin"],"moves":["refresh","waterpulse","bite","scaryface"]}
		],
		tier: "LC"
	},
	sharpedo: {
		randomBattleMoves: ["protect","hydropump","icebeam","crunch","earthquake","waterfall","hiddenpowergrass","aquajet"],
		tier: "NU"
	},
	wailmer: {
		randomBattleMoves: ["waterspout","surf","hydropump","icebeam","hiddenpowergrass","hiddenpowerelectric"],
		tier: "LC"
	},
	wailord: {
		randomBattleMoves: ["waterspout","surf","hydropump","icebeam","hiddenpowergrass","hiddenpowerelectric"],
		eventPokemon: [
			{"generation":3,"level":100,"abilities":["waterveil","oblivious"],"moves":["rest","waterspout","amnesia","hydropump"]},
			{"generation":3,"level":50,"abilities":["waterveil","oblivious"],"moves":["waterpulse","mist","rest","waterspout"]}
		],
		tier: "NU"
	},
	numel: {
		randomBattleMoves: ["curse","earthquake","rockslide","fireblast","flamecharge","rest","sleeptalk","stockpile"],
		eventPokemon: [
			{"generation":3,"level":14,"abilities":["oblivious"],"moves":["charm","takedown","dig","ember"]}
		],
		tier: "LC"
	},
	camerupt: {
		randomBattleMoves: ["rockpolish","fireblast","earthpower","stoneedge","lavaplume","stealthrock","earthquake"],
		tier: "NU"
	},
	torkoal: {
		randomBattleMoves: ["rapidspin","stealthrock","yawn","lavaplume","earthquake","toxic","willowisp"],
		tier: "NU"
	},
	spoink: {
		randomBattleMoves: ["psychic","reflect","lightscreen","thunderwave","trick","healbell"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["owntempo"],"moves":["splash","uproar"]}
		],
		tier: "LC"
	},
	grumpig: {
		randomBattleMoves: ["calmmind","psychic","focusblast","shadowball","thunderwave","trick","healbell"],
		tier: "NU"
	},
	spinda: {
		randomBattleMoves: ["wish","protect","return","superpower","suckerpunch"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["owntempo","tangledfeet"],"moves":["tackle","uproar","sing"]}
		],
		tier: "NU"
	},
	trapinch: {
		randomBattleMoves: ["earthquake","rockslide","crunch","quickattack","superpower"],
		tier: "LC"
	},
	vibrava: {
		randomBattleMoves: ["substitute","earthquake","outrage","roost","uturn","superpower"],
		tier: "NFE"
	},
	flygon: {
		randomBattleMoves: ["earthquake","outrage","dragonclaw","uturn","roost","substitute","stoneedge","firepunch","superpower"],
		eventPokemon: [
			{"generation":3,"level":45,"abilities":["levitate"],"moves":["sandtomb","crunch","dragonbreath","screech"]},
			{"generation":4,"level":50,"gender":"M","nature":"Naive","abilities":["levitate"],"moves":["dracometeor","uturn","earthquake","dragonclaw"]}
		],
		tier: "OU"
	},
	cacnea: {
		randomBattleMoves: ["swordsdance","spikes","suckerpunch","seedbomb","drainpunch"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["sandveil"],"moves":["poisonsting","leer","absorb","encore"]}
		],
		tier: "LC"
	},
	cacturne: {
		randomBattleMoves: ["swordsdance","spikes","suckerpunch","seedbomb","drainpunch"],
		eventPokemon: [
			{"generation":3,"level":45,"abilities":["sandveil"],"moves":["ingrain","feintattack","spikes","needlearm"]}
		],
		tier: "NU"
	},
	swablu: {
		randomBattleMoves: ["roost","toxic","cottonguard","return"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["naturalcure"],"moves":["peck","growl","falseswipe"]}
		],
		tier: "LC"
	},
	altaria: {
		randomBattleMoves: ["dragondance","outrage","dragonclaw","earthquake","roost","fireblast"],
		eventPokemon: [
			{"generation":3,"level":45,"abilities":["naturalcure"],"moves":["takedown","dragonbreath","dragondance","refresh"]},
			{"generation":3,"level":36,"abilities":["naturalcure"],"moves":["healbell","dragonbreath","solarbeam","aerialace"]}
		],
		tier: "UU"
	},
	zangoose: {
		randomBattleMoves: ["swordsdance","closecombat","nightslash","quickattack","facade"],
		eventPokemon: [
			{"generation":3,"level":18,"abilities":["immunity"],"moves":["leer","quickattack","swordsdance","furycutter"]},
			{"generation":3,"level":10,"gender":"M","abilities":["immunity"],"moves":["scratch","leer","quickattack","swordsdance"]},
			{"generation":3,"level":28,"abilities":["immunity"],"moves":["refresh","brickbreak","counter","crushclaw"]}
		],
		tier: "NU"
	},
	seviper: {
		randomBattleMoves: ["sludgebomb","flamethrower","gigadrain","switcheroo","earthquake","suckerpunch","aquatail"],
		eventPokemon: [
			{"generation":3,"level":18,"abilities":["shedskin"],"moves":["wrap","lick","bite","poisontail"]},
			{"generation":3,"level":30,"abilities":["shedskin"],"moves":["poisontail","screech","glare","crunch"]},
			{"generation":3,"level":10,"gender":"M","abilities":["shedskin"],"moves":["wrap","lick","bite"]}
		],
		tier: "NU"
	},
	lunatone: {
		randomBattleMoves: ["psychic","earthpower","stealthrock","rockpolish","batonpass","calmmind","icebeam","hiddenpowerrock","moonlight"],
		eventPokemon: [
			{"generation":3,"level":10,"abilities":["levitate"],"moves":["tackle","harden","confusion"]},
			{"generation":3,"level":25,"abilities":["levitate"],"moves":["batonpass","psychic","raindance","rocktomb"]}
		],
		tier: "NU"
	},
	solrock: {
		randomBattleMoves: ["stealthrock","explosion","stoneedge","zenheadbutt","earthquake","batonpass","willowisp","rockpolish","morningsun"],
		eventPokemon: [
			{"generation":3,"level":10,"abilities":["levitate"],"moves":["tackle","harden","confusion"]},
			{"generation":3,"level":41,"abilities":["levitate"],"moves":["batonpass","psychic","sunnyday","cosmicpower"]}
		],
		tier: "NU"
	},
	barboach: {
		randomBattleMoves: ["dragondance","waterfall","earthquake","return"],
		tier: "LC"
	},
	whiscash: {
		randomBattleMoves: ["dragondance","waterfall","earthquake","stoneedge"],
		eventPokemon: [
			{"generation":4,"level":51,"gender":"F","nature":"Gentle","abilities":["oblivious"],"moves":["earthquake","aquatail","zenheadbutt","gigaimpact"]}
		],
		tier: "NU"
	},
	corphish: {
		randomBattleMoves: ["dragondance","waterfall","crunch","superpower","swordsdance"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["hypercutter","shellarmor"],"moves":["bubble","watersport"]}
		],
		tier: "LC"
	},
	crawdaunt: {
		randomBattleMoves: ["dragondance","waterfall","crunch","superpower","swordsdance"],
		eventPokemon: [
			{"generation":3,"level":100,"abilities":["hypercutter","shellarmor"],"moves":["taunt","crabhammer","swordsdance","guillotine"]},
			{"generation":3,"level":50,"abilities":["hypercutter","shellarmor"],"moves":["knockoff","taunt","crabhammer","swordsdance"]}
		],
		tier: "NU"
	},
	baltoy: {
		randomBattleMoves: ["stealthrock","earthquake","toxic","psychic","reflect","lightscreen","icebeam","rapidspin"],
		eventPokemon: [
			{"generation":3,"level":17,"abilities":["levitate"],"moves":["refresh","rocktomb","mudslap","psybeam"]}
		],
		tier: "LC"
	},
	claydol: {
		randomBattleMoves: ["stealthrock","toxic","psychic","icebeam","earthquake","rapidspin","reflect","lightscreen"],
		tier: "UU"
	},
	lileep: {
		randomBattleMoves: ["stealthrock","recover","ancientpower","hiddenpowerfire","gigadrain","stockpile"],
		tier: "LC"
	},
	cradily: {
		randomBattleMoves: ["stealthrock","recover","stockpile","seedbomb","rockslide","earthquake","curse","swordsdance"],
		tier: "NU"
	},
	anorith: {
		randomBattleMoves: ["stealthrock","brickbreak","toxic","xscissor","rockslide","swordsdance","rockpolish"],
		tier: "LC"
	},
	armaldo: {
		randomBattleMoves: ["stealthrock","stoneedge","toxic","xscissor","swordsdance","earthquake","superpower"],
		tier: "NU"
	},
	feebas: {
		randomBattleMoves: ["protect","confuseray","hypnosis","scald","toxic"],
		tier: "LC"
	},
	milotic: {
		randomBattleMoves: ["recover","scald","hypnosis","toxic","icebeam","dragontail","rest","sleeptalk","hiddenpowergrass"],
		eventPokemon: [
			{"generation":3,"level":35,"abilities":["marvelscale"],"moves":["waterpulse","twister","recover","raindance"]},
			{"generation":4,"level":50,"gender":"F","nature":"Bold","abilities":["marvelscale"],"moves":["recover","raindance","icebeam","hydropump"]},
			{"generation":4,"level":50,"shiny":true,"gender":"M","nature":"Timid","abilities":["marvelscale"],"moves":["raindance","recover","hydropump","icywind"]}
		],
		tier: "UU"
	},
	castform: {
		randomBattleMoves: ["sunnyday","raindance","fireblast","hydropump","thunder","icebeam","solarbeam"],
		tier: "NU"
	},
	castformsunny: {
		tier: "Illegal"
	},
	castformrainy: {
		tier: "Illegal"
	},
	castformsnowy: {
		tier: "Illegal"
	},
	kecleon: {
		randomBattleMoves: ["stealthrock","recover","return","thunderwave","suckerpunch"],
		tier: "NU"
	},
	shuppet: {
		randomBattleMoves: ["trickroom","destinybond","taunt","shadowsneak","willowisp"],
		eventPokemon: [
			{"generation":3,"level":45,"abilities":["insomnia","frisk"],"moves":["spite","willowisp","feintattack","shadowball"]}
		],
		tier: "LC"
	},
	banette: {
		randomBattleMoves: ["trickroom","destinybond","taunt","shadowclaw","willowisp"],
		eventPokemon: [
			{"generation":3,"level":37,"abilities":["insomnia"],"moves":["helpinghand","feintattack","shadowball","curse"]}
		],
		tier: "NU"
	},
	duskull: {
		randomBattleMoves: ["willowisp","shadowsneak","icebeam","painsplit","substitute","nightshade"],
		eventPokemon: [
			{"generation":3,"level":45,"abilities":["levitate"],"moves":["pursuit","curse","willowisp","meanlook"]},
			{"generation":3,"level":19,"abilities":["levitate"],"moves":["helpinghand","shadowball","astonish","confuseray"]}
		],
		tier: "LC"
	},
	dusclops: {
		randomBattleMoves: ["willowisp","shadowsneak","icebeam","painsplit","substitute","seismictoss"],
		tier: "NU"
	},
	dusknoir: {
		randomBattleMoves: ["willowisp","shadowsneak","icebeam","painsplit","substitute","earthquake","focuspunch"],
		tier: "OU"
	},
	tropius: {
		randomBattleMoves: ["leechseed","substitute","airslash","gigadrain","earthquake","hiddenpowerfire","roost","leafstorm"],
		eventPokemon: [
			{"generation":4,"level":53,"gender":"F","nature":"Jolly","abilities":["chlorophyll"],"moves":["airslash","synthesis","sunnyday","solarbeam"]}
		],
		tier: "NU"
	},
	chingling: {
		randomBattleMoves: ["hypnosis","reflect","lightscreen","toxic","wish","psychic"],
		tier: "LC"
	},
	chimecho: {
		randomBattleMoves: ["hypnosis","toxic","wish","psychic","thunderwave","recover","calmmind","shadowball","hiddenpowerfighting","healingwish"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["levitate"],"moves":["wrap","growl","astonish"]}
		],
		tier: "NU"
	},
	absol: {
		randomBattleMoves: ["swordsdance","suckerpunch","nightslash","psychocut","superpower","pursuit","megahorn"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["pressure"],"moves":["scratch","leer","wish"]},
			{"generation":3,"level":5,"abilities":["pressure"],"moves":["scratch","leer","spite"]},
			{"generation":3,"level":35,"abilities":["pressure"],"moves":["razorwind","bite","swordsdance","spite"]},
			{"generation":3,"level":70,"abilities":["pressure"],"moves":["doubleteam","slash","futuresight","perishsong"]}
		],
		tier: "UU"
	},
	snorunt: {
		randomBattleMoves: ["spikes","icebeam","hiddenpowerground","iceshard","crunch"],
		eventPokemon: [
			{"generation":3,"level":22,"abilities":["innerfocus"],"moves":["sing","waterpulse","bite","icywind"]}
		],
		tier: "LC"
	},
	glalie: {
		randomBattleMoves: ["spikes","icebeam","iceshard","crunch","explosion","earthquake"],
		tier: "NU"
	},
	froslass: {
		randomBattleMoves: ["icebeam","spikes","destinybond","shadowball","substitute","thunderbolt","thunderwave"],
		tier: "BL"
	},
	spheal: {
		randomBattleMoves: ["substitute","protect","toxic","surf","icebeam"],
		eventPokemon: [
			{"generation":3,"level":17,"abilities":["thickfat"],"moves":["charm","aurorabeam","watergun","mudslap"]}
		],
		tier: "LC"
	},
	sealeo: {
		randomBattleMoves: ["substitute","protect","toxic","surf","icebeam"],
		tier: "NFE"
	},
	walrein: {
		randomBattleMoves: ["substitute","protect","toxic","surf","icebeam","roar"],
		tier: "NU"
	},
	clamperl: {
		randomBattleMoves: ["shellsmash","icebeam","surf","hiddenpowergrass","hiddenpowerelectric","substitute"],
		tier: "LC"
	},
	huntail: {
		randomBattleMoves: ["shellsmash","return","hydropump","batonpass","suckerpunch"],
		tier: "NU"
	},
	gorebyss: {
		randomBattleMoves: ["shellsmash","batonpass","hydropump","icebeam","hiddenpowergrass","substitute"],
		tier: "NU"
	},
	relicanth: {
		randomBattleMoves: ["headsmash","waterfall","earthquake","doubleedge","stealthrock"],
		tier: "NU"
	},
	luvdisc: {
		randomBattleMoves: ["surf","icebeam","toxic","sweetkiss","protect"],
		tier: "NU"
	},
	bagon: {
		randomBattleMoves: ["outrage","dragondance","firefang","rockslide","dragonclaw"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["rage","bite","wish"]},
			{"generation":3,"level":5,"moves":["rage","bite","irondefense"]}
		],
		tier: "LC"
	},
	shelgon: {
		randomBattleMoves: ["outrage","brickbreak","dragonclaw","dragondance"],
		tier: "NU"
	},
	salamence: {
		randomBattleMoves: ["outrage","fireblast","earthquake","dracometeor","roost","dragondance","dragonclaw"],
		eventPokemon: [
			{"generation":3,"level":50,"moves":["protect","dragonbreath","scaryface","fly"]},
			{"generation":3,"level":50,"moves":["refresh","dragonclaw","dragondance","aerialace"]},
			{"generation":4,"level":50,"gender":"M","nature":"Naughty","moves":["hydropump","stoneedge","fireblast","dragonclaw"]}
		],
		tier: "Uber"
	},
	beldum: {
		randomBattleMoves: ["ironhead","zenheadbutt","headbutt","irondefense"],
		tier: "LC"
	},
	metang: {
		randomBattleMoves: ["stealthrock","meteormash","toxic","earthquake","bulletpunch"],
		eventPokemon: [
			{"generation":3,"level":30,"abilities":["clearbody"],"moves":["takedown","confusion","metalclaw","refresh"]}
		],
		tier: "NU"
	},
	metagross: {
		randomBattleMoves: ["meteormash","earthquake","agility","stealthrock","zenheadbutt","bulletpunch","trick"],
		eventPokemon: [
			{"generation":4,"level":62,"nature":"Brave","abilities":["clearbody"],"moves":["bulletpunch","meteormash","hammerarm","zenheadbutt"]}
		],
		tier: "OU"
	},
	regirock: {
		randomBattleMoves: ["stealthrock","thunderwave","stoneedge","earthquake","curse","rest","sleeptalk","rockslide","toxic"],
		eventPokemon: [
			{"generation":3,"level":40,"abilities":["clearbody"],"moves":["curse","superpower","ancientpower","hyperbeam"]}
		],
		tier: "NU"
	},
	regice: {
		randomBattleMoves: ["thunderwave","icebeam","thunderbolt","rest","sleeptalk","focusblast"],
		eventPokemon: [
			{"generation":3,"level":40,"abilities":["clearbody"],"moves":["curse","superpower","ancientpower","hyperbeam"]}
		],
		tier: "NU"
	},
	registeel: {
		randomBattleMoves: ["stealthrock","ironhead","curse","rest","thunderwave","toxic"],
		eventPokemon: [
			{"generation":3,"level":40,"abilities":["clearbody"],"moves":["curse","superpower","ancientpower","hyperbeam"]}
		],
		tier: "UU"
	},
	latias: {
		randomBattleMoves: ["dragonpulse","surf","hiddenpowerfire","roost","calmmind","wish","healingwish"],
		eventPokemon: [
			{"generation":3,"level":50,"gender":"F","abilities":["levitate"],"moves":["charm","recover","psychic","mistball"]},
			{"generation":3,"level":70,"gender":"F","abilities":["levitate"],"moves":["mistball","psychic","recover","charm"]},
			{"generation":4,"level":40,"gender":"F","abilities":["levitate"],"moves":["watersport","refresh","mistball","zenheadbutt"]}
		],
		tier: "Uber"
	},
	latios: {
		randomBattleMoves: ["dracometeor","dragonpulse","surf","hiddenpowerfire","psyshock","roost"],
		eventPokemon: [
			{"generation":3,"level":50,"gender":"M","abilities":["levitate"],"moves":["dragondance","recover","psychic","lusterpurge"]},
			{"generation":3,"level":70,"gender":"M","abilities":["levitate"],"moves":["lusterpurge","psychic","recover","dragondance"]},
			{"generation":4,"level":40,"gender":"M","abilities":["levitate"],"moves":["protect","refresh","lusterpurge","zenheadbutt"]}
		],
		tier: "Uber"
	},
	kyogre: {
		randomBattleMoves: ["waterspout","surf","thunder","icebeam","calmmind","rest","sleeptalk"],
		tier: "Uber"
	},
	groudon: {
		randomBattleMoves: ["earthquake","dragontail","stealthrock","stoneedge","swordsdance","rockpolish","thunderwave","firepunch"],
		tier: "Uber"
	},
	rayquaza: {
		randomBattleMoves: ["outrage","vcreate","extremespeed","dragondance","swordsdance","dracometeor","dragonclaw"],
		tier: "Uber"
	},
	jirachi: {
		randomBattleMoves: ["ironhead","firepunch","thunderwave","stealthrock","wish","uturn","calmmind","psychic","thunder","icepunch","flashcannon"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["serenegrace"],"moves":["wish","confusion","rest"]},
			{"generation":3,"level":30,"abilities":["serenegrace"],"moves":["helpinghand","psychic","refresh","rest"]},
			{"generation":4,"level":5,"abilities":["serenegrace"],"moves":["wish","confusion","rest"]},
			{"generation":4,"level":5,"abilities":["serenegrace"],"moves":["wish","confusion","rest","dracometeor"]}
		],
		tier: "OU"
	},
	deoxys: {
		randomBattleMoves: ["psychoboost","superpower","extremespeed","icebeam","thunderbolt","firepunch","spikes","stealthrock"],
		eventPokemon: [
			{"generation":3,"level":30,"abilities":["pressure"],"moves":["snatch","psychic","spikes","knockoff"]},
			{"generation":3,"level":30,"abilities":["pressure"],"moves":["superpower","psychic","pursuit","taunt"]},
			{"generation":3,"level":30,"abilities":["pressure"],"moves":["swift","psychic","pursuit","knockoff"]},
			{"generation":3,"level":70,"abilities":["pressure"],"moves":["cosmicpower","recover","psychoboost","hyperbeam"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","zapcannon","irondefense","extremespeed"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","swift","doubleteam","extremespeed"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","detect","counter","mirrorcoat"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","meteormash","superpower","hyperbeam"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","leer","wrap","nightshade"]}
		],
		tier: "Uber"
	},
	deoxysattack: {
		randomBattleMoves: ["psychoboost","superpower","extremespeed","icebeam","thunderbolt","firepunch","spikes","stealthrock"],
		eventPokemon: [
			{"generation":3,"level":30,"abilities":["pressure"],"moves":["snatch","psychic","spikes","knockoff"]},
			{"generation":3,"level":30,"abilities":["pressure"],"moves":["superpower","psychic","pursuit","taunt"]},
			{"generation":3,"level":30,"abilities":["pressure"],"moves":["swift","psychic","pursuit","knockoff"]},
			{"generation":3,"level":70,"abilities":["pressure"],"moves":["cosmicpower","recover","psychoboost","hyperbeam"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","zapcannon","irondefense","extremespeed"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","swift","doubleteam","extremespeed"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","detect","counter","mirrorcoat"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","meteormash","superpower","hyperbeam"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","leer","wrap","nightshade"]}
		],
		tier: "Uber"
	},
	deoxysdefense: {
		randomBattleMoves: ["spikes","stealthrock","recover","taunt","toxic","agility","seismictoss","magiccoat"],
		eventPokemon: [
			{"generation":3,"level":30,"abilities":["pressure"],"moves":["snatch","psychic","spikes","knockoff"]},
			{"generation":3,"level":30,"abilities":["pressure"],"moves":["superpower","psychic","pursuit","taunt"]},
			{"generation":3,"level":30,"abilities":["pressure"],"moves":["swift","psychic","pursuit","knockoff"]},
			{"generation":3,"level":70,"abilities":["pressure"],"moves":["cosmicpower","recover","psychoboost","hyperbeam"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","zapcannon","irondefense","extremespeed"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","swift","doubleteam","extremespeed"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","detect","counter","mirrorcoat"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","meteormash","superpower","hyperbeam"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","leer","wrap","nightshade"]}
		],
		tier: "Uber"
	},
	deoxysspeed: {
		randomBattleMoves: ["spikes","stealthrock","superpower","icebeam","psychoboost","taunt","lightscreen","reflect","magiccoat","trick"],
		eventPokemon: [
			{"generation":3,"level":30,"abilities":["pressure"],"moves":["snatch","psychic","spikes","knockoff"]},
			{"generation":3,"level":30,"abilities":["pressure"],"moves":["superpower","psychic","pursuit","taunt"]},
			{"generation":3,"level":30,"abilities":["pressure"],"moves":["swift","psychic","pursuit","knockoff"]},
			{"generation":3,"level":70,"abilities":["pressure"],"moves":["cosmicpower","recover","psychoboost","hyperbeam"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","zapcannon","irondefense","extremespeed"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","swift","doubleteam","extremespeed"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","detect","counter","mirrorcoat"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","meteormash","superpower","hyperbeam"]},
			{"generation":4,"level":50,"abilities":["pressure"],"moves":["psychoboost","leer","wrap","nightshade"]}
		],
		tier: "Uber"
	},
	turtwig: {
		randomBattleMoves: ["reflect","lightscreen","stealthrock","seedbomb","substitute","leechseed","toxic"],
		tier: "LC"
	},
	grotle: {
		randomBattleMoves: ["reflect","lightscreen","stealthrock","seedbomb","substitute","leechseed","toxic"],
		tier: "NFE"
	},
	torterra: {
		randomBattleMoves: ["stealthrock","earthquake","woodhammer","stoneedge","synthesis","leechseed"],
		tier: "UU"
	},
	chimchar: {
		randomBattleMoves: ["stealthrock","overheat","hiddenpowergrass","fakeout"],
		eventPokemon: [
			{"generation":4,"level":40,"gender":"M","nature":"Mild","abilities":["blaze"],"moves":["flamethrower","thunderpunch","grassknot","helpinghand"]},
			{"generation":4,"level":40,"gender":"M","nature":"Hardy","abilities":["blaze"],"moves":["flamethrower","thunderpunch","grassknot","helpinghand"]}
		],
		tier: "LC"
	},
	monferno: {
		randomBattleMoves: ["stealthrock","overheat","hiddenpowergrass","fakeout","vacuumwave"],
		tier: "NU"
	},
	infernape: {
		randomBattleMoves: ["stealthrock","fireblast","closecombat","uturn","grassknot","stoneedge","machpunch","swordsdance","nastyplot","flareblitz","hiddenpowerice","thunderpunch"],
		tier: "OU"
	},
	piplup: {
		randomBattleMoves: ["stealthrock","hydropump","scald","icebeam","hiddenpowerelectric","hiddenpowerfire","yawn"],
		tier: "LC"
	},
	prinplup: {
		randomBattleMoves: ["stealthrock","hydropump","scald","icebeam","hiddenpowerelectric","hiddenpowerfire","yawn"],
		tier: "NFE"
	},
	empoleon: {
		randomBattleMoves: ["stealthrock","hydropump","scald","icebeam","hiddenpowerelectric","hiddenpowerfire","roar","grassknot"],
		tier: "OU"
	},
	starly: {
		randomBattleMoves: ["bravebird","return","uturn","pursuit"],
		eventPokemon: [
			{"generation":4,"level":1,"gender":"M","nature":"Mild","abilities":["keeneye"],"moves":["tackle","growl"]}
		],
		tier: "LC"
	},
	staravia: {
		randomBattleMoves: ["bravebird","return","uturn","pursuit"],
		tier: "NFE"
	},
	staraptor: {
		randomBattleMoves: ["bravebird","closecombat","return","uturn","quickattack","substitute","roost","doubleedge"],
		tier: "BL"
	},
	bidoof: {
		randomBattleMoves: ["return","aquatail","curse","quickattack","stealthrock"],
		eventPokemon: [
			{"generation":4,"level":1,"gender":"M","nature":"Lonely","abilities":["simple"],"moves":["tackle"]}
		],
		tier: "LC"
	},
	bibarel: {
		randomBattleMoves: ["return","waterfall","curse","quickattack","stealthrock"],
		tier: "NU"
	},
	kricketot: {
		randomBattleMoves: ["endeavor","mudslap","bugbite","strugglebug"],
		tier: "LC"
	},
	kricketune: {
		randomBattleMoves: ["swordsdance","bugbite","aerialace","brickbreak","toxic"],
		tier: "NU"
	},
	shinx: {
		randomBattleMoves: ["wildcharge","icefang","firefang","crunch"],
		tier: "LC"
	},
	luxio: {
		randomBattleMoves: ["wildcharge","icefang","firefang","crunch"],
		tier: "NFE"
	},
	luxray: {
		randomBattleMoves: ["wildcharge","icefang","firefang","crunch","superpower"],
		tier: "NU"
	},
	cranidos: {
		randomBattleMoves: ["headsmash","rockslide","earthquake","zenheadbutt","firepunch","rockpolish","crunch"],
		tier: "LC"
	},
	rampardos: {
		randomBattleMoves: ["headsmash","rockslide","earthquake","zenheadbutt","firepunch","rockpolish","crunch"],
		tier: "NU"
	},
	shieldon: {
		randomBattleMoves: ["stealthrock","metalburst","fireblast","icebeam","protect","toxic","roar"],
		tier: "LC"
	},
	bastiodon: {
		randomBattleMoves: ["stealthrock","metalburst","fireblast","icebeam","protect","toxic","roar"],
		tier: "NU"
	},
	burmy: {
		randomBattleMoves: ["bugbite","hiddenpowerice","electroweb","protect"],
		tier: "LC"
	},
	wormadam: {
		randomBattleMoves: ["leafstorm","gigadrain","signalbeam","hiddenpowerice","hiddenpowerrock","toxic","psychic","protect"],
		tier: "NU"
	},
	wormadamsandy: {
		randomBattleMoves: ["earthquake","toxic","bugbite","protect","suckerpunch"],
		tier: "NU"
	},
	wormadamtrash: {
		randomBattleMoves: ["stealthrock","toxic","ironhead","protect"],
		tier: "NU"
	},
	mothim: {
		randomBattleMoves: ["quiverdance","bugbuzz","airslash","gigadrain","roost"],
		tier: "NU"
	},
	combee: {
		randomBattleMoves: ["bugbuzz","aircutter","endeavor","ominouswind"],
		tier: "LC"
	},
	vespiquen: {
		randomBattleMoves: ["substitute","roost","toxic","attackorder","protect","defendorder"],
		tier: "NU"
	},
	pachirisu: {
		randomBattleMoves: ["lightscreen","discharge","superfang","toxic","voltswitch"],
		tier: "NU"
	},
	buizel: {
		randomBattleMoves: ["waterfall","return","aquajet","switcheroo","brickbreak","bulkup","batonpass","icepunch"],
		tier: "LC"
	},
	floatzel: {
		randomBattleMoves: ["waterfall","return","aquajet","switcheroo","brickbreak","bulkup","batonpass","icepunch","crunch"],
		tier: "NU"
	},
	cherubi: {
		randomBattleMoves: ["sunnyday","solarbeam","weatherball","hiddenpowerice"],
		tier: "LC"
	},
	cherrim: {
		randomBattleMoves: ["sunnyday","solarbeam","weatherball","hiddenpowerice"],
		tier: "NU"
	},
	shellos: {
		randomBattleMoves: ["scald","clearsmog","recover","toxic","icebeam"],
		tier: "LC"
	},
	gastrodon: {
		randomBattleMoves: ["earthpower","icebeam","scald","toxic","recover","clearsmog"],
		tier: "NU"
	},
	drifloon: {
		randomBattleMoves: ["acrobatics","shadowball","substitute","calmmind","hypnosis","hiddenpowerfighting","thunderbolt","destinybond","willowisp","stockpile","batonpass"],
		tier: "LC"
	},
	drifblim: {
		randomBattleMoves: ["acrobatics","shadowball","substitute","calmmind","hypnosis","hiddenpowerfighting","thunderbolt","destinybond","willowisp","stockpile","batonpass"],
		tier: "NU"
	},
	buneary: {
		randomBattleMoves: ["fakeout","return","switcheroo","thunderpunch","jumpkick","quickattack","firepunch","circlethrow","icepunch","healingwish"],
		tier: "LC"
	},
	lopunny: {
		randomBattleMoves: ["fakeout","return","switcheroo","thunderpunch","jumpkick","quickattack","firepunch","circlethrow","icepunch","healingwish"],
		tier: "NU"
	},
	glameow: {
		randomBattleMoves: ["fakeout","uturn","suckerpunch","hypnosis","quickattack","return","foulplay"],
		tier: "LC"
	},
	purugly: {
		randomBattleMoves: ["fakeout","uturn","suckerpunch","hypnosis","quickattack","return"],
		tier: "NU"
	},
	stunky: {
		randomBattleMoves: ["pursuit","suckerpunch","crunch","fireblast","explosion","taunt"],
		tier: "LC"
	},
	skuntank: {
		randomBattleMoves: ["pursuit","suckerpunch","crunch","fireblast","explosion","taunt","poisonjab"],
		tier: "NU"
	},
	bronzor: {
		randomBattleMoves: ["stealthrock","psychic","toxic","hypnosis","reflect","lightscreen","trickroom","explosion"],
		tier: "LC"
	},
	bronzong: {
		randomBattleMoves: ["stealthrock","psychic","earthquake","toxic","hypnosis","reflect","lightscreen","trickroom","explosion"],
		tier: "OU"
	},
	chatot: {
		randomBattleMoves: ["nastyplot","hypervoice","heatwave","hiddenpowergrass","substitute","chatter"],
		eventPokemon: [
			{"generation":4,"level":25,"gender":"M","nature":"Jolly","abilities":["keeneye"],"moves":["mirrormove","furyattack","chatter","taunt"]}
		],
		tier: "NU"
	},
	spiritomb: {
		randomBattleMoves: ["shadowsneak","suckerpunch","pursuit","trick","willowisp","calmmind","darkpulse","rest","sleeptalk"],
		tier: "UU"
	},
	gible: {
		randomBattleMoves: ["outrage","dragonclaw","earthquake","fireblast","stoneedge","stealthrock"],
		tier: "LC"
	},
	gabite: {
		randomBattleMoves: ["outrage","dragonclaw","earthquake","fireblast","stoneedge","stealthrock"],
		tier: "NU"
	},
	garchomp: {
		randomBattleMoves: ["outrage","dragonclaw","earthquake","stoneedge","firefang","swordsdance"],
		tier: "Uber"
	},
	riolu: {
		randomBattleMoves: ["crunch","roar","copycat","drainpunch"],
		eventPokemon: [
			{"generation":4,"level":30,"gender":"M","nature":"Serious","abilities":["steadfast"],"moves":["aurasphere","shadowclaw","bulletpunch","drainpunch"]}
		],
		tier: "LC"
	},
	lucario: {
		randomBattleMoves: ["swordsdance","closecombat","crunch","extremespeed","icepunch","bulletpunch","nastyplot","aurasphere","darkpulse","vacuumwave"],
		eventPokemon: [
			{"generation":4,"level":50,"gender":"M","nature":"Modest","abilities":["steadfast"],"moves":["aurasphere","darkpulse","dragonpulse","waterpulse"]},
			{"generation":4,"level":30,"gender":"M","nature":"Adamant","abilities":["innerfocus"],"moves":["forcepalm","bonerush","sunnyday","blazekick"]}
		],
		tier: "OU"
	},
	hippopotas: {
		randomBattleMoves: ["earthquake","slackoff","roar","stealthrock","protect","toxic"],
		tier: "LC"
	},
	hippowdon: {
		randomBattleMoves: ["earthquake","slackoff","roar","stealthrock","protect","toxic","icefang","stoneedge","stockpile"],
		tier: "OU"
	},
	skorupi: {
		randomBattleMoves: ["toxicspikes","xscissor","poisonjab","protect"],
		tier: "LC"
	},
	drapion: {
		randomBattleMoves: ["crunch","whirlwind","toxicspikes","pursuit","earthquake","aquatail","swordsdance","poisonjab","rest","sleeptalk"],
		tier: "UU"
	},
	croagunk: {
		randomBattleMoves: ["fakeout","vacuumwave","suckerpunch","drainpunch","darkpulse"],
		tier: "LC"
	},
	toxicroak: {
		randomBattleMoves: ["fakeout","suckerpunch","drainpunch","bulkup","substitute","swordsdance","crosschop","icepunch"],
		tier: "UU"
	},
	carnivine: {
		randomBattleMoves: ["swordsdance","powerwhip","return","sleeppowder","substitute","leechseed"],
		tier: "NU"
	},
	finneon: {
		randomBattleMoves: ["surf","uturn","icebeam","hiddenpowerelectric","hiddenpowergrass","raindance"],
		tier: "LC"
	},
	lumineon: {
		randomBattleMoves: ["surf","uturn","icebeam","hiddenpowerelectric","hiddenpowergrass","raindance"],
		tier: "NU"
	},
	snover: {
		randomBattleMoves: ["blizzard","iceshard","gigadrain","leechseed","substitute"],
		tier: "LC"
	},
	abomasnow: {
		randomBattleMoves: ["blizzard","iceshard","gigadrain","leechseed","substitute","focusblast"],
		tier: "BL"
	},
	rotom: {
		randomBattleMoves: ["thunderbolt","discharge","voltswitch","shadowball","substitute","painsplit","hiddenpowerice","hiddenpowerfighting","willowisp","rest","sleeptalk","trick"],
		tier: "UU"
	},
	rotomheat: {
		randomBattleMoves: ["thunderbolt","discharge","voltswitch","substitute","painsplit","hiddenpowerice","willowisp","rest","sleeptalk","overheat","trick"],
		tier: "OU"
	},
	rotomwash: {
		randomBattleMoves: ["thunderbolt","discharge","voltswitch","substitute","painsplit","hiddenpowerice","willowisp","rest","sleeptalk","trick","hydropump"],
		tier: "OU"
	},
	rotomfrost: {
		randomBattleMoves: ["thunderbolt","discharge","voltswitch","substitute","painsplit","hiddenpowerfighting","willowisp","rest","sleeptalk","trick","blizzard"],
		tier: "OU"
	},
	rotomfan: {
		randomBattleMoves: ["thunderbolt","discharge","voltswitch","thunderwave","substitute","painsplit","hiddenpowerfighting","willowisp","rest","sleeptalk","trick","airslash","confuseray"],
		tier: "OU"
	},
	rotommow: {
		randomBattleMoves: ["thunderbolt","discharge","voltswitch","substitute","painsplit","hiddenpowerice","willowisp","rest","sleeptalk","trick","leafstorm"],
		tier: "OU"
	},
	uxie: {
		randomBattleMoves: ["reflect","lightscreen","uturn","psychic","thunderwave","yawn","healbell","stealthrock","trick","toxic"],
		tier: "UU"
	},
	mesprit: {
		randomBattleMoves: ["calmmind","psychic","thunderbolt","icebeam","substitute","healingwish","uturn","trick","stealthrock"],
		tier: "UU"
	},
	azelf: {
		randomBattleMoves: ["nastyplot","psychic","fireblast","grassknot","thunderbolt","icepunch","uturn","trick","taunt","stealthrock","explosion"],
		tier: "OU"
	},
	dialga: {
		randomBattleMoves: ["stealthrock","dracometeor","dragonpulse","roar","dragontail","thunderbolt","outrage","bulkup","fireblast","aurasphere","rest","sleeptalk","dragonclaw"],
		tier: "Uber"
	},
	palkia: {
		randomBattleMoves: ["spacialrend","dracometeor","surf","hydropump","thunderbolt","outrage","fireblast"],
		tier: "Uber"
	},
	heatran: {
		randomBattleMoves: ["substitute","fireblast","lavaplume","willowisp","stealthrock","earthpower","hiddenpowergrass","hiddenpowerice","dragonpulse","protect","toxic","roar","overheat"],
		eventPokemon: [
			{"generation":4,"level":50,"nature":"Quiet","abilities":["flashfire"],"moves":["eruption","magmastorm","earthpower","ancientpower"]}
		],
		tier: "OU"
	},
	regigigas: {
		randomBattleMoves: ["thunderwave","substitute","return","drainpunch","earthquake","firepunch","toxic","confuseray"],
		eventPokemon: [
			{"generation":4,"level":100,"abilities":["slowstart"],"moves":["ironhead","rockslide","icywind","crushgrip"]}
		],
		tier: "NU"
	},
	giratina: {
		randomBattleMoves: ["rest","sleeptalk","dragontail","roar","willowisp","calmmind","dragonpulse","shadowball"],
		tier: "Uber"
	},
	giratinaorigin: {
		randomBattleMoves: ["dracometeor","shadowsneak","dragontail","hiddenpowerfire","willowisp","calmmind","substitute","dragonpulse","shadowball","aurasphere","outrage"],
		requiredItem: "Griseous Orb",
		tier: "Uber"
	},
	cresselia: {
		randomBattleMoves: ["moonlight","psychic","icebeam","thunderwave","toxic","lunardance","rest","sleeptalk","calmmind","reflect","lightscreen"],
		tier: "BL"
	},
	phione: {
		randomBattleMoves: ["raindance","scald","uturn","rest","icebeam","surf"],
		eventPokemon: [
			{"generation":4,"level":50,"abilities":["hydration"],"moves":["grassknot","raindance","rest","surf"]}
		],
		tier: "NU"
	},
	manaphy: {
		randomBattleMoves: ["tailglow","surf","icebeam","grassknot"],
		eventPokemon: [
			{"generation":4,"level":5,"abilities":["hydration"],"moves":["tailglow","bubble","watersport"]},
			{"generation":4,"level":1,"abilities":["hydration"],"moves":["tailglow","bubble","watersport"]},
			{"generation":4,"level":50,"abilities":["hydration"],"moves":["acidarmor","whirlpool","waterpulse","heartswap"]},
			{"generation":4,"level":50,"abilities":["hydration"],"moves":["heartswap","waterpulse","whirlpool","acidarmor"]},
			{"generation":4,"level":50,"abilities":["hydration"],"moves":["heartswap","whirlpool","waterpulse","acidarmor"]},
			{"generation":4,"level":50,"nature":"Impish","abilities":["hydration"],"moves":["aquaring","waterpulse","watersport","heartswap"]}
		],
		tier: "Uber"
	},
	darkrai: {
		randomBattleMoves: ["darkvoid","darkpulse","focusblast","nastyplot","substitute","trick"],
		eventPokemon: [
			{"generation":4,"level":50,"abilities":["baddreams"],"moves":["roaroftime","spacialrend","nightmare","hypnosis"]},
			{"generation":4,"level":50,"abilities":["baddreams"],"moves":["darkvoid","darkpulse","shadowball","doubleteam"]},
			{"generation":4,"level":50,"abilities":["baddreams"],"moves":["nightmare","hypnosis","roaroftime","spacialrend"]},
			{"generation":4,"level":50,"abilities":["baddreams"],"moves":["doubleteam","nightmare","feintattack","hypnosis"]}
		],
		tier: "Uber"
	},
	shaymin: {
		randomBattleMoves: ["seedflare","earthpower","airslash","hiddenpowerfire","rest","substitute","leechseed"],
		eventPokemon: [
			{"generation":4,"level":50,"abilities":["naturalcure"],"moves":["seedflare","aromatherapy","substitute","energyball"]},
			{"generation":4,"level":30,"abilities":["naturalcure"],"moves":["synthesis","leechseed","magicalleaf","growth"]},
			{"generation":4,"level":30,"abilities":["naturalcure"],"moves":["growth","magicalleaf","leechseed","synthesis"]}
		],
		tier: "OU"
	},
	shayminsky: {
		randomBattleMoves: ["seedflare","earthpower","airslash","hiddenpowerice","hiddenpowerfire","substitute","leechseed"],
		tier: "Uber"
	},
	arceus: {
		randomBattleMoves: ["swordsdance","extremespeed","shadowclaw","earthquake","recover"],
		eventPokemon: [
			{"generation":4,"level":100,"abilities":["multitype"],"moves":["judgment","roaroftime","spacialrend","shadowforce"]}
		],
		unobtainableShiny: true,
		tier: "Uber"
	},
	arceusbug: {
		randomBattleMoves: ["swordsdance","xscissor","stoneedge","recover","calmmind","judgment","icebeam","fireblast"],
		requiredItem: "Insect Plate"
	},
	arceusdark: {
		randomBattleMoves: ["calmmind","judgment","recover","refresh"],
		requiredItem: "Dread Plate"
	},
	arceusdragon: {
		randomBattleMoves: ["swordsdance","outrage","extremespeed","earthquake","recover"],
		requiredItem: "Draco Plate"
	},
	arceuselectric: {
		randomBattleMoves: ["calmmind","judgment","recover","icebeam"],
		requiredItem: "Zap Plate"
	},
	arceusfighting: {
		randomBattleMoves: ["calmmind","judgment","icebeam","darkpulse","recover","toxic"],
		requiredItem: "Fist Plate"
	},
	arceusfire: {
		randomBattleMoves: ["calmmind","flamethrower","fireblast","thunderbolt","recover"],
		requiredItem: "Flame Plate"
	},
	arceusflying: {
		randomBattleMoves: ["calmmind","judgment","refresh","recover"],
		requiredItem: "Sky Plate"
	},
	arceusghost: {
		randomBattleMoves: ["calmmind","judgment","focusblast","flamethrower","recover","swordsdance","shadowclaw","brickbreak","willowisp","roar"],
		requiredItem: "Spooky Plate"
	},
	arceusgrass: {
		randomBattleMoves: ["calmmind","icebeam","judgment","earthpower","recover","stealthrock","thunderwave"],
		requiredItem: "Meadow Plate"
	},
	arceusground: {
		randomBattleMoves: ["swordsdance","earthquake","stoneedge","recover","calmmind","judgment","icebeam","stealthrock"],
		requiredItem: "Earth Plate"
	},
	arceusice: {
		randomBattleMoves: ["calmmind","judgment","icebeam","thunderbolt","focusblast","recover"],
		requiredItem: "Icicle Plate"
	},
	arceuspoison: {
		randomBattleMoves: ["calmmind","judgment","sludgebomb","focusblast","fireblast","recover","willowisp","icebeam","stealthrock"],
		requiredItem: "Toxic Plate"
	},
	arceuspsychic: {
		randomBattleMoves: ["calmmind","psyshock","focusblast","recover","willowisp","judgment"],
		requiredItem: "Mind Plate"
	},
	arceusrock: {
		randomBattleMoves: ["calmmind","judgment","recover","willowisp","swordsdance","stoneedge","earthquake","refresh"],
		requiredItem: "Stone Plate"
	},
	arceussteel: {
		randomBattleMoves: ["calmmind","judgment","recover","roar","willowisp","swordsdance","ironhead"],
		requiredItem: "Iron Plate"
	},
	arceuswater: {
		randomBattleMoves: ["swordsdance","waterfall","extremespeed","dragonclaw","recover","calmmind","judgment","icebeam","fireblast"],
		requiredItem: "Splash Plate"
	},
	missingno: {
		isNonstandard: true,
		tier: ""
	},
	syclant: {
		randomBattleMoves: ["bugbuzz","icebeam","blizzard","earthpower","spikes","superpower","tailglow","uturn","focusblast"],
		isNonstandard: true,
		tier: "G4CAP"
	},
	revenankh: {
		randomBattleMoves: ["bulkup","shadowsneak","drainpunch","moonlight","powerwhip","icepunch"],
		isNonstandard: true,
		tier: "G4CAP"
	},
	pyroak: {
		randomBattleMoves: ["leechseed","lavaplume","substitute","protect"],
		isNonstandard: true,
		tier: "G4CAP"
	},
	fidgit: {
		randomBattleMoves: ["spikes","stealthrock","toxicspikes","wish","rapidspin","encore","uturn","sludgebomb"],
		isNonstandard: true,
		tier: "G4CAP"
	},
	stratagem: {
		randomBattleMoves: ["paleowave","earthpower","fireblast","gigadrain","calmmind"],
		isNonstandard: true,
		tier: "G4CAP"
	},
	arghonaut: {
		randomBattleMoves: ["recover","bulkup","waterfall","crosschop","stoneedge","thunderpunch"],
		isNonstandard: true,
		tier: "G4CAP"
	},
	kitsunoh: {
		randomBattleMoves: ["shadowstrike","superpower","meteormash","uturn","icepunch","thunderpunch","trick","willowisp"],
		isNonstandard: true,
		tier: "G4CAP"
	},
	cyclohm: {
		randomBattleMoves: ["slackoff","dracometeor","dragonpulse","fireblast","thunderbolt","hydropump"],
		isNonstandard: true,
		tier: "G4CAP"
	},
	colossoil: {
		randomBattleMoves: ["earthquake","crunch","suckerpunch","uturn","rapidspin","encore","pursuit"],
		isNonstandard: true,
		tier: "G4CAP"
	},
	krilowatt: {
		randomBattleMoves: ["surf","thunderbolt","icebeam","counter","mirrorcoat","earthquake"],
		isNonstandard: true,
		tier: "G4CAP"
	},
	voodoom: {
		randomBattleMoves: ["aurasphere","darkpulse","taunt","painsplit"],
		isNonstandard: true,
		tier: "G4CAP"
	}
};
