exports.BattleFormatsData = {
	bulbasaur: {
		randomBattleMoves: ["sleeppowder","gigadrain","hiddenpowerfire","hiddenpowerice","sludgebomb","powerwhip","leechseed","synthesis"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["sweetscent","growth","solarbeam","synthesis"]},
			{"generation":3,"level":10,"gender":"M","moves":["tackle","growl","leechseed","vinewhip"]},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["tackle","growl","leechseed","vinewhip"]},
			{"generation":5,"level":1,"isHidden":false,"moves":["falseswipe","block","frenzyplant","weatherball"]}
		],
		maleOnlyHidden: true,
		tier: "LC"
	},
	ivysaur: {
		randomBattleMoves: ["sleeppowder","gigadrain","hiddenpowerfire","hiddenpowerice","sludgebomb","powerwhip","leechseed","synthesis"],
		maleOnlyHidden: true,
		tier: "NFE"
	},
	venusaur: {
		randomBattleMoves: ["sleeppowder","gigadrain","hiddenpowerfire","hiddenpowerice","sludgebomb","swordsdance","powerwhip","leechseed","synthesis","earthquake"],
		maleOnlyHidden: true,
		tier: "OU"
	},
	charmander: {
		randomBattleMoves: ["flamethrower","overheat","dragonpulse","hiddenpowergrass","fireblast"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["scratch","growl","ember"]},
			{"generation":4,"level":40,"gender":"M","nature":"Mild","moves":["return","hiddenpower","quickattack","howl"]},
			{"generation":4,"level":40,"gender":"M","nature":"Naive","moves":["return","hiddenpower","quickattack","howl"]},
			{"generation":4,"level":40,"gender":"M","nature":"Naughty","moves":["return","hiddenpower","quickattack","howl"]},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["scratch","growl","ember","smokescreen"]},
			{"generation":4,"level":40,"gender":"M","nature":"Hardy","moves":["return","hiddenpower","quickattack","howl"],"pokeball":"cherishball"},
			{"generation":5,"level":1,"isHidden":false,"moves":["falseswipe","block","blastburn","acrobatics"]}
		],
		maleOnlyHidden: true,
		tier: "LC"
	},
	charmeleon: {
		randomBattleMoves: ["flamethrower","overheat","dragonpulse","hiddenpowergrass","fireblast"],
		maleOnlyHidden: true,
		tier: "NFE"
	},
	charizard: {
		randomBattleMoves: ["flamethrower","fireblast","substitute","airslash","dragonpulse","hiddenpowergrass","roost"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["wingattack","slash","dragonrage","firespin"]}
		],
		maleOnlyHidden: true,
		tier: "NU"
	},
	squirtle: {
		randomBattleMoves: ["icebeam","hydropump","rapidspin","scald","aquajet","toxic"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["tackle","tailwhip","bubble","withdraw"]},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["tackle","tailwhip","bubble","withdraw"]},
			{"generation":5,"level":1,"isHidden":false,"moves":["falseswipe","block","hydrocannon","followme"]}
		],
		maleOnlyHidden: true,
		tier: "LC"
	},
	wartortle: {
		randomBattleMoves: ["icebeam","hydropump","rapidspin","scald","aquajet","toxic"],
		maleOnlyHidden: true,
		tier: "NU"
	},
	blastoise: {
		randomBattleMoves: ["icebeam","hydropump","rapidspin","scald","aquajet","toxic","dragontail"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["protect","raindance","skullbash","hydropump"]}
		],
		maleOnlyHidden: true,
		tier: "UU"
	},
	caterpie: {
		randomBattleMoves: ["bugbite","snore","tackle","electroweb"],
		tier: "LC"
	},
	metapod: {
		randomBattleMoves: ["snore","bugbite","tackle","electroweb"],
		tier: "NFE"
	},
	butterfree: {
		randomBattleMoves: ["quiverdance","roost","bugbuzz","substitute","sleeppowder","gigadrain"],
		eventPokemon: [
			{"generation":3,"level":30,"moves":["morningsun","psychic","sleeppowder","aerialace"]}
		],
		tier: "NU"
	},
	weedle: {
		randomBattleMoves: ["bugbite","stringshot","poisonsting","electroweb"],
		tier: "LC"
	},
	kakuna: {
		randomBattleMoves: ["electroweb","bugbite","irondefense","poisonsting"],
		tier: "NFE"
	},
	beedrill: {
		randomBattleMoves: ["toxicspikes","xscissor","swordsdance","uturn","endeavor","poisonjab","drillrun","brickbreak"],
		eventPokemon: [
			{"generation":3,"level":30,"moves":["batonpass","sludgebomb","twineedle","swordsdance"]}
		],
		tier: "NU"
	},
	pidgey: {
		randomBattleMoves: ["roost","bravebird","heatwave","return","workup","uturn"],
		tier: "LC"
	},
	pidgeotto: {
		randomBattleMoves: ["roost","bravebird","heatwave","return","workup","uturn"],
		eventPokemon: [
			{"generation":3,"level":30,"abilities":["keeneye"],"moves":["refresh","wingattack","steelwing","featherdance"]}
		],
		tier: "NFE"
	},
	pidgeot: {
		randomBattleMoves: ["roost","bravebird","pursuit","heatwave","return","workup","uturn"],
		eventPokemon: [
			{"generation":5,"level":61,"gender":"M","nature":"Naughty","isHidden":false,"abilities":["keeneye"],"moves":["whirlwind","wingattack","skyattack","mirrormove"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	rattata: {
		randomBattleMoves: ["facade","flamewheel","suckerpunch","uturn"],
		tier: "LC"
	},
	raticate: {
		randomBattleMoves: ["facade","flamewheel","suckerpunch","uturn"],
		eventPokemon: [
			{"generation":3,"level":34,"moves":["refresh","superfang","scaryface","hyperfang"]}
		],
		tier: "NU"
	},
	spearow: {
		randomBattleMoves: ["return","drillpeck","doubleedge","uturn","quickattack","pursuit"],
		eventPokemon: [
			{"generation":3,"level":22,"moves":["batonpass","falseswipe","leer","aerialace"]}
		],
		tier: "LC"
	},
	fearow: {
		randomBattleMoves: ["return","drillpeck","doubleedge","uturn","quickattack","pursuit","drillrun","roost"],
		tier: "NU"
	},
	ekans: {
		randomBattleMoves: ["coil","gunkshot","seedbomb","glare","suckerpunch","aquatail","earthquake","rest"],
		eventPokemon: [
			{"generation":3,"level":14,"abilities":["shedskin"],"moves":["leer","wrap","poisonsting","bite"]},
			{"generation":3,"level":10,"gender":"M","moves":["wrap","leer","poisonsting"]}
		],
		tier: "LC"
	},
	arbok: {
		randomBattleMoves: ["coil","gunkshot","seedbomb","glare","suckerpunch","aquatail","crunch","earthquake","rest"],
		eventPokemon: [
			{"generation":3,"level":33,"moves":["refresh","sludgebomb","glare","bite"]}
		],
		tier: "NU"
	},
	pichu: {
		randomBattleMoves: ["fakeout","volttackle","encore","irontail","toxic","thunderbolt"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["thundershock","charm","surf"]},
			{"generation":3,"level":5,"moves":["thundershock","charm","wish"]},
			{"generation":3,"level":5,"moves":["thundershock","charm","teeterdance"]},
			{"generation":3,"level":5,"moves":["thundershock","charm","followme"]},
			{"generation":4,"level":1,"moves":["volttackle","thunderbolt","grassknot","return"]},
			{"generation":4,"level":30,"shiny":true,"gender":"M","nature":"Jolly","moves":["charge","volttackle","endeavor","endure"],"pokeball":"cherishball"},
			{"generation":4,"level":30,"shiny":true,"gender":"M","nature":"Jolly","moves":["volttackle","charge","endeavor","endure"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	pichuspikyeared: {
		eventPokemon: [
			{"generation":4,"level":30,"gender":"F","nature":"Naughty","moves":["helpinghand","volttackle","swagger","painsplit"]}
		],
		tier: ""
	},
	pikachu: {
		randomBattleMoves: ["thunderbolt","volttackle","voltswitch","grassknot","hiddenpowerice","brickbreak","extremespeed","encore","substitute"],
		eventPokemon: [
			{"generation":3,"level":50,"moves":["thunderbolt","agility","thunder","lightscreen"]},
			{"generation":3,"level":10,"moves":["thundershock","growl","tailwhip","thunderwave"]},
			{"generation":3,"level":10,"moves":["fly","tailwhip","growl","thunderwave"]},
			{"generation":3,"level":5,"moves":["surf","growl","tailwhip","thunderwave"]},
			{"generation":3,"level":10,"moves":["fly","growl","tailwhip","thunderwave"]},
			{"generation":3,"level":10,"moves":["thundershock","growl","thunderwave","surf"]},
			{"generation":3,"level":70,"moves":["thunderbolt","thunder","lightscreen","fly"]},
			{"generation":3,"level":70,"moves":["thunderbolt","thunder","lightscreen","surf"]},
			{"generation":3,"level":70,"moves":["thunderbolt","thunder","lightscreen","agility"]},
			{"generation":4,"level":10,"gender":"F","nature":"Hardy","moves":["surf","volttackle","tailwhip","thunderwave"]},
			{"generation":3,"level":10,"gender":"M","moves":["thundershock","growl","tailwhip","thunderwave"]},
			{"generation":4,"level":50,"gender":"M","nature":"Hardy","moves":["surf","thunderbolt","lightscreen","quickattack"],"pokeball":"cherishball"},
			{"generation":4,"level":20,"gender":"F","nature":"Bashful","moves":["present","quickattack","thundershock","tailwhip"],"pokeball":"cherishball"},
			{"generation":4,"level":20,"gender":"M","nature":"Jolly","moves":["grassknot","thunderbolt","flash","doubleteam"],"pokeball":"cherishball"},
			{"generation":4,"level":40,"gender":"M","nature":"Modest","moves":["surf","thunder","protect"],"pokeball":"cherishball"},
			{"generation":4,"level":20,"gender":"F","nature":"Bashful","moves":["quickattack","thundershock","tailwhip","present"],"pokeball":"cherishball"},
			{"generation":4,"level":40,"gender":"M","nature":"Mild","moves":["surf","thunder","protect"],"pokeball":"cherishball"},
			{"generation":4,"level":20,"gender":"F","nature":"Bashful","moves":["present","quickattack","thunderwave","tailwhip"],"pokeball":"cherishball"},
			{"generation":4,"level":30,"gender":"M","moves":["lastresort","present","thunderbolt","quickattack"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"gender":"M","nature":"Relaxed","moves":["rest","sleeptalk","yawn","snore"],"pokeball":"cherishball"},
			{"generation":4,"level":20,"gender":"M","nature":"Docile","moves":["present","quickattack","thundershock","tailwhip"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"gender":"M","nature":"Naughty","moves":["volttackle","irontail","quickattack","thunderbolt"],"pokeball":"cherishball"},
			{"generation":4,"level":20,"gender":"M","nature":"Bashful","moves":["present","quickattack","thundershock","tailwhip"],"pokeball":"cherishball"},
			{"generation":5,"level":30,"gender":"F","isHidden":true,"moves":["sing","teeterdance","encore","electroball"],"pokeball":"cherishball"},
			{"generation":5,"level":50,"isHidden":false,"moves":["fly","irontail","electroball","quickattack"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"gender":"F","isHidden":false,"moves":["thunder","volttackle","grassknot","quickattack"],"pokeball":"cherishball"},
			{"generation":5,"level":50,"gender":"F","isHidden":false,"moves":["extremespeed","thunderbolt","grassknot","brickbreak"],"pokeball":"cherishball"},
			{"generation":5,"level":50,"gender":"F","isHidden":true,"moves":["fly","thunderbolt","grassknot","protect"],"pokeball":"cherishball"},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["thundershock","tailwhip","thunderwave","headbutt"]},
			{"generation":5,"level":100,"gender":"M","isHidden":true,"moves":["volttackle","quickattack","feint","voltswitch"],"pokeball":"cherishball"},
			{"generation":5,"level":50,"gender":"M","nature":"Brave","isHidden":false,"moves":["thunderbolt","quickattack","irontail","electroball"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	raichu: {
		randomBattleMoves: ["nastyplot","encore","thunderbolt","grassknot","hiddenpowerice","focusblast","substitute","extremespeed"],
		tier: "NU"
	},
	sandshrew: {
		randomBattleMoves: ["earthquake","rockslide","swordsdance","rapidspin","xscissor","stealthrock","toxic"],
		eventPokemon: [
			{"generation":3,"level":12,"moves":["scratch","defensecurl","sandattack","poisonsting"]}
		],
		tier: "LC"
	},
	sandslash: {
		randomBattleMoves: ["earthquake","stoneedge","swordsdance","rapidspin","xscissor","stealthrock","toxic"],
		tier: "RU"
	},
	nidoranf: {
		randomBattleMoves: ["toxicspikes","crunch","poisonjab","honeclaws"],
		tier: "LC"
	},
	nidorina: {
		randomBattleMoves: ["toxicspikes","crunch","poisonjab","honeclaws","icebeam"],
		tier: "NFE"
	},
	nidoqueen: {
		randomBattleMoves: ["toxicspikes","stealthrock","fireblast","thunderbolt","icebeam","earthpower","sludgewave","focusblast"],
		tier: "UU"
	},
	nidoranm: {
		randomBattleMoves: ["suckerpunch","poisonjab","headsmash","honeclaws"],
		tier: "LC"
	},
	nidorino: {
		randomBattleMoves: ["suckerpunch","poisonjab","headsmash","honeclaws"],
		tier: "NFE"
	},
	nidoking: {
		randomBattleMoves: ["fireblast","thunderbolt","icebeam","earthpower","sludgewave","focusblast"],
		tier: "UU"
	},
	cleffa: {
		randomBattleMoves: ["reflect","thunderwave","lightscreen","toxic","fireblast","encore","wish","protect","aromatherapy"],
		tier: "LC"
	},
	clefairy: {
		randomBattleMoves: ["healingwish","reflect","thunderwave","lightscreen","toxic","fireblast","encore","wish","protect","aromatherapy","stealthrock"],
		tier: "NFE"
	},
	clefable: {
		randomBattleMoves: ["calmmind","hypervoice","softboiled","fireblast","thunderbolt","icebeam"],
		tier: "RU"
	},
	vulpix: {
		randomBattleMoves: ["flamethrower","fireblast","willowisp","energyball","substitute","toxic","hypnosis","painsplit"],
		eventPokemon: [
			{"generation":3,"level":18,"moves":["tailwhip","roar","quickattack","willowisp"]},
			{"generation":3,"level":18,"moves":["charm","heatwave","ember","dig"]}
		],
		tier: "LC Uber"
	},
	ninetales: {
		randomBattleMoves: ["flamethrower","fireblast","willowisp","solarbeam","nastyplot","substitute","toxic","hypnosis","painsplit"],
		eventPokemon: [
			{"generation":5,"level":50,"gender":"M","nature":"Bold","isHidden":true,"moves":["heatwave","solarbeam","psyshock","willowisp"],"pokeball":"cherishball"}
		],
		tier: "OU"
	},
	igglybuff: {
		randomBattleMoves: ["wish","thunderwave","reflect","lightscreen","healbell","seismictoss","counter","protect"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["cutecharm"],"moves":["sing","charm","defensecurl","tickle"]}
		],
		tier: "LC"
	},
	jigglypuff: {
		randomBattleMoves: ["wish","thunderwave","reflect","lightscreen","healbell","seismictoss","counter","stealthrock","protect"],
		tier: "NFE"
	},
	wigglytuff: {
		randomBattleMoves: ["wish","thunderwave","return","thunderbolt","healbell","fireblast","counter","stealthrock","icebeam"],
		tier: "NU"
	},
	zubat: {
		randomBattleMoves: ["bravebird","roost","toxic","taunt","nastyplot","gigadrain","sludgebomb","airslash","uturn","whirlwind","acrobatics","heatwave","superfang"],
		tier: "LC"
	},
	golbat: {
		randomBattleMoves: ["bravebird","roost","toxic","taunt","nastyplot","gigadrain","sludgebomb","airslash","uturn","whirlwind","acrobatics","heatwave","superfang"],
		tier: "NU"
	},
	crobat: {
		randomBattleMoves: ["bravebird","roost","toxic","taunt","nastyplot","gigadrain","sludgebomb","airslash","uturn","whirlwind","acrobatics","heatwave","superfang"],
		eventPokemon: [
			{"generation":4,"level":30,"gender":"M","nature":"Timid","moves":["heatwave","airslash","sludgebomb","superfang"],"pokeball":"cherishball"}
		],
		tier: "UU"
	},
	oddish: {
		randomBattleMoves: ["gigadrain","sludgebomb","synthesis","sleeppowder","stunspore","toxic","hiddenpowerfire","leechseed"],
		eventPokemon: [
			{"generation":3,"level":26,"moves":["poisonpowder","stunspore","sleeppowder","acid"]},
			{"generation":3,"level":5,"moves":["absorb","leechseed"]}
		],
		tier: "LC"
	},
	gloom: {
		randomBattleMoves: ["gigadrain","sludgebomb","synthesis","sleeppowder","stunspore","toxic","hiddenpowerfire","leechseed"],
		eventPokemon: [
			{"generation":3,"level":50,"moves":["sleeppowder","acid","moonlight","petaldance"]}
		],
		tier: "NFE"
	},
	vileplume: {
		randomBattleMoves: ["gigadrain","sludgebomb","synthesis","sleeppowder","stunspore","toxic","hiddenpowerfire","leechseed","aromatherapy"],
		tier: "NU"
	},
	bellossom: {
		randomBattleMoves: ["gigadrain","sludgebomb","synthesis","sleeppowder","stunspore","toxic","hiddenpowerfire","leechseed","leafstorm"],
		tier: "NU"
	},
	paras: {
		randomBattleMoves: ["spore","stunspore","xscissor","seedbomb","synthesis","leechseed","aromatherapy"],
		eventPokemon: [
			{"generation":3,"level":28,"abilities":["effectspore"],"moves":["refresh","spore","slash","falseswipe"]}
		],
		tier: "LC"
	},
	parasect: {
		randomBattleMoves: ["spore","stunspore","xscissor","seedbomb","synthesis","leechseed","aromatherapy"],
		tier: "NU"
	},
	venonat: {
		randomBattleMoves: ["sleeppowder","morningsun","toxicspikes","sludgebomb","signalbeam","stunspore"],
		tier: "LC"
	},
	venomoth: {
		randomBattleMoves: ["sleeppowder","roost","toxicspikes","quiverdance","batonpass","bugbuzz","sludgebomb","gigadrain","substitute"],
		eventPokemon: [
			{"generation":3,"level":32,"abilities":["shielddust"],"moves":["refresh","silverwind","substitute","psychic"]}
		],
		tier: "BL2"
	},
	diglett: {
		randomBattleMoves: ["earthquake","rockslide","stealthrock","suckerpunch","reversal","substitute"],
		tier: "LC"
	},
	dugtrio: {
		randomBattleMoves: ["earthquake","stoneedge","stealthrock","suckerpunch","reversal","substitute"],
		eventPokemon: [
			{"generation":3,"level":40,"moves":["charm","earthquake","sandstorm","triattack"]}
		],
		tier: "OU"
	},
	meowth: {
		randomBattleMoves: ["fakeout","uturn","bite","taunt","return","hypnosis","waterpulse"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["scratch","growl","petaldance"]},
			{"generation":3,"level":5,"moves":["scratch","growl"]},
			{"generation":3,"level":10,"gender":"M","moves":["scratch","growl","bite"]},
			{"generation":3,"level":22,"moves":["sing","slash","payday","bite"]},
			{"generation":4,"level":21,"gender":"F","nature":"Jolly","abilities":["pickup"],"moves":["bite","fakeout","furyswipes","screech"],"pokeball":"cherishball"},
			{"generation":4,"level":10,"gender":"M","nature":"Jolly","abilities":["pickup"],"moves":["fakeout","payday","assist","scratch"],"pokeball":"cherishball"},
			{"generation":5,"level":15,"gender":"M","isHidden":false,"abilities":["pickup"],"moves":["furyswipes","sing","nastyplot","snatch"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	persian: {
		randomBattleMoves: ["fakeout","uturn","bite","taunt","return","hypnosis","waterpulse","switcheroo"],
		tier: "NU"
	},
	psyduck: {
		randomBattleMoves: ["hydropump","surf","icebeam","hiddenpowergrass","crosschop","encore"],
		eventPokemon: [
			{"generation":3,"level":27,"abilities":["damp"],"moves":["tailwhip","confusion","disable"]},
			{"generation":3,"level":5,"moves":["watersport","scratch","tailwhip","mudsport"]}
		],
		tier: "LC"
	},
	golduck: {
		randomBattleMoves: ["hydropump","surf","icebeam","hiddenpowergrass","encore","focusblast"],
		eventPokemon: [
			{"generation":3,"level":33,"moves":["charm","waterfall","psychup","brickbreak"]}
		],
		tier: "NU"
	},
	mankey: {
		randomBattleMoves: ["closecombat","uturn","icepunch","rockslide","punishment"],
		tier: "LC"
	},
	primeape: {
		randomBattleMoves: ["closecombat","uturn","icepunch","stoneedge","punishment","encore"],
		eventPokemon: [
			{"generation":3,"level":34,"abilities":["vitalspirit"],"moves":["helpinghand","crosschop","focusenergy","reversal"]}
		],
		tier: "NU"
	},
	growlithe: {
		randomBattleMoves: ["flareblitz","wildcharge","hiddenpowergrass","closecombat","morningsun","willowisp"],
		eventPokemon: [
			{"generation":3,"level":32,"abilities":["intimidate"],"moves":["leer","odorsleuth","takedown","flamewheel"]},
			{"generation":3,"level":10,"gender":"M","moves":["bite","roar","ember"]},
			{"generation":3,"level":28,"moves":["charm","flamethrower","bite","takedown"]}
		],
		tier: "LC"
	},
	arcanine: {
		randomBattleMoves: ["flareblitz","wildcharge","hiddenpowergrass","extremespeed","closecombat","morningsun","willowisp"],
		tier: "UU"
	},
	poliwag: {
		randomBattleMoves: ["hydropump","icebeam","encore","bellydrum","hypnosis","waterfall","return"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["bubble","sweetkiss"]}
		],
		tier: "LC"
	},
	poliwhirl: {
		randomBattleMoves: ["hydropump","icebeam","encore","bellydrum","hypnosis","waterfall","return"],
		tier: "NFE"
	},
	poliwrath: {
		randomBattleMoves: ["substitute","circlethrow","focuspunch","bulkup","encore","waterfall","toxic","rest","sleeptalk","icepunch"],
		eventPokemon: [
			{"generation":3,"level":42,"moves":["helpinghand","hydropump","raindance","brickbreak"]}
		],
		tier: "RU"
	},
	politoed: {
		randomBattleMoves: ["scald","hypnosis","toxic","encore","perishsong","protect","icebeam","focusblast","surf","hydropump","hiddenpowergrass"],
		eventPokemon: [
			{"generation":5,"level":50,"gender":"M","nature":"Calm","isHidden":true,"moves":["scald","icebeam","perishsong","protect"],"pokeball":"cherishball"}
		],
		tier: "OU"
	},
	abra: {
		randomBattleMoves: ["calmmind","psychic","psyshock","hiddenpowerfighting","shadowball","encore","substitute"],
		tier: "LC"
	},
	kadabra: {
		randomBattleMoves: ["calmmind","psychic","psyshock","hiddenpowerfighting","shadowball","encore","substitute"],
		tier: "NU"
	},
	alakazam: {
		randomBattleMoves: ["calmmind","psychic","psyshock","focusblast","shadowball","encore","substitute"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["futuresight","calmmind","psychic","trick"]}
		],
		tier: "OU"
	},
	machop: {
		randomBattleMoves: ["dynamicpunch","payback","bulkup","icepunch","rockslide","bulletpunch"],
		tier: "LC"
	},
	machoke: {
		randomBattleMoves: ["dynamicpunch","payback","bulkup","icepunch","rockslide","bulletpunch"],
		eventPokemon: [
			{"generation":3,"level":38,"abilities":["guts"],"moves":["seismictoss","foresight","revenge","vitalthrow"]},
			{"generation":5,"level":30,"isHidden":false,"moves":["lowsweep","foresight","seismictoss","revenge"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	machamp: {
		randomBattleMoves: ["dynamicpunch","payback","bulkup","icepunch","stoneedge","bulletpunch"],
		tier: "UU"
	},
	bellsprout: {
		randomBattleMoves: ["swordsdance","sleeppowder","sunnyday","growth","solarbeam","gigadrain","sludgebomb","weatherball","suckerpunch","seedbomb"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["vinewhip","teeterdance"]},
			{"generation":3,"level":10,"gender":"M","moves":["vinewhip","growth"]}
		],
		tier: "LC"
	},
	weepinbell: {
		randomBattleMoves: ["swordsdance","sleeppowder","sunnyday","growth","solarbeam","gigadrain","sludgebomb","weatherball","suckerpunch","seedbomb"],
		eventPokemon: [
			{"generation":3,"level":32,"moves":["morningsun","magicalleaf","sludgebomb","sweetscent"]}
		],
		tier: "NFE"
	},
	victreebel: {
		randomBattleMoves: ["swordsdance","sleeppowder","sunnyday","growth","solarbeam","gigadrain","sludgebomb","weatherball","suckerpunch","powerwhip"],
		tier: "NU"
	},
	tentacool: {
		randomBattleMoves: ["toxicspikes","rapidspin","scald","sludgebomb","icebeam","knockoff","gigadrain","toxic"],
		tier: "LC"
	},
	tentacruel: {
		randomBattleMoves: ["toxicspikes","rapidspin","scald","sludgebomb","icebeam","knockoff","gigadrain","toxic"],
		tier: "OU"
	},
	geodude: {
		randomBattleMoves: ["stealthrock","earthquake","stoneedge","suckerpunch","hammerarm","firepunch"],
		tier: "LC"
	},
	graveler: {
		randomBattleMoves: ["stealthrock","earthquake","stoneedge","suckerpunch","hammerarm","firepunch"],
		tier: "NFE"
	},
	golem: {
		randomBattleMoves: ["stealthrock","earthquake","stoneedge","suckerpunch","hammerarm","firepunch"],
		tier: "NU"
	},
	ponyta: {
		randomBattleMoves: ["flareblitz","wildcharge","morningsun","hypnosis","flamecharge"],
		tier: "LC"
	},
	rapidash: {
		randomBattleMoves: ["flareblitz","wildcharge","morningsun","hypnosis","flamecharge","megahorn","drillrun"],
		eventPokemon: [
			{"generation":3,"level":40,"moves":["batonpass","solarbeam","sunnyday","flamethrower"]}
		],
		tier: "NU"
	},
	slowpoke: {
		randomBattleMoves: ["scald","aquatail","zenheadbutt","thunderwave","toxic","slackoff","trickroom","trick"],
		eventPokemon: [
			{"generation":3,"level":31,"abilities":["oblivious"],"moves":["watergun","confusion","disable","headbutt"]},
			{"generation":3,"level":10,"gender":"M","moves":["curse","yawn","tackle","growl"]},
			{"generation":5,"level":30,"isHidden":false,"moves":["confusion","disable","headbutt","waterpulse"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	slowbro: {
		randomBattleMoves: ["scald","surf","fireblast","icebeam","psychic","grassknot","calmmind","thunderwave","toxic","slackoff","trickroom","trick"],
		tier: "UU"
	},
	slowking: {
		randomBattleMoves: ["scald","surf","fireblast","icebeam","psychic","grassknot","calmmind","thunderwave","toxic","slackoff","trickroom","trick","nastyplot"],
		tier: "RU"
	},
	magnemite: {
		randomBattleMoves: ["thunderbolt","thunderwave","magnetrise","substitute","flashcannon","hiddenpowerice","voltswitch"],
		tier: "LC"
	},
	magneton: {
		randomBattleMoves: ["thunderbolt","thunderwave","magnetrise","substitute","flashcannon","hiddenpowerice","voltswitch"],
		eventPokemon: [
			{"generation":3,"level":30,"moves":["refresh","doubleedge","raindance","thunder"]}
		],
		tier: "RU"
	},
	magnezone: {
		randomBattleMoves: ["thunderbolt","thunderwave","magnetrise","substitute","flashcannon","hiddenpowerice","voltswitch"],
		tier: "OU"
	},
	farfetchd: {
		randomBattleMoves: ["bravebird","swordsdance","return","leafblade","roost"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["yawn","wish"]},
			{"generation":3,"level":36,"moves":["batonpass","slash","swordsdance","aerialace"]}
		],
		tier: "NU"
	},
	doduo: {
		randomBattleMoves: ["bravebird","return","doubleedge","roost","quickattack","pursuit"],
		tier: "LC"
	},
	dodrio: {
		randomBattleMoves: ["bravebird","return","doubleedge","roost","quickattack","pursuit"],
		eventPokemon: [
			{"generation":3,"level":34,"moves":["batonpass","drillpeck","agility","triattack"]}
		],
		tier: "NU"
	},
	seel: {
		randomBattleMoves: ["surf","icebeam","aquajet","protect","rest","toxic","drillrun"],
		eventPokemon: [
			{"generation":3,"level":23,"abilities":["thickfat"],"moves":["helpinghand","surf","safeguard","icebeam"]}
		],
		tier: "LC"
	},
	dewgong: {
		randomBattleMoves: ["surf","icebeam","aquajet","iceshard","protect","rest","toxic","drillrun"],
		tier: "NU"
	},
	grimer: {
		randomBattleMoves: ["curse","gunkshot","poisonjab","shadowsneak","payback","rest","icepunch","firepunch","sleeptalk"],
		eventPokemon: [
			{"generation":3,"level":23,"moves":["helpinghand","sludgebomb","shadowpunch","minimize"]}
		],
		tier: "LC"
	},
	muk: {
		randomBattleMoves: ["curse","gunkshot","poisonjab","shadowsneak","payback","brickbreak","rest","icepunch","firepunch","sleeptalk"],
		tier: "NU"
	},
	shellder: {
		randomBattleMoves: ["shellsmash","hydropump","razorshell","rockblast","iciclespear","rapidspin"],
		eventPokemon: [
			{"generation":3,"level":24,"abilities":["shellarmor"],"moves":["withdraw","iciclespear","supersonic","aurorabeam"]},
			{"generation":3,"level":10,"gender":"M","abilities":["shellarmor"],"moves":["tackle","withdraw","iciclespear"]},
			{"generation":3,"level":29,"abilities":["shellarmor"],"moves":["refresh","takedown","surf","aurorabeam"]}
		],
		tier: "LC"
	},
	cloyster: {
		randomBattleMoves: ["shellsmash","hydropump","razorshell","rockblast","iciclespear","iceshard","rapidspin","spikes","toxicspikes"],
		eventPokemon: [
			{"generation":5,"level":30,"gender":"M","nature":"Naughty","isHidden":false,"abilities":["skilllink"],"moves":["iciclespear","rockblast","hiddenpower","razorshell"]}
		],
		tier: "OU"
	},
	gastly: {
		randomBattleMoves: ["shadowball","sludgebomb","hiddenpowerfighting","thunderbolt","substitute","disable","painsplit","hypnosis","gigadrain","trick"],
		tier: "LC"
	},
	haunter: {
		randomBattleMoves: ["shadowball","sludgebomb","hiddenpowerfighting","thunderbolt","substitute","disable","painsplit","hypnosis","gigadrain","trick"],
		eventPokemon: [
			{"generation":3,"level":23,"moves":["spite","curse","nightshade","confuseray"]},
			{"generation":5,"level":30,"moves":["confuseray","suckerpunch","shadowpunch","payback"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	gengar: {
		randomBattleMoves: ["shadowball","sludgebomb","focusblast","thunderbolt","substitute","disable","painsplit","hypnosis","gigadrain","trick"],
		tier: "OU"
	},
	onix: {
		randomBattleMoves: ["stealthrock","earthquake","stoneedge","dragontail","curse"],
		tier: "LC"
	},
	steelix: {
		randomBattleMoves: ["stealthrock","earthquake","ironhead","curse","roar","toxic","rockslide","icefang","firefang"],
		tier: "RU"
	},
	drowzee: {
		randomBattleMoves: ["psychic","seismictoss","thunderwave","wish","protect","toxic","nastyplot","shadowball","trickroom","calmmind","barrier"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["insomnia"],"moves":["bellydrum","wish"]}
		],
		tier: "LC"
	},
	hypno: {
		randomBattleMoves: ["psychic","seismictoss","thunderwave","wish","protect","toxic","nastyplot","shadowball","trickroom","batonpass","calmmind","barrier","bellydrum","zenheadbutt","firepunch"],
		eventPokemon: [
			{"generation":3,"level":34,"abilities":["insomnia"],"moves":["batonpass","psychic","meditate","shadowball"]}
		],
		tier: "NU"
	},
	krabby: {
		randomBattleMoves: ["crabhammer","return","swordsdance","agility","rockslide","substitute","xscissor","superpower"],
		tier: "LC"
	},
	kingler: {
		randomBattleMoves: ["crabhammer","return","swordsdance","agility","rockslide","substitute","xscissor","superpower"],
		tier: "NU"
	},
	voltorb: {
		randomBattleMoves: ["voltswitch","thunderbolt","taunt","foulplay","hiddenpowerice"],
		eventPokemon: [
			{"generation":3,"level":19,"moves":["refresh","mirrorcoat","spark","swift"]}
		],
		tier: "LC"
	},
	electrode: {
		randomBattleMoves: ["voltswitch","thunderbolt","taunt","foulplay","hiddenpowerice"],
		tier: "NU"
	},
	exeggcute: {
		randomBattleMoves: ["substitute","leechseed","gigadrain","psychic","sleeppowder","stunspore","hiddenpowerfire","synthesis"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["sweetscent","wish"]}
		],
		tier: "LC"
	},
	exeggutor: {
		randomBattleMoves: ["substitute","leechseed","gigadrain","leafstorm","psychic","sleeppowder","stunspore","hiddenpowerfire","synthesis"],
		eventPokemon: [
			{"generation":3,"level":46,"moves":["refresh","psychic","hypnosis","ancientpower"]}
		],
		tier: "NU"
	},
	cubone: {
		randomBattleMoves: ["substitute","bonemerang","doubleedge","rockslide","firepunch","earthquake"],
		tier: "LC"
	},
	marowak: {
		randomBattleMoves: ["substitute","bonemerang","doubleedge","stoneedge","swordsdance","firepunch","earthquake"],
		eventPokemon: [
			{"generation":3,"level":44,"moves":["sing","earthquake","swordsdance","rockslide"]}
		],
		tier: "NU"
	},
	tyrogue: {
		randomBattleMoves: ["highjumpkick","rapidspin","fakeout","bulletpunch","machpunch","toxic","counter"],
		maleOnlyHidden: true,
		tier: "LC"
	},
	hitmonlee: {
		randomBattleMoves: ["highjumpkick","suckerpunch","stoneedge","machpunch","substitute","fakeout","closecombat","earthquake","blazekick"],
		eventPokemon: [
			{"generation":3,"level":38,"abilities":["limber"],"moves":["refresh","highjumpkick","mindreader","megakick"]}
		],
		maleOnlyHidden: true,
		tier: "RU"
	},
	hitmonchan: {
		randomBattleMoves: ["bulkup","drainpunch","icepunch","machpunch","substitute","closecombat","stoneedge","rapidspin"],
		eventPokemon: [
			{"generation":3,"level":38,"abilities":["keeneye"],"moves":["helpinghand","skyuppercut","mindreader","megapunch"]}
		],
		maleOnlyHidden: true,
		tier: "RU"
	},
	hitmontop: {
		randomBattleMoves: ["suckerpunch","machpunch","rapidspin","closecombat","stoneedge","toxic"],
		eventPokemon: [
			{"generation":5,"level":55,"gender":"M","nature":"Adamant","isHidden":false,"abilities":["intimidate"],"moves":["fakeout","closecombat","suckerpunch","helpinghand"]}
		],
		maleOnlyHidden: true,
		tier: "UU"
	},
	lickitung: {
		randomBattleMoves: ["wish","protect","dragontail","curse","bodyslam","return","powerwhip","swordsdance","earthquake","toxic","healbell"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["healbell","wish"]},
			{"generation":3,"level":38,"moves":["helpinghand","doubleedge","defensecurl","rollout"]}
		],
		tier: "LC"
	},
	lickilicky: {
		randomBattleMoves: ["wish","protect","dragontail","curse","bodyslam","return","powerwhip","swordsdance","earthquake","toxic","healbell","explosion"],
		tier: "NU"
	},
	koffing: {
		randomBattleMoves: ["painsplit","sludgebomb","willowisp","fireblast","toxic","clearsmog","rest","sleeptalk","thunderbolt"],
		tier: "LC"
	},
	weezing: {
		randomBattleMoves: ["painsplit","sludgebomb","willowisp","fireblast","toxic","clearsmog","rest","sleeptalk","thunderbolt"],
		tier: "NU"
	},
	rhyhorn: {
		randomBattleMoves: ["stoneedge","earthquake","aquatail","megahorn","stealthrock","rockblast"],
		tier: "LC"
	},
	rhydon: {
		randomBattleMoves: ["stoneedge","earthquake","aquatail","megahorn","stealthrock","rockblast"],
		eventPokemon: [
			{"generation":3,"level":46,"moves":["helpinghand","megahorn","scaryface","earthquake"]}
		],
		tier: "RU"
	},
	rhyperior: {
		randomBattleMoves: ["stoneedge","earthquake","aquatail","megahorn","stealthrock","rockblast"],
		tier: "UU"
	},
	happiny: {
		randomBattleMoves: ["aromatherapy","toxic","thunderwave","counter","endeavor"],
		tier: "LC"
	},
	chansey: {
		randomBattleMoves: ["wish","softboiled","protect","toxic","aromatherapy","seismictoss","counter","thunderwave","stealthrock"],
		eventPokemon: [
			{"generation":3,"level":5,"gender":"F","moves":["sweetscent","wish"]},
			{"generation":3,"level":10,"gender":"F","moves":["pound","growl","tailwhip","refresh"]},
			{"generation":3,"level":39,"gender":"F","moves":["sweetkiss","thunderbolt","softboiled","skillswap"]}
		],
		tier: "BL"
	},
	blissey: {
		randomBattleMoves: ["wish","softboiled","protect","toxic","aromatherapy","seismictoss","counter","thunderwave","stealthrock","flamethrower","icebeam"],
		eventPokemon: [
			{"generation":5,"level":10,"gender":"F","isHidden":true,"moves":["pound","growl","tailwhip","refresh"]}
		],
		tier: "OU"
	},
	tangela: {
		randomBattleMoves: ["gigadrain","sleeppowder","hiddenpowerrock","hiddenpowerice","leechseed","knockoff","leafstorm","stunspore","synthesis"],
		eventPokemon: [
			{"generation":3,"level":30,"abilities":["chlorophyll"],"moves":["morningsun","solarbeam","sunnyday","ingrain"]}
		],
		tier: "NU"
	},
	tangrowth: {
		randomBattleMoves: ["gigadrain","sleeppowder","hiddenpowerrock","hiddenpowerice","leechseed","knockoff","leafstorm","stunspore","focusblast","synthesis","powerwhip"],
		tier: "RU"
	},
	kangaskhan: {
		randomBattleMoves: ["fakeout","return","hammerarm","doubleedge","suckerpunch","earthquake","substitute","focuspunch","wish"],
		eventPokemon: [
			{"generation":3,"level":5,"gender":"F","abilities":["earlybird"],"moves":["yawn","wish"]},
			{"generation":3,"level":10,"gender":"F","abilities":["earlybird"],"moves":["cometpunch","leer","bite"]},
			{"generation":3,"level":36,"gender":"F","abilities":["earlybird"],"moves":["sing","earthquake","tailwhip","dizzypunch"]}
		],
		tier: "NU"
	},
	horsea: {
		randomBattleMoves: ["hydropump","icebeam","substitute","hiddenpowergrass","raindance"],
		eventPokemon: [
			{"generation":5,"level":1,"shiny":true,"isHidden":false,"moves":["bubble"]}
		],
		tier: "LC"
	},
	seadra: {
		randomBattleMoves: ["hydropump","icebeam","agility","substitute","hiddenpowergrass"],
		eventPokemon: [
			{"generation":3,"level":45,"abilities":["poisonpoint"],"moves":["leer","watergun","twister","agility"]}
		],
		tier: "NU"
	},
	kingdra: {
		randomBattleMoves: ["hydropump","icebeam","dragondance","substitute","outrage","dracometeor","waterfall","rest","sleeptalk"],
		eventPokemon: [
			{"generation":3,"level":50,"abilities":["swiftswim"],"moves":["leer","watergun","twister","agility"]},
			{"generation":5,"level":50,"gender":"M","nature":"Timid","isHidden":false,"abilities":["swiftswim"],"moves":["dracometeor","muddywater","dragonpulse","protect"],"pokeball":"cherishball"}
		],
		tier: "UU"
	},
	goldeen: {
		randomBattleMoves: ["raindance","waterfall","megahorn","return","drillrun"],
		tier: "LC"
	},
	seaking: {
		randomBattleMoves: ["raindance","waterfall","megahorn","return","drillrun"],
		tier: "NU"
	},
	staryu: {
		randomBattleMoves: ["surf","thunderbolt","icebeam","rapidspin","recover"],
		eventPokemon: [
			{"generation":3,"level":50,"moves":["minimize","lightscreen","cosmicpower","hydropump"]},
			{"generation":3,"level":18,"abilities":["illuminate"],"moves":["tackle","watergun","rapidspin","recover"]}
		],
		tier: "LC"
	},
	starmie: {
		randomBattleMoves: ["surf","thunderbolt","icebeam","rapidspin","recover","psychic","trick"],
		eventPokemon: [
			{"generation":3,"level":41,"moves":["refresh","waterfall","icebeam","recover"]}
		],
		tier: "OU"
	},
	mimejr: {
		randomBattleMoves: ["substitute","batonpass","psychic","hiddenpowerfighting","healingwish","nastyplot","thunderbolt","encore"],
		tier: "LC"
	},
	mrmime: {
		randomBattleMoves: ["substitute","batonpass","psychic","hiddenpowerfighting","healingwish","nastyplot","thunderbolt","encore"],
		eventPokemon: [
			{"generation":3,"level":42,"abilities":["soundproof"],"moves":["followme","psychic","encore","thunderpunch"]}
		],
		tier: "NU"
	},
	scyther: {
		randomBattleMoves: ["swordsdance","roost","bugbite","quickattack","brickbreak","aerialace","batonpass","uturn"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["swarm"],"moves":["quickattack","leer","focusenergy"]},
			{"generation":3,"level":40,"abilities":["swarm"],"moves":["morningsun","razorwind","silverwind","slash"]},
			{"generation":5,"level":30,"isHidden":false,"moves":["agility","wingattack","furycutter","slash"],"pokeball":"cherishball"}
		],
		tier: "RU"
	},
	scizor: {
		randomBattleMoves: ["swordsdance","roost","bulletpunch","bugbite","superpower","uturn","batonpass","pursuit"],
		eventPokemon: [
			{"generation":3,"level":50,"gender":"M","abilities":["swarm"],"moves":["furycutter","metalclaw","swordsdance","slash"]},
			{"generation":4,"level":50,"gender":"M","nature":"Adamant","abilities":["swarm"],"moves":["xscissor","swordsdance","irondefense","agility"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"gender":"M","isHidden":false,"abilities":["technician"],"moves":["bulletpunch","bugbite","roost","swordsdance"],"pokeball":"cherishball"},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["leer","focusenergy","pursuit","steelwing"]}
		],
		tier: "OU"
	},
	smoochum: {
		randomBattleMoves: ["icebeam","psychic","hiddenpowerfighting","trick","shadowball","grassknot"],
		tier: "LC"
	},
	jynx: {
		randomBattleMoves: ["icebeam","psychic","focusblast","trick","shadowball","nastyplot","lovelykiss","substitute","energyball"],
		tier: "BL3"
	},
	elekid: {
		randomBattleMoves: ["thunderbolt","crosschop","voltswitch","substitute","icepunch","psychic"],
		eventPokemon: [
			{"generation":3,"level":20,"moves":["icepunch","firepunch","thunderpunch","crosschop"]}
		],
		tier: "LC"
	},
	electabuzz: {
		randomBattleMoves: ["thunderbolt","voltswitch","substitute","hiddenpowerice","focusblast","psychic"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["quickattack","leer","thunderpunch"]},
			{"generation":3,"level":43,"moves":["followme","crosschop","thunderwave","thunderbolt"]},
			{"generation":4,"level":30,"gender":"M","nature":"Naughty","moves":["lowkick","shockwave","lightscreen","thunderpunch"]},
			{"generation":5,"level":30,"isHidden":false,"moves":["lowkick","swift","shockwave","lightscreen"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	electivire: {
		randomBattleMoves: ["wildcharge","crosschop","icepunch","substitute","flamethrower","earthquake"],
		eventPokemon: [
			{"generation":4,"level":50,"gender":"M","nature":"Adamant","moves":["thunderpunch","icepunch","crosschop","earthquake"]},
			{"generation":4,"level":50,"gender":"M","nature":"Serious","moves":["lightscreen","thunderpunch","discharge","thunderbolt"],"pokeball":"cherishball"}
		],
		tier: "RU"
	},
	magby: {
		randomBattleMoves: ["flareblitz","substitute","fireblast","hiddenpowergrass","crosschop","thunderpunch","overheat"],
		tier: "LC"
	},
	magmar: {
		randomBattleMoves: ["flareblitz","substitute","fireblast","hiddenpowergrass","crosschop","thunderpunch","focusblast"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["leer","smog","firepunch","leer"]},
			{"generation":3,"level":36,"moves":["followme","fireblast","crosschop","thunderpunch"]},
			{"generation":4,"level":30,"gender":"M","nature":"Quiet","moves":["smokescreen","firespin","confuseray","firepunch"]},
			{"generation":5,"level":30,"isHidden":false,"moves":["smokescreen","feintattack","firespin","confuseray"],"pokeball":"cherishball"}
		],
		tier: "NFE"
	},
	magmortar: {
		randomBattleMoves: ["fireblast","substitute","focusblast","hiddenpowergrass","thunderbolt","overheat"],
		eventPokemon: [
			{"generation":4,"level":50,"gender":"F","nature":"Modest","moves":["flamethrower","psychic","hyperbeam","solarbeam"]},
			{"generation":4,"level":50,"gender":"M","nature":"Hardy","moves":["confuseray","firepunch","lavaplume","flamethrower"],"pokeball":"cherishball"}
		],
		tier: "RU"
	},
	pinsir: {
		randomBattleMoves: ["swordsdance","xscissor","earthquake","closecombat","stealthrock","substitute","stoneedge","quickattack"],
		eventPokemon: [
			{"generation":3,"level":35,"abilities":["hypercutter"],"moves":["helpinghand","guillotine","falseswipe","submission"]}
		],
		tier: "NU"
	},
	tauros: {
		randomBattleMoves: ["return","earthquake","zenheadbutt","rockslide","pursuit"],
		eventPokemon: [
			{"generation":3,"level":25,"gender":"M","abilities":["intimidate"],"moves":["rage","hornattack","scaryface","pursuit"]},
			{"generation":3,"level":10,"gender":"M","abilities":["intimidate"],"moves":["tackle","tailwhip","rage","hornattack"]},
			{"generation":3,"level":46,"gender":"M","abilities":["intimidate"],"moves":["refresh","earthquake","tailwhip","bodyslam"]}
		],
		tier: "NU"
	},
	magikarp: {
		randomBattleMoves: ["bounce","flail","tackle","hydropump"],
		eventPokemon: [
			{"generation":4,"level":5,"gender":"M","nature":"Relaxed","moves":["splash"]},
			{"generation":4,"level":6,"gender":"F","nature":"Rash","moves":["splash"]},
			{"generation":4,"level":7,"gender":"F","nature":"Hardy","moves":["splash"]},
			{"generation":4,"level":5,"gender":"F","nature":"Lonely","moves":["splash"]},
			{"generation":4,"level":4,"gender":"M","nature":"Modest","moves":["splash"]},
			{"generation":5,"level":99,"shiny":true,"gender":"M","isHidden":false,"moves":["flail","hydropump","bounce","splash"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	gyarados: {
		randomBattleMoves: ["dragondance","waterfall","earthquake","bounce","rest","sleeptalk","dragontail","stoneedge","substitute","icefang"],
		tier: "OU"
	},
	lapras: {
		randomBattleMoves: ["icebeam","thunderbolt","healbell","toxic","surf","dragondance","substitute","waterfall","return","avalanche","rest","sleeptalk","curse","iceshard","drillrun"],
		eventPokemon: [
			{"generation":3,"level":44,"moves":["hydropump","raindance","blizzard","healbell"]}
		],
		tier: "NU"
	},
	ditto: {
		randomBattleMoves: ["transform"],
		tier: "NU"
	},
	eevee: {
		randomBattleMoves: ["quickattack","return","bite","batonpass","irontail","yawn","protect","wish"],
		eventPokemon: [
			{"generation":4,"level":10,"gender":"F","nature":"Lonely","abilities":["adaptability"],"moves":["covet","bite","helpinghand","attract"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"shiny":true,"gender":"M","nature":"Hardy","abilities":["adaptability"],"moves":["irontail","trumpcard","flail","quickattack"],"pokeball":"cherishball"},
			{"generation":5,"level":50,"gender":"F","nature":"Hardy","isHidden":false,"abilities":["adaptability"],"moves":["sing","return","echoedvoice","attract"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	vaporeon: {
		randomBattleMoves: ["wish","protect","scald","roar","icebeam","toxic","hydropump"],
		eventPokemon: [
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["tailwhip","tackle","helpinghand","sandattack"]}
		],
		tier: "OU"
	},
	jolteon: {
		randomBattleMoves: ["thunderbolt","voltswitch","hiddenpowergrass","hiddenpowerice","chargebeam","batonpass","substitute"],
		eventPokemon: [
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["tailwhip","tackle","helpinghand","sandattack"]}
		],
		tier: "OU"
	},
	flareon: {
		randomBattleMoves: ["rest","sleeptalk","flamecharge","facade"],
		eventPokemon: [
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["tailwhip","tackle","helpinghand","sandattack"]}
		],
		tier: "NU"
	},
	espeon: {
		randomBattleMoves: ["psychic","psyshock","substitute","wish","shadowball","hiddenpowerfighting","calmmind","morningsun","storedpower","batonpass"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["psybeam","psychup","psychic","morningsun"]},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["tailwhip","tackle","helpinghand","sandattack"]}
		],
		tier: "OU"
	},
	umbreon: {
		randomBattleMoves: ["curse","payback","moonlight","wish","protect","healbell","toxic","batonpass","foulplay"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["feintattack","meanlook","screech","moonlight"]},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["tailwhip","tackle","helpinghand","sandattack"]}
		],
		tier: "UU"
	},
	leafeon: {
		randomBattleMoves: ["swordsdance","leafblade","substitute","return","xscissor","yawn","roar","healbell","batonpass"],
		eventPokemon: [
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["tailwhip","tackle","helpinghand","sandattack"]}
		],
		tier: "NU"
	},
	glaceon: {
		randomBattleMoves: ["icebeam","hiddenpowerground","shadowball","wish","protect"],
		eventPokemon: [
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["tailwhip","tackle","helpinghand","sandattack"]}
		],
		tier: "NU"
	},
	porygon: {
		randomBattleMoves: ["triattack","icebeam","recover","toxic","thunderwave","discharge","trick"],
		eventPokemon: [
			{"generation":5,"level":10,"isHidden":true,"moves":["tackle","conversion","sharpen","psybeam"]}
		],
		tier: "LC"
	},
	porygon2: {
		randomBattleMoves: ["triattack","icebeam","recover","toxic","thunderwave","discharge","trick"],
		tier: "UU"
	},
	porygonz: {
		randomBattleMoves: ["triattack","thunderbolt","icebeam","darkpulse","hiddenpowerfighting","agility","trick","nastyplot"],
		tier: "UU"
	},
	omanyte: {
		randomBattleMoves: ["shellsmash","surf","icebeam","earthpower","hiddenpowerelectric","spikes","toxicspikes","stealthrock","hydropump"],
		eventPokemon: [
			{"generation":5,"level":15,"gender":"M","isHidden":false,"abilities":["swiftswim"],"moves":["bubblebeam","supersonic","withdraw","bite"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	omastar: {
		randomBattleMoves: ["shellsmash","surf","icebeam","earthpower","hiddenpowerelectric","spikes","toxicspikes","stealthrock","hydropump"],
		tier: "RU"
	},
	kabuto: {
		randomBattleMoves: ["aquajet","rockslide","rapidspin","stealthrock","honeclaws","waterfall","toxic"],
		eventPokemon: [
			{"generation":5,"level":15,"gender":"M","isHidden":false,"abilities":["battlearmor"],"moves":["confuseray","dig","scratch","harden"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	kabutops: {
		randomBattleMoves: ["aquajet","stoneedge","rapidspin","stealthrock","swordsdance","waterfall","toxic","superpower"],
		tier: "RU"
	},
	aerodactyl: {
		randomBattleMoves: ["stealthrock","taunt","stoneedge","rockslide","earthquake","aquatail","roost","firefang"],
		eventPokemon: [
			{"generation":5,"level":15,"gender":"M","isHidden":false,"abilities":["pressure"],"moves":["steelwing","icefang","firefang","thunderfang"],"pokeball":"cherishball"}
		],
		tier: "RU"
	},
	munchlax: {
		randomBattleMoves: ["rest","curse","sleeptalk","bodyslam","earthquake","return","firepunch","icepunch","whirlwind"],
		tier: "NU"
	},
	snorlax: {
		randomBattleMoves: ["rest","curse","sleeptalk","bodyslam","earthquake","return","firepunch","icepunch","crunch","selfdestruct","pursuit","whirlwind"],
		eventPokemon: [
			{"generation":3,"level":43,"moves":["refresh","fissure","curse","bodyslam"]}
		],
		tier: "UU"
	},
	articuno: {
		randomBattleMoves: ["icebeam","roost","roar","healbell","toxic","substitute","hurricane"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["agility","mindreader","icebeam","reflect"]},
			{"generation":3,"level":50,"moves":["icebeam","healbell","extrasensory","haze"]}
		],
		tier: "NU"
	},
	zapdos: {
		randomBattleMoves: ["thunderbolt","heatwave","hiddenpowergrass","hiddenpowerice","roost","toxic","substitute"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["agility","detect","drillpeck","charge"]},
			{"generation":3,"level":50,"moves":["thunderbolt","extrasensory","batonpass","metalsound"]}
		],
		tier: "UU"
	},
	moltres: {
		randomBattleMoves: ["fireblast","hiddenpowergrass","airslash","roost","substitute","toxic","uturn","willowisp","hurricane"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["agility","endure","flamethrower","safeguard"]},
			{"generation":3,"level":50,"moves":["extrasensory","morningsun","willowisp","flamethrower"]}
		],
		tier: "RU"
	},
	dratini: {
		randomBattleMoves: ["dragondance","outrage","waterfall","fireblast","extremespeed","dracometeor","substitute","aquatail"],
		tier: "LC"
	},
	dragonair: {
		randomBattleMoves: ["dragondance","outrage","waterfall","fireblast","extremespeed","dracometeor","substitute","aquatail"],
		tier: "NU"
	},
	dragonite: {
		randomBattleMoves: ["dragondance","outrage","firepunch","extremespeed","dragonclaw","earthquake","roost","waterfall","substitute","thunderwave","dragontail","hurricane","superpower","dracometeor"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["agility","safeguard","wingattack","outrage"]},
			{"generation":3,"level":55,"moves":["healbell","hyperbeam","dragondance","earthquake"]},
			{"generation":4,"level":50,"gender":"M","nature":"Mild","moves":["dracometeor","thunderbolt","outrage","dragondance"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"gender":"M","isHidden":true,"moves":["extremespeed","firepunch","dragondance","outrage"],"pokeball":"cherishball"},
			{"generation":5,"level":55,"gender":"M","isHidden":true,"moves":["dragonrush","safeguard","wingattack","thunderpunch"]},
			{"generation":5,"level":55,"gender":"M","isHidden":true,"moves":["dragonrush","safeguard","wingattack","extremespeed"]},
			{"generation":5,"level":50,"gender":"M","nature":"Brave","isHidden":false,"abilities":["innerfocus"],"moves":["fireblast","safeguard","outrage","hyperbeam"],"pokeball":"cherishball"}
		],
		tier: "OU"
	},
	mewtwo: {
		randomBattleMoves: ["psystrike","aurasphere","fireblast","icebeam","calmmind","substitute","recover","thunderbolt"],
		eventPokemon: [
			{"generation":5,"level":70,"isHidden":false,"moves":["psystrike","shadowball","aurasphere","electroball"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"nature":"Timid","isHidden":true,"moves":["psystrike","icebeam","healpulse","hurricane"],"pokeball":"cherishball"}
		],
		tier: "Uber"
	},
	mew: {
		randomBattleMoves: ["taunt","willowisp","roost","psychic","nastyplot","aurasphere","fireblast","swordsdance","superpower","zenheadbutt","batonpass","rockpolish","substitute","toxic","icebeam","thunderbolt","earthquake","uturn","stealthrock"],
		eventPokemon: [
			{"generation":3,"level":30,"moves":["pound","transform","megapunch","metronome"]},
			{"generation":3,"level":10,"moves":["pound","transform"]},
			{"generation":4,"level":50,"moves":["ancientpower","metronome","teleport","aurasphere"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"moves":["barrier","metronome","teleport","aurasphere"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"moves":["megapunch","metronome","teleport","aurasphere"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"moves":["amnesia","metronome","teleport","aurasphere"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"moves":["transform","metronome","teleport","aurasphere"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"moves":["psychic","metronome","teleport","aurasphere"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"moves":["synthesis","return","hypnosis","teleport"],"pokeball":"cherishball"},
			{"generation":4,"level":5,"moves":["pound"],"pokeball":"cherishball"}
		],
		tier: "UU"
	},
	chikorita: {
		randomBattleMoves: ["reflect","lightscreen","safeguard","aromatherapy","grasswhistle","leechseed","toxic","gigadrain","synthesis"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["tackle","growl","razorleaf"]}
		],
		tier: "LC"
	},
	bayleef: {
		randomBattleMoves: ["reflect","lightscreen","safeguard","aromatherapy","grasswhistle","leechseed","toxic","gigadrain","synthesis"],
		tier: "NFE"
	},
	meganium: {
		randomBattleMoves: ["reflect","lightscreen","safeguard","aromatherapy","grasswhistle","leechseed","toxic","gigadrain","synthesis","dragontail"],
		tier: "NU"
	},
	cyndaquil: {
		randomBattleMoves: ["eruption","fireblast","flamethrower","hiddenpowergrass","naturepower"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["tackle","leer","smokescreen"]}
		],
		tier: "LC"
	},
	quilava: {
		randomBattleMoves: ["eruption","fireblast","flamethrower","hiddenpowergrass","naturepower"],
		tier: "NFE"
	},
	typhlosion: {
		randomBattleMoves: ["eruption","fireblast","flamethrower","hiddenpowergrass","naturepower","focusblast"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["quickattack","flamewheel","swift","flamethrower"]}
		],
		tier: "RU"
	},
	totodile: {
		randomBattleMoves: ["aquajet","waterfall","crunch","icepunch","superpower","dragondance","swordsdance"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["scratch","leer","rage"]}
		],
		tier: "LC"
	},
	croconaw: {
		randomBattleMoves: ["aquajet","waterfall","crunch","icepunch","superpower","dragondance","swordsdance"],
		tier: "NFE"
	},
	feraligatr: {
		randomBattleMoves: ["aquajet","waterfall","crunch","icepunch","dragondance","swordsdance","earthquake","superpower"],
		tier: "RU"
	},
	sentret: {
		randomBattleMoves: ["superfang","trick","toxic","uturn","knockoff"],
		tier: "LC"
	},
	furret: {
		randomBattleMoves: ["return","uturn","suckerpunch","trick","icepunch","firepunch","thunderpunch"],
		tier: "NU"
	},
	hoothoot: {
		randomBattleMoves: ["reflect","toxic","roost","whirlwind","nightshade","magiccoat"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["tackle","growl","foresight"]}
		],
		tier: "LC"
	},
	noctowl: {
		randomBattleMoves: ["roost","whirlwind","airslash","nightshade","toxic","reflect","magiccoat"],
		tier: "NU"
	},
	ledyba: {
		randomBattleMoves: ["roost","agility","lightscreen","encore","reflect","knockoff","swordsdance","batonpass","toxic"],
		eventPokemon: [
			{"generation":3,"level":10,"moves":["refresh","psybeam","aerialace","supersonic"]}
		],
		tier: "LC"
	},
	ledian: {
		randomBattleMoves: ["roost","bugbuzz","lightscreen","encore","reflect","knockoff","toxic"],
		tier: "NU"
	},
	spinarak: {
		randomBattleMoves: ["agility","toxic","xscissor","toxicspikes","poisonjab","batonpass"],
		eventPokemon: [
			{"generation":3,"level":14,"moves":["refresh","dig","signalbeam","nightshade"]}
		],
		tier: "LC"
	},
	ariados: {
		randomBattleMoves: ["agility","toxic","xscissor","toxicspikes","poisonjab","batonpass"],
		tier: "NU"
	},
	chinchou: {
		randomBattleMoves: ["voltswitch","thunderbolt","hiddenpowergrass","hydropump","icebeam","surf","thunderwave","scald","discharge"],
		tier: "LC"
	},
	lanturn: {
		randomBattleMoves: ["voltswitch","thunderbolt","hiddenpowergrass","hydropump","icebeam","surf","thunderwave","scald","discharge"],
		tier: "RU"
	},
	togepi: {
		randomBattleMoves: ["protect","fireblast","toxic","thunderwave","softboiled"],
		eventPokemon: [
			{"generation":3,"level":20,"gender":"F","abilities":["serenegrace"],"moves":["metronome","charm","sweetkiss","yawn"]},
			{"generation":3,"level":25,"moves":["triattack","followme","ancientpower","helpinghand"]}
		],
		tier: "LC"
	},
	togetic: {
		randomBattleMoves: ["nastyplot","hypervoice","fireblast","batonpass","roost"],
		tier: "NU"
	},
	togekiss: {
		randomBattleMoves: ["wish","roost","thunderwave","nastyplot","airslash","aurasphere","batonpass"],
		eventPokemon: [
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["extremespeed","aurasphere","airslash","present"]}
		],
		tier: "UU"
	},
	natu: {
		randomBattleMoves: ["thunderwave","roost","toxic","reflect","lightscreen","uturn","wish","psychic","nightshade"],
		eventPokemon: [
			{"generation":3,"level":22,"moves":["batonpass","futuresight","nightshade","aerialace"]}
		],
		tier: "NU"
	},
	xatu: {
		randomBattleMoves: ["thunderwave","toxic","roost","psychic","nightshade","uturn","reflect","lightscreen","wish","calmmind"],
		tier: "UU"
	},
	mareep: {
		randomBattleMoves: ["reflect","lightscreen","thunderbolt","discharge","thunderwave","toxic","hiddenpowerice","cottonguard"],
		eventPokemon: [
			{"generation":3,"level":37,"gender":"F","moves":["thunder","thundershock","thunderwave","cottonspore"]},
			{"generation":3,"level":10,"gender":"M","moves":["tackle","growl","thundershock"]},
			{"generation":3,"level":17,"moves":["healbell","thundershock","thunderwave","bodyslam"]}
		],
		tier: "LC"
	},
	flaaffy: {
		randomBattleMoves: ["reflect","lightscreen","thunderbolt","discharge","thunderwave","toxic","hiddenpowerice","cottonguard"],
		tier: "NFE"
	},
	ampharos: {
		randomBattleMoves: ["voltswitch","focusblast","hiddenpowerice","hiddenpowergrass","thunderbolt","healbell"],
		tier: "NU"
	},
	azurill: {
		randomBattleMoves: ["scald","return","doubleedge","encore","toxic","protect"],
		tier: "LC"
	},
	marill: {
		randomBattleMoves: ["waterfall","return","doubleedge","encore","toxic","aquajet","superpower","icepunch","protect"],
		tier: "NFE"
	},
	azumarill: {
		randomBattleMoves: ["waterfall","aquajet","return","doubleedge","icepunch","superpower"],
		tier: "UU"
	},
	bonsly: {
		randomBattleMoves: ["rockslide","brickbreak","doubleedge","toxic","stealthrock","suckerpunch"],
		tier: "LC"
	},
	sudowoodo: {
		randomBattleMoves: ["hammerarm","stoneedge","earthquake","suckerpunch","woodhammer","explosion","stealthrock"],
		tier: "NU"
	},
	hoppip: {
		randomBattleMoves: ["encore","sleeppowder","uturn","toxic","leechseed","substitute","protect"],
		tier: "LC"
	},
	skiploom: {
		randomBattleMoves: ["encore","sleeppowder","uturn","toxic","leechseed","substitute","protect"],
		tier: "NFE"
	},
	jumpluff: {
		randomBattleMoves: ["encore","sleeppowder","uturn","toxic","leechseed","substitute","gigadrain","acrobatics","synthesis"],
		eventPokemon: [
			{"generation":5,"level":27,"gender":"M","isHidden":true,"moves":["falseswipe","sleeppowder","bulletseed","leechseed"]}
		],
		tier: "NU"
	},
	aipom: {
		randomBattleMoves: ["fakeout","return","brickbreak","seedbomb","shadowclaw","uturn"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["scratch","tailwhip","sandattack"]}
		],
		tier: "LC"
	},
	ambipom: {
		randomBattleMoves: ["fakeout","return","payback","uturn","lowsweep","switcheroo","seedbomb"],
		tier: "UU"
	},
	sunkern: {
		randomBattleMoves: ["sunnyday","gigadrain","solarbeam","hiddenpowerfire","toxic","earthpower"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["chlorophyll"],"moves":["absorb","growth"]}
		],
		tier: "LC"
	},
	sunflora: {
		randomBattleMoves: ["sunnyday","leafstorm","gigadrain","solarbeam","hiddenpowerfire","earthpower"],
		tier: "NU"
	},
	yanma: {
		randomBattleMoves: ["bugbuzz","airslash","hiddenpowerground","uturn","protect","gigadrain"],
		tier: "LC Uber"
	},
	yanmega: {
		randomBattleMoves: ["bugbuzz","airslash","hiddenpowerground","uturn","protect","gigadrain"],
		tier: "UU"
	},
	wooper: {
		randomBattleMoves: ["recover","earthquake","scald","toxic","stockpile","yawn","protect"],
		tier: "LC"
	},
	quagsire: {
		randomBattleMoves: ["recover","earthquake","waterfall","scald","toxic","curse","stoneedge","stockpile","yawn"],
		tier: "RU"
	},
	murkrow: {
		randomBattleMoves: ["substitute","suckerpunch","bravebird","heatwave","hiddenpowergrass","roost","darkpulse","thunderwave"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["insomnia"],"moves":["peck","astonish"]}
		],
		tier: "NU"
	},
	honchkrow: {
		randomBattleMoves: ["substitute","superpower","suckerpunch","bravebird","roost","hiddenpowergrass","heatwave","pursuit"],
		tier: "UU"
	},
	misdreavus: {
		randomBattleMoves: ["nastyplot","substitute","calmmind","willowisp","shadowball","thunderbolt","hiddenpowerfighting"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["growl","psywave","spite"]}
		],
		tier: "NU"
	},
	mismagius: {
		randomBattleMoves: ["nastyplot","substitute","calmmind","willowisp","shadowball","thunderbolt","hiddenpowerfighting"],
		tier: "UU"
	},
	unown: {
		randomBattleMoves: ["hiddenpowerpsychic"],
		tier: "NU"
	},
	wynaut: {
		randomBattleMoves: ["destinybond","counter","mirrorcoat","encore"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["splash","charm","encore","tickle"]}
		],
		tier: "LC"
	},
	wobbuffet: {
		randomBattleMoves: ["destinybond","counter","mirrorcoat","encore"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["counter","mirrorcoat","safeguard","destinybond"]},
			{"generation":3,"level":10,"gender":"M","moves":["counter","mirrorcoat","safeguard","destinybond"]}
		],
		tier: "BL"
	},
	girafarig: {
		randomBattleMoves: ["psychic","thunderbolt","calmmind","batonpass","agility","hypervoice","thunderwave"],
		tier: "NU"
	},
	pineco: {
		randomBattleMoves: ["rapidspin","toxicspikes","spikes","bugbite","stealthrock"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["tackle","protect","selfdestruct"]},
			{"generation":3,"level":22,"moves":["refresh","pinmissile","spikes","counter"]}
		],
		tier: "LC"
	},
	forretress: {
		randomBattleMoves: ["rapidspin","toxicspikes","spikes","bugbite","earthquake","voltswitch","stealthrock"],
		tier: "OU"
	},
	dunsparce: {
		randomBattleMoves: ["coil","rockslide","bite","headbutt","glare","thunderwave","bodyslam","roost"],
		tier: "NU"
	},
	gligar: {
		randomBattleMoves: ["stealthrock","toxic","roost","taunt","swordsdance","earthquake","uturn","stoneedge","acrobatics"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["poisonsting","sandattack"]}
		],
		tier: "UU"
	},
	gliscor: {
		randomBattleMoves: ["swordsdance","acrobatics","earthquake","roost","substitute","taunt","icefang","protect","toxic","stealthrock"],
		tier: "OU"
	},
	snubbull: {
		randomBattleMoves: ["thunderwave","return","crunch","closecombat"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["tackle","scaryface","tailwhip","charm"]}
		],
		tier: "LC"
	},
	granbull: {
		randomBattleMoves: ["thunderwave","return","crunch","closecombat","healbell","icepunch"],
		tier: "NU"
	},
	qwilfish: {
		randomBattleMoves: ["toxicspikes","waterfall","spikes","swordsdance","poisonjab","painsplit","thunderwave","taunt","destinybond"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["tackle","poisonsting","harden","minimize"]}
		],
		tier: "RU"
	},
	shuckle: {
		randomBattleMoves: ["rollout","acupressure","powersplit","rest"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["sturdy"],"moves":["constrict","withdraw","wrap"]},
			{"generation":3,"level":20,"abilities":["sturdy"],"moves":["substitute","toxic","sludgebomb","encore"]}
		],
		tier: "NU"
	},
	heracross: {
		randomBattleMoves: ["closecombat","megahorn","stoneedge","swordsdance","facade"],
		tier: "UU"
	},
	sneasel: {
		randomBattleMoves: ["iceshard","icepunch","lowkick","pursuit","swordsdance"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["scratch","leer","taunt","quickattack"]}
		],
		tier: "NU"
	},
	weavile: {
		randomBattleMoves: ["iceshard","icepunch","nightslash","lowkick","pursuit","swordsdance"],
		eventPokemon: [
			{"generation":4,"level":30,"gender":"M","nature":"Jolly","moves":["fakeout","iceshard","nightslash","brickbreak"],"pokeball":"cherishball"}
		],
		tier: "UU"
	},
	teddiursa: {
		randomBattleMoves: ["swordsdance","protect","facade","closecombat","firepunch","crunch"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["pickup"],"moves":["scratch","leer","lick"]},
			{"generation":3,"level":11,"abilities":["pickup"],"moves":["refresh","metalclaw","leer","return"]}
		],
		tier: "LC"
	},
	ursaring: {
		randomBattleMoves: ["swordsdance","protect","facade","closecombat","firepunch","crunch"],
		tier: "NU"
	},
	slugma: {
		randomBattleMoves: ["stockpile","recover","lavaplume","willowisp","toxic","hiddenpowergrass"],
		tier: "LC"
	},
	magcargo: {
		randomBattleMoves: ["stockpile","recover","lavaplume","willowisp","toxic","hiddenpowergrass","hiddenpowerrock","stealthrock","shellsmash","fireblast","earthpower"],
		eventPokemon: [
			{"generation":3,"level":38,"moves":["refresh","heatwave","earthquake","flamethrower"]}
		],
		tier: "NU"
	},
	swinub: {
		randomBattleMoves: ["earthquake","iciclecrash","iceshard","superpower","endeavor","stealthrock"],
		eventPokemon: [
			{"generation":3,"level":22,"abilities":["oblivious"],"moves":["charm","ancientpower","mist","mudshot"]}
		],
		tier: "LC"
	},
	piloswine: {
		randomBattleMoves: ["earthquake","iciclecrash","iceshard","superpower","endeavor","stealthrock"],
		tier: "NU"
	},
	mamoswine: {
		randomBattleMoves: ["iceshard","earthquake","endeavor","iciclecrash","stoneedge","superpower","stealthrock"],
		eventPokemon: [
			{"generation":5,"level":34,"gender":"M","isHidden":true,"moves":["hail","icefang","takedown","doublehit"]}
		],
		tier: "OU"
	},
	corsola: {
		randomBattleMoves: ["recover","toxic","powergem","scald","stealthrock"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["tackle","mudsport"]}
		],
		tier: "NU"
	},
	remoraid: {
		randomBattleMoves: ["waterspout","hydropump","fireblast","hiddenpowerground","icebeam","seedbomb","rockblast"],
		tier: "LC"
	},
	octillery: {
		randomBattleMoves: ["hydropump","fireblast","icebeam","energyball","rockblast","thunderwave"],
		eventPokemon: [
			{"generation":4,"level":50,"gender":"F","nature":"Serious","abilities":["suctioncups"],"moves":["octazooka","icebeam","signalbeam","hyperbeam"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	delibird: {
		randomBattleMoves: ["rapidspin","iceshard","icepunch","aerialace"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["present"]}
		],
		tier: "NU"
	},
	mantyke: {
		randomBattleMoves: ["raindance","hydropump","surf","airslash","icebeam","rest","sleeptalk","toxic"],
		tier: "LC"
	},
	mantine: {
		randomBattleMoves: ["raindance","hydropump","surf","airslash","icebeam","rest","sleeptalk","toxic"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["tackle","bubble","supersonic"]}
		],
		tier: "NU"
	},
	skarmory: {
		randomBattleMoves: ["whirlwind","bravebird","roost","spikes","stealthrock"],
		tier: "OU"
	},
	houndour: {
		randomBattleMoves: ["pursuit","suckerpunch","fireblast","darkpulse","hiddenpowerfighting","nastyplot"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["leer","ember","howl"]},
			{"generation":3,"level":17,"moves":["charm","feintattack","ember","roar"]}
		],
		tier: "LC"
	},
	houndoom: {
		randomBattleMoves: ["nastyplot","pursuit","darkpulse","suckerpunch","fireblast","hiddenpowerfighting"],
		tier: "UU"
	},
	phanpy: {
		randomBattleMoves: ["stealthrock","earthquake","iceshard","headsmash","knockoff","seedbomb","superpower"],
		tier: "LC"
	},
	donphan: {
		randomBattleMoves: ["stealthrock","rapidspin","iceshard","earthquake","headsmash","seedbomb","superpower"],
		tier: "OU"
	},
	stantler: {
		randomBattleMoves: ["return","megahorn","jumpkick","earthquake","thunderwave","suckerpunch"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["intimidate"],"moves":["tackle","leer"]}
		],
		tier: "NU"
	},
	smeargle: {
		randomBattleMoves: ["spore","spikes","stealthrock","uturn","destinybond","whirlwind"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["owntempo"],"moves":["sketch"]},
			{"generation":5,"level":50,"gender":"F","nature":"Jolly","abilities":["technician"],"moves":["falseswipe","spore","odorsleuth","meanlook"],"pokeball":"cherishball"}
		],
		tier: "RU"
	},
	miltank: {
		randomBattleMoves: ["milkdrink","stealthrock","bodyslam","healbell","curse","earthquake"],
		tier: "NU"
	},
	raikou: {
		randomBattleMoves: ["thunderbolt","hiddenpowerice","aurasphere","calmmind","substitute"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["quickattack","spark","reflect","crunch"]},
			{"generation":4,"level":30,"shiny":true,"nature":"Rash","moves":["zapcannon","aurasphere","extremespeed","weatherball"],"pokeball":"cherishball"}
		],
		tier: "UU"
	},
	entei: {
		randomBattleMoves: ["extremespeed","flareblitz","ironhead","flamecharge","stoneedge"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["firespin","stomp","flamethrower","swagger"]},
			{"generation":4,"level":30,"shiny":true,"nature":"Adamant","moves":["flareblitz","howl","extremespeed","crushclaw"],"pokeball":"cherishball"}
		],
		tier: "RU"
	},
	suicune: {
		randomBattleMoves: ["hydropump","icebeam","scald","hiddenpowergrass","hiddenpowerelectric","rest","sleeptalk","roar","calmmind"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["gust","aurorabeam","mist","mirrorcoat"]},
			{"generation":4,"level":30,"shiny":true,"nature":"Relaxed","moves":["sheercold","airslash","extremespeed","aquaring"],"pokeball":"cherishball"}
		],
		tier: "UU"
	},
	larvitar: {
		randomBattleMoves: ["earthquake","stoneedge","rockpolish","dragondance","superpower"],
		eventPokemon: [
			{"generation":3,"level":20,"moves":["sandstorm","dragondance","bite","outrage"]},
			{"generation":5,"level":5,"shiny":true,"gender":"M","isHidden":false,"moves":["bite","leer","sandstorm","superpower"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	pupitar: {
		randomBattleMoves: ["earthquake","stoneedge","rockpolish","dragondance","superpower"],
		tier: "NFE"
	},
	tyranitar: {
		randomBattleMoves: ["crunch","stoneedge","pursuit","superpower","fireblast","icebeam","stealthrock","aquatail"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["thrash","scaryface","crunch","earthquake"]},
			{"generation":5,"level":100,"gender":"M","isHidden":false,"moves":["fireblast","icebeam","stoneedge","crunch"],"pokeball":"cherishball"},
			{"generation":5,"level":55,"gender":"M","isHidden":true,"moves":["payback","crunch","earthquake","seismictoss"]}
		],
		tier: "OU"
	},
	lugia: {
		randomBattleMoves: ["toxic","dragontail","roost","substitute","whirlwind","icebeam"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["swift","raindance","hydropump","recover"]},
			{"generation":3,"level":70,"moves":["recover","hydropump","raindance","swift"]},
			{"generation":3,"level":50,"moves":["psychoboost","recover","hydropump","featherdance"]}
		],
		dreamWorldPokeball: 'dreamball',
		tier: "Uber"
	},
	hooh: {
		randomBattleMoves: ["substitute","sacredfire","bravebird","earthquake","roost"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["swift","sunnyday","fireblast","recover"]},
			{"generation":3,"level":70,"moves":["recover","fireblast","sunnyday","swift"]}
		],
		dreamWorldPokeball: 'dreamball',
		tier: "Uber"
	},
	celebi: {
		randomBattleMoves: ["nastyplot","psychic","gigadrain","recover","healbell","batonpass","stealthrock","earthpower","hiddenpowerfire","hiddenpowerice","calmmind","leafstorm"],
		eventPokemon: [
			{"generation":3,"level":10,"moves":["confusion","recover","healbell","safeguard"]},
			{"generation":3,"level":70,"moves":["ancientpower","futuresight","batonpass","perishsong"]},
			{"generation":3,"level":10,"moves":["leechseed","recover","healbell","safeguard"]},
			{"generation":3,"level":30,"moves":["healbell","safeguard","ancientpower","futuresight"]},
			{"generation":4,"level":50,"moves":["leafstorm","recover","nastyplot","healingwish"],"pokeball":"cherishball"}
		],
		unobtainableShiny: true,
		tier: "OU"
	},
	treecko: {
		randomBattleMoves: ["substitute","leechseed","gigadrain","leafstorm","hiddenpowerice","hiddenpowerrock","endeavor"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["pound","leer","absorb"]},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["pound","leer","absorb"]}
		],
		maleOnlyHidden: true,
		tier: "LC"
	},
	grovyle: {
		randomBattleMoves: ["substitute","leechseed","gigadrain","leafstorm","hiddenpowerice","hiddenpowerrock","endeavor"],
		maleOnlyHidden: true,
		tier: "NFE"
	},
	sceptile: {
		randomBattleMoves: ["substitute","leechseed","gigadrain","leafstorm","hiddenpowerice","focusblast","synthesis","hiddenpowerrock"],
		eventPokemon: [
			{"generation":5,"level":50,"isHidden":false,"moves":["leafstorm","dragonpulse","focusblast","rockslide"],"pokeball":"cherishball"}
		],
		maleOnlyHidden: true,
		tier: "RU"
	},
	torchic: {
		randomBattleMoves: ["fireblast","protect","batonpass","substitute","hiddenpowergrass"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["scratch","growl","focusenergy","ember"]},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["scratch","growl","focusenergy","ember"]}
		],
		maleOnlyHidden: true,
		tier: "LC"
	},
	combusken: {
		randomBattleMoves: ["flareblitz","skyuppercut","protect","swordsdance","substitute","batonpass"],
		maleOnlyHidden: true,
		tier: "NU"
	},
	blaziken: {
		randomBattleMoves: ["flareblitz","highjumpkick","protect","swordsdance","substitute","batonpass","bravebird"],
		eventPokemon: [
			{"generation":3,"level":70,"moves":["blazekick","slash","mirrormove","skyuppercut"]},
			{"generation":5,"level":50,"isHidden":false,"moves":["flareblitz","highjumpkick","thunderpunch","stoneedge"],"pokeball":"cherishball"}
		],
		maleOnlyHidden: true,
		tier: "Uber"
	},
	mudkip: {
		randomBattleMoves: ["waterfall","earthpower","superpower","icebeam"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["tackle","growl","mudslap","watergun"]},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["tackle","growl","mudslap","watergun"]}
		],
		maleOnlyHidden: true,
		tier: "LC"
	},
	marshtomp: {
		randomBattleMoves: ["waterfall","earthquake","superpower","icepunch","rockslide","stealthrock"],
		maleOnlyHidden: true,
		tier: "NFE"
	},
	swampert: {
		randomBattleMoves: ["surf","earthquake","icebeam","stealthrock","roar","superpower","stoneedge","rest","sleeptalk","hydropump"],
		eventPokemon: [
			{"generation":5,"level":50,"isHidden":false,"moves":["earthquake","icebeam","hydropump","hammerarm"],"pokeball":"cherishball"}
		],
		maleOnlyHidden: true,
		tier: "UU"
	},
	poochyena: {
		randomBattleMoves: ["superfang","foulplay","suckerpunch","toxic"],
		eventPokemon: [
			{"generation":3,"level":10,"abilities":["runaway"],"moves":["healbell","dig","poisonfang","growl"]}
		],
		tier: "LC"
	},
	mightyena: {
		randomBattleMoves: ["suckerpunch","crunch","icefang","firefang","howl"],
		tier: "NU"
	},
	zigzagoon: {
		randomBattleMoves: ["bellydrum","extremespeed","seedbomb","substitute"],
		eventPokemon: [
			{"generation":3,"level":5,"shiny":true,"abilities":["pickup"],"moves":["tackle","growl","tailwhip"]},
			{"generation":3,"level":5,"abilities":["pickup"],"moves":["tackle","growl","extremespeed"]}
		],
		tier: "LC"
	},
	linoone: {
		randomBattleMoves: ["bellydrum","extremespeed","seedbomb","substitute","shadowclaw"],
		tier: "NU"
	},
	wurmple: {
		randomBattleMoves: ["bugbite","poisonsting","tackle","electroweb"],
		tier: "LC"
	},
	silcoon: {
		randomBattleMoves: ["bugbite","poisonsting","tackle","electroweb"],
		tier: "NFE"
	},
	beautifly: {
		randomBattleMoves: ["quiverdance","bugbuzz","gigadrain","hiddenpowerfighting","hiddenpowerrock","substitute","roost"],
		tier: "NU"
	},
	cascoon: {
		randomBattleMoves: ["bugbite","poisonsting","tackle","electroweb"],
		tier: "NFE"
	},
	dustox: {
		randomBattleMoves: ["toxic","roost","whirlwind","bugbuzz","protect","sludgebomb","quiverdance"],
		tier: "NU"
	},
	lotad: {
		randomBattleMoves: ["gigadrain","icebeam","scald","substitute","leechseed"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["astonish","growl","absorb"]}
		],
		tier: "LC"
	},
	lombre: {
		randomBattleMoves: ["gigadrain","icebeam","scald","substitute","leechseed"],
		tier: "NFE"
	},
	ludicolo: {
		randomBattleMoves: ["raindance","hydropump","surf","gigadrain","icebeam","scald","leechseed","substitute","toxic"],
		eventPokemon: [
			{"generation":5,"level":50,"isHidden":false,"abilities":["swiftswim"],"moves":["fakeout","hydropump","icebeam","gigadrain"],"pokeball":"cherishball"},
			{"generation":5,"level":30,"gender":"M","nature":"Calm","isHidden":false,"abilities":["swiftswim"],"moves":["scald","gigadrain","icebeam","sunnyday"]}
		],
		tier: "NU"
	},
	seedot: {
		randomBattleMoves: ["leechseed","naturepower","seedbomb","explosion","foulplay"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["bide","harden","growth"]},
			{"generation":3,"level":17,"moves":["refresh","gigadrain","bulletseed","secretpower"]}
		],
		tier: "LC"
	},
	nuzleaf: {
		randomBattleMoves: ["foulplay","naturepower","seedbomb","explosion","swordsdance"],
		tier: "NFE"
	},
	shiftry: {
		randomBattleMoves: ["hiddenpowerfire","swordsdance","seedbomb","suckerpunch","naturepower","nastyplot","gigadrain","darkpulse"],
		tier: "NU"
	},
	taillow: {
		randomBattleMoves: ["bravebird","facade","quickattack","uturn","protect"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["peck","growl","focusenergy","featherdance"]}
		],
		tier: "LC"
	},
	swellow: {
		randomBattleMoves: ["bravebird","facade","quickattack","uturn","protect"],
		eventPokemon: [
			{"generation":3,"level":43,"moves":["batonpass","skyattack","agility","facade"]}
		],
		tier: "NU"
	},
	wingull: {
		randomBattleMoves: ["scald","icebeam","hiddenpowergrass","uturn","airslash","hurricane"],
		tier: "LC"
	},
	pelipper: {
		randomBattleMoves: ["scald","icebeam","hiddenpowergrass","uturn","airslash","hurricane","toxic","roost"],
		tier: "NU"
	},
	ralts: {
		randomBattleMoves: ["trickroom","destinybond","psychic","willowisp"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["growl","wish"]},
			{"generation":3,"level":5,"moves":["growl","charm"]},
			{"generation":3,"level":20,"moves":["sing","shockwave","reflect","confusion"]}
		],
		tier: "LC"
	},
	kirlia: {
		randomBattleMoves: ["trickroom","destinybond","psychic","willowisp"],
		tier: "NFE"
	},
	gardevoir: {
		randomBattleMoves: ["psychic","focusblast","shadowball","trick","calmmind","willowisp","wish","thunderbolt","protect","healingwish"],
		eventPokemon: [
			{"generation":5,"level":50,"isHidden":false,"abilities":["trace"],"moves":["hypnosis","thunderbolt","focusblast","psychic"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	gallade: {
		randomBattleMoves: ["closecombat","trick","stoneedge","shadowsneak","swordsdance","bulkup","drainpunch","icepunch","psychocut"],
		tier: "RU"
	},
	surskit: {
		randomBattleMoves: ["hydropump","signalbeam","hiddenpowerfire","hiddenpowerfighting","gigadrain"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["bubble","mudsport"]},
			{"generation":3,"level":10,"gender":"M","moves":["bubble","quickattack"]}
		],
		tier: "LC"
	},
	masquerain: {
		randomBattleMoves: ["hydropump","bugbuzz","airslash","quiverdance","substitute","batonpass","roost"],
		tier: "NU"
	},
	shroomish: {
		randomBattleMoves: ["spore","substitute","leechseed","gigadrain","protect","toxic","stunspore"],
		eventPokemon: [
			{"generation":3,"level":15,"abilities":["effectspore"],"moves":["refresh","falseswipe","megadrain","stunspore"]}
		],
		tier: "LC"
	},
	breloom: {
		randomBattleMoves: ["spore","substitute","leechseed","focuspunch","machpunch","lowsweep","bulletseed","stoneedge","swordsdance"],
		tier: "OU"
	},
	slakoth: {
		randomBattleMoves: ["doubleedge","hammerarm","firepunch","suckerpunch","retaliate","toxic"],
		tier: "LC"
	},
	vigoroth: {
		randomBattleMoves: ["bulkup","return","earthquake","firepunch","suckerpunch","slackoff"],
		tier: "NU"
	},
	slaking: {
		randomBattleMoves: ["return","earthquake","pursuit","firepunch","suckerpunch","doubleedge","retaliate","gigaimpact","hammerarm"],
		eventPokemon: [
			{"generation":4,"level":50,"gender":"M","nature":"Adamant","moves":["gigaimpact","return","shadowclaw","aerialace"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	nincada: {
		randomBattleMoves: ["xscissor","toxic","aerialace","nightslash"],
		tier: "LC"
	},
	ninjask: {
		randomBattleMoves: ["batonpass","swordsdance","substitute","protect","xscissor"],
		tier: "NU"
	},
	shedinja: {
		randomBattleMoves: ["swordsdance","willowisp","xscissor","shadowsneak","suckerpunch"],
		eventPokemon: [
			{"generation":3,"level":50,"moves":["spite","confuseray","shadowball","grudge"]},
			{"generation":3,"level":20,"moves":["doubleteam","furycutter","screech"]},
			{"generation":3,"level":25,"moves":["swordsdance"]},
			{"generation":3,"level":31,"moves":["slash"]},
			{"generation":3,"level":38,"moves":["agility"]},
			{"generation":3,"level":45,"moves":["batonpass"]},
			{"generation":4,"level":52,"moves":["xscissor"]}
		],
		tier: "NU"
	},
	whismur: {
		randomBattleMoves: ["hypervoice","fireblast","shadowball","icebeam"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["pound","uproar","teeterdance"]}
		],
		tier: "LC"
	},
	loudred: {
		randomBattleMoves: ["hypervoice","fireblast","shadowball","icebeam"],
		tier: "NFE"
	},
	exploud: {
		randomBattleMoves: ["hypervoice","overheat","shadowball","icebeam","surf","focusblast"],
		eventPokemon: [
			{"generation":3,"level":100,"moves":["roar","rest","sleeptalk","hypervoice"]},
			{"generation":3,"level":50,"moves":["stomp","screech","hyperbeam","roar"]}
		],
		tier: "NU"
	},
	makuhita: {
		randomBattleMoves: ["crosschop","bulletpunch","closecombat","icepunch","bulkup"],
		eventPokemon: [
			{"generation":3,"level":18,"moves":["refresh","brickbreak","armthrust","rocktomb"]}
		],
		tier: "LC"
	},
	hariyama: {
		randomBattleMoves: ["crosschop","bulletpunch","closecombat","icepunch","stoneedge","bulkup"],
		tier: "RU"
	},
	nosepass: {
		randomBattleMoves: ["stoneedge","toxic","stealthrock","thunderwave"],
		eventPokemon: [
			{"generation":3,"level":26,"moves":["helpinghand","thunderbolt","thunderwave","rockslide"]}
		],
		tier: "LC"
	},
	probopass: {
		randomBattleMoves: ["stealthrock","thunderwave","toxic","earthpower","powergem","voltswitch"],
		tier: "NU"
	},
	skitty: {
		randomBattleMoves: ["return","suckerpunch","zenheadbutt","thunderwave","fakeout"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["cutecharm"],"moves":["tackle","growl","tailwhip","payday"]},
			{"generation":3,"level":5,"abilities":["cutecharm"],"moves":["growl","tackle","tailwhip","rollout"]},
			{"generation":3,"level":10,"gender":"M","abilities":["cutecharm"],"moves":["growl","tackle","tailwhip","attract"]}
		],
		tier: "LC"
	},
	delcatty: {
		randomBattleMoves: ["return","suckerpunch","zenheadbutt","thunderwave","fakeout","wish"],
		eventPokemon: [
			{"generation":3,"level":18,"abilities":["cutecharm"],"moves":["sweetkiss","secretpower","attract","shockwave"]}
		],
		tier: "NU"
	},
	sableye: {
		randomBattleMoves: ["recover","willowisp","taunt","trick","toxic","nightshade","seismictoss"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","abilities":["keeneye"],"moves":["leer","scratch","foresight","nightshade"]},
			{"generation":3,"level":33,"abilities":["keeneye"],"moves":["helpinghand","shadowball","feintattack","recover"]},
			{"generation":5,"level":50,"gender":"M","isHidden":true,"moves":["foulplay","octazooka","tickle","trick"],"pokeball":"cherishball"}
		],
		tier: "UU"
	},
	mawile: {
		randomBattleMoves: ["swordsdance","ironhead","firefang","crunch","batonpass","substitute"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["astonish","faketears"]},
			{"generation":3,"level":22,"moves":["sing","falseswipe","vicegrip","irondefense"]}
		],
		tier: "NU"
	},
	aron: {
		randomBattleMoves: ["headsmash","ironhead","earthquake","superpower","stealthrock"],
		tier: "LC"
	},
	lairon: {
		randomBattleMoves: ["headsmash","ironhead","earthquake","superpower","stealthrock"],
		tier: "NU"
	},
	aggron: {
		randomBattleMoves: ["rockpolish","headsmash","earthquake","superpower","heavyslam","aquatail","icepunch","stealthrock","thunderwave"],
		eventPokemon: [
			{"generation":3,"level":100,"moves":["irontail","protect","metalsound","doubleedge"]},
			{"generation":3,"level":50,"moves":["takedown","irontail","protect","metalsound"]}
		],
		tier: "RU"
	},
	meditite: {
		randomBattleMoves: ["highjumpkick","psychocut","icepunch","thunderpunch","trick","fakeout","bulletpunch","drainpunch"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["bide","meditate","confusion"]},
			{"generation":3,"level":20,"moves":["dynamicpunch","confusion","shadowball","detect"]}
		],
		tier: "LC Uber"
	},
	medicham: {
		randomBattleMoves: ["highjumpkick","drainpunch","psychocut","icepunch","thunderpunch","trick","fakeout","bulletpunch"],
		tier: "RU"
	},
	electrike: {
		randomBattleMoves: ["voltswitch","thunderbolt","hiddenpowerice","switcheroo","flamethrower"],
		tier: "LC"
	},
	manectric: {
		randomBattleMoves: ["voltswitch","thunderbolt","hiddenpowerice","overheat","switcheroo","flamethrower"],
		eventPokemon: [
			{"generation":3,"level":44,"moves":["refresh","thunder","raindance","bite"]}
		],
		tier: "RU"
	},
	plusle: {
		randomBattleMoves: ["nastyplot","thunderbolt","substitute","batonpass","hiddenpowerice"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["growl","thunderwave","watersport"]},
			{"generation":3,"level":10,"gender":"M","moves":["growl","thunderwave","quickattack"]}
		],
		tier: "NU"
	},
	minun: {
		randomBattleMoves: ["nastyplot","thunderbolt","substitute","batonpass","hiddenpowerice"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["growl","thunderwave","mudsport"]},
			{"generation":3,"level":10,"gender":"M","moves":["growl","thunderwave","quickattack"]}
		],
		tier: "NU"
	},
	volbeat: {
		randomBattleMoves: ["tailglow","batonpass","substitute","bugbuzz","thunderwave","encore"],
		tier: "NU"
	},
	illumise: {
		randomBattleMoves: ["substitute","batonpass","wish","bugbuzz","encore","thunderbolt"],
		tier: "NU"
	},
	budew: {
		randomBattleMoves: ["spikes","sludgebomb","sleeppowder","gigadrain","stunspore","rest"],
		tier: "LC"
	},
	roselia: {
		randomBattleMoves: ["spikes","toxicspikes","sleeppowder","gigadrain","stunspore","rest","sludgebomb"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["absorb","growth","poisonsting"]},
			{"generation":3,"level":22,"moves":["sweetkiss","magicalleaf","leechseed","grasswhistle"]}
		],
		tier: "NU"
	},
	roserade: {
		randomBattleMoves: ["sludgebomb","gigadrain","sleeppowder","leafstorm","spikes","toxicspikes","rest","synthesis","hiddenpowerfire"],
		tier: "UU"
	},
	gulpin: {
		randomBattleMoves: ["stockpile","sludgebomb","icebeam","toxic","painsplit","yawn","encore"],
		eventPokemon: [
			{"generation":3,"level":17,"moves":["sing","shockwave","sludge","toxic"]}
		],
		tier: "LC"
	},
	swalot: {
		randomBattleMoves: ["stockpile","sludgebomb","icebeam","toxic","yawn","encore","earthquake"],
		tier: "NU"
	},
	carvanha: {
		randomBattleMoves: ["protect","hydropump","icebeam","waterfall","crunch","hiddenpowergrass","aquajet"],
		eventPokemon: [
			{"generation":3,"level":15,"moves":["refresh","waterpulse","bite","scaryface"]}
		],
		tier: "LC Uber"
	},
	sharpedo: {
		randomBattleMoves: ["protect","hydropump","icebeam","crunch","earthquake","waterfall","hiddenpowergrass","aquajet"],
		tier: "UU"
	},
	wailmer: {
		randomBattleMoves: ["waterspout","surf","hydropump","icebeam","hiddenpowergrass","hiddenpowerelectric"],
		tier: "LC"
	},
	wailord: {
		randomBattleMoves: ["waterspout","surf","hydropump","icebeam","hiddenpowergrass","hiddenpowerelectric"],
		eventPokemon: [
			{"generation":3,"level":100,"moves":["rest","waterspout","amnesia","hydropump"]},
			{"generation":3,"level":50,"moves":["waterpulse","mist","rest","waterspout"]}
		],
		tier: "NU"
	},
	numel: {
		randomBattleMoves: ["curse","earthquake","rockslide","fireblast","flamecharge","rest","sleeptalk","stockpile"],
		eventPokemon: [
			{"generation":3,"level":14,"abilities":["oblivious"],"moves":["charm","takedown","dig","ember"]}
		],
		tier: "LC"
	},
	camerupt: {
		randomBattleMoves: ["rockpolish","fireblast","earthpower","stoneedge","lavaplume","stealthrock","earthquake"],
		tier: "NU"
	},
	torkoal: {
		randomBattleMoves: ["rapidspin","stealthrock","yawn","lavaplume","earthquake","toxic","willowisp"],
		tier: "NU"
	},
	spoink: {
		randomBattleMoves: ["psychic","reflect","lightscreen","thunderwave","trick","healbell"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["owntempo"],"moves":["splash","uproar"]}
		],
		tier: "LC"
	},
	grumpig: {
		randomBattleMoves: ["calmmind","psychic","focusblast","shadowball","thunderwave","trick","healbell"],
		tier: "NU"
	},
	spinda: {
		randomBattleMoves: ["wish","protect","return","superpower","suckerpunch"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["tackle","uproar","sing"]}
		],
		tier: "NU"
	},
	trapinch: {
		randomBattleMoves: ["earthquake","rockslide","crunch","quickattack","superpower"],
		eventPokemon: [
			{"generation":5,"level":1,"shiny":true,"isHidden":false,"moves":["bite"]}
		],
		tier: "LC"
	},
	vibrava: {
		randomBattleMoves: ["substitute","earthquake","outrage","roost","uturn","superpower"],
		tier: "NFE"
	},
	flygon: {
		randomBattleMoves: ["earthquake","outrage","dragonclaw","uturn","roost","substitute","stoneedge","firepunch","superpower"],
		eventPokemon: [
			{"generation":3,"level":45,"moves":["sandtomb","crunch","dragonbreath","screech"]},
			{"generation":4,"level":50,"gender":"M","nature":"Naive","moves":["dracometeor","uturn","earthquake","dragonclaw"],"pokeball":"cherishball"}
		],
		tier: "UU"
	},
	cacnea: {
		randomBattleMoves: ["swordsdance","spikes","suckerpunch","seedbomb","drainpunch"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["poisonsting","leer","absorb","encore"]}
		],
		tier: "LC"
	},
	cacturne: {
		randomBattleMoves: ["swordsdance","spikes","suckerpunch","seedbomb","drainpunch"],
		eventPokemon: [
			{"generation":3,"level":45,"moves":["ingrain","feintattack","spikes","needlearm"]}
		],
		tier: "NU"
	},
	swablu: {
		randomBattleMoves: ["roost","toxic","cottonguard","return"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["peck","growl","falseswipe"]},
			{"generation":5,"level":1,"shiny":true,"isHidden":false,"moves":["peck","growl"]}
		],
		tier: "LC"
	},
	altaria: {
		randomBattleMoves: ["dragondance","outrage","dragonclaw","earthquake","roost","fireblast"],
		eventPokemon: [
			{"generation":3,"level":45,"moves":["takedown","dragonbreath","dragondance","refresh"]},
			{"generation":3,"level":36,"moves":["healbell","dragonbreath","solarbeam","aerialace"]},
			{"generation":5,"level":35,"gender":"M","isHidden":true,"moves":["takedown","naturalgift","dragonbreath","falseswipe"]}
		],
		tier: "NU"
	},
	zangoose: {
		randomBattleMoves: ["swordsdance","closecombat","nightslash","quickattack","facade"],
		eventPokemon: [
			{"generation":3,"level":18,"moves":["leer","quickattack","swordsdance","furycutter"]},
			{"generation":3,"level":10,"gender":"M","moves":["scratch","leer","quickattack","swordsdance"]},
			{"generation":3,"level":28,"moves":["refresh","brickbreak","counter","crushclaw"]}
		],
		tier: "NU"
	},
	seviper: {
		randomBattleMoves: ["sludgebomb","flamethrower","gigadrain","switcheroo","earthquake","suckerpunch","aquatail"],
		eventPokemon: [
			{"generation":3,"level":18,"moves":["wrap","lick","bite","poisontail"]},
			{"generation":3,"level":30,"moves":["poisontail","screech","glare","crunch"]},
			{"generation":3,"level":10,"gender":"M","moves":["wrap","lick","bite"]}
		],
		tier: "NU"
	},
	lunatone: {
		randomBattleMoves: ["psychic","earthpower","stealthrock","rockpolish","batonpass","calmmind","icebeam","hiddenpowerrock","moonlight"],
		eventPokemon: [
			{"generation":3,"level":10,"moves":["tackle","harden","confusion"]},
			{"generation":3,"level":25,"moves":["batonpass","psychic","raindance","rocktomb"]}
		],
		tier: "NU"
	},
	solrock: {
		randomBattleMoves: ["stealthrock","explosion","stoneedge","zenheadbutt","earthquake","batonpass","willowisp","rockpolish","morningsun"],
		eventPokemon: [
			{"generation":3,"level":10,"moves":["tackle","harden","confusion"]},
			{"generation":3,"level":41,"moves":["batonpass","psychic","sunnyday","cosmicpower"]}
		],
		tier: "NU"
	},
	barboach: {
		randomBattleMoves: ["dragondance","waterfall","earthquake","return"],
		tier: "LC"
	},
	whiscash: {
		randomBattleMoves: ["dragondance","waterfall","earthquake","stoneedge"],
		eventPokemon: [
			{"generation":4,"level":51,"gender":"F","nature":"Gentle","abilities":["oblivious"],"moves":["earthquake","aquatail","zenheadbutt","gigaimpact"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	corphish: {
		randomBattleMoves: ["dragondance","waterfall","crunch","superpower","swordsdance"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["bubble","watersport"]}
		],
		tier: "LC"
	},
	crawdaunt: {
		randomBattleMoves: ["dragondance","waterfall","crunch","superpower","swordsdance"],
		eventPokemon: [
			{"generation":3,"level":100,"moves":["taunt","crabhammer","swordsdance","guillotine"]},
			{"generation":3,"level":50,"moves":["knockoff","taunt","crabhammer","swordsdance"]}
		],
		tier: "RU"
	},
	baltoy: {
		randomBattleMoves: ["stealthrock","earthquake","toxic","psychic","reflect","lightscreen","icebeam","rapidspin"],
		eventPokemon: [
			{"generation":3,"level":17,"moves":["refresh","rocktomb","mudslap","psybeam"]}
		],
		tier: "LC"
	},
	claydol: {
		randomBattleMoves: ["stealthrock","toxic","psychic","icebeam","earthquake","rapidspin","reflect","lightscreen"],
		tier: "UU"
	},
	lileep: {
		randomBattleMoves: ["stealthrock","recover","ancientpower","hiddenpowerfire","gigadrain","stockpile"],
		eventPokemon: [
			{"generation":5,"level":15,"gender":"M","isHidden":false,"moves":["recover","rockslide","constrict","acid"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	cradily: {
		randomBattleMoves: ["stealthrock","recover","stockpile","seedbomb","rockslide","earthquake","curse","swordsdance"],
		tier: "NU"
	},
	anorith: {
		randomBattleMoves: ["stealthrock","brickbreak","toxic","xscissor","rockslide","swordsdance","rockpolish"],
		eventPokemon: [
			{"generation":5,"level":15,"gender":"M","isHidden":false,"moves":["harden","mudsport","watergun","crosspoison"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	armaldo: {
		randomBattleMoves: ["stealthrock","stoneedge","toxic","xscissor","swordsdance","earthquake","superpower"],
		tier: "NU"
	},
	feebas: {
		randomBattleMoves: ["protect","confuseray","hypnosis","scald","toxic"],
		tier: "LC"
	},
	milotic: {
		randomBattleMoves: ["recover","scald","hypnosis","toxic","icebeam","dragontail","rest","sleeptalk","hiddenpowergrass"],
		eventPokemon: [
			{"generation":3,"level":35,"moves":["waterpulse","twister","recover","raindance"]},
			{"generation":4,"level":50,"gender":"F","nature":"Bold","moves":["recover","raindance","icebeam","hydropump"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"shiny":true,"gender":"M","nature":"Timid","moves":["raindance","recover","hydropump","icywind"],"pokeball":"cherishball"},
			{"generation":5,"level":50,"isHidden":false,"moves":["recover","hydropump","icebeam","mirrorcoat"],"pokeball":"cherishball"},
			{"generation":5,"level":58,"gender":"M","nature":"Lax","isHidden":false,"moves":["recover","surf","icebeam","toxic"],"pokeball":"cherishball"}
		],
		tier: "UU"
	},
	castform: {
		randomBattleMoves: ["sunnyday","raindance","fireblast","hydropump","thunder","icebeam","solarbeam"],
		tier: "NU"
	},
	kecleon: {
		randomBattleMoves: ["stealthrock","recover","return","thunderwave","suckerpunch"],
		tier: "NU"
	},
	shuppet: {
		randomBattleMoves: ["trickroom","destinybond","taunt","shadowsneak","willowisp"],
		eventPokemon: [
			{"generation":3,"level":45,"abilities":["insomnia"],"moves":["spite","willowisp","feintattack","shadowball"]}
		],
		tier: "LC"
	},
	banette: {
		randomBattleMoves: ["trickroom","destinybond","taunt","shadowclaw","willowisp"],
		eventPokemon: [
			{"generation":3,"level":37,"abilities":["insomnia"],"moves":["helpinghand","feintattack","shadowball","curse"]},
			{"generation":5,"level":37,"gender":"F","isHidden":true,"moves":["feintattack","hex","shadowball","cottonguard"]}
		],
		tier: "NU"
	},
	duskull: {
		randomBattleMoves: ["willowisp","shadowsneak","icebeam","painsplit","substitute","nightshade"],
		eventPokemon: [
			{"generation":3,"level":45,"moves":["pursuit","curse","willowisp","meanlook"]},
			{"generation":3,"level":19,"moves":["helpinghand","shadowball","astonish","confuseray"]}
		],
		tier: "LC"
	},
	dusclops: {
		randomBattleMoves: ["willowisp","shadowsneak","icebeam","painsplit","substitute","seismictoss"],
		tier: "UU"
	},
	dusknoir: {
		randomBattleMoves: ["willowisp","shadowsneak","icebeam","painsplit","substitute","earthquake","focuspunch"],
		tier: "RU"
	},
	tropius: {
		randomBattleMoves: ["leechseed","substitute","airslash","gigadrain","earthquake","hiddenpowerfire","roost","leafstorm"],
		eventPokemon: [
			{"generation":4,"level":53,"gender":"F","nature":"Jolly","abilities":["chlorophyll"],"moves":["airslash","synthesis","sunnyday","solarbeam"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	chingling: {
		randomBattleMoves: ["hypnosis","reflect","lightscreen","toxic","wish","psychic"],
		tier: "LC"
	},
	chimecho: {
		randomBattleMoves: ["hypnosis","toxic","wish","psychic","thunderwave","recover","calmmind","shadowball","hiddenpowerfighting","healingwish"],
		eventPokemon: [
			{"generation":3,"level":10,"gender":"M","moves":["wrap","growl","astonish"]}
		],
		tier: "NU"
	},
	absol: {
		randomBattleMoves: ["swordsdance","suckerpunch","nightslash","psychocut","superpower","pursuit","megahorn"],
		eventPokemon: [
			{"generation":3,"level":5,"abilities":["pressure"],"moves":["scratch","leer","wish"]},
			{"generation":3,"level":5,"abilities":["pressure"],"moves":["scratch","leer","spite"]},
			{"generation":3,"level":35,"abilities":["pressure"],"moves":["razorwind","bite","swordsdance","spite"]},
			{"generation":3,"level":70,"abilities":["pressure"],"moves":["doubleteam","slash","futuresight","perishsong"]}
		],
		tier: "RU"
	},
	snorunt: {
		randomBattleMoves: ["spikes","icebeam","hiddenpowerground","iceshard","crunch"],
		eventPokemon: [
			{"generation":3,"level":22,"abilities":["innerfocus"],"moves":["sing","waterpulse","bite","icywind"]}
		],
		tier: "LC"
	},
	glalie: {
		randomBattleMoves: ["spikes","icebeam","iceshard","crunch","earthquake"],
		tier: "NU"
	},
	froslass: {
		randomBattleMoves: ["icebeam","spikes","destinybond","shadowball","substitute","taunt","thunderbolt","thunderwave"],
		tier: "BL"
	},
	spheal: {
		randomBattleMoves: ["substitute","protect","toxic","surf","icebeam"],
		eventPokemon: [
			{"generation":3,"level":17,"abilities":["thickfat"],"moves":["charm","aurorabeam","watergun","mudslap"]}
		],
		tier: "LC"
	},
	sealeo: {
		randomBattleMoves: ["substitute","protect","toxic","surf","icebeam"],
		tier: "NFE"
	},
	walrein: {
		randomBattleMoves: ["substitute","protect","toxic","surf","icebeam","roar"],
		eventPokemon: [
			{"generation":5,"level":50,"isHidden":false,"abilities":["thickfat"],"moves":["icebeam","surf","hail","sheercold"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	clamperl: {
		randomBattleMoves: ["shellsmash","icebeam","surf","hiddenpowergrass","hiddenpowerelectric","substitute"],
		tier: "LC"
	},
	huntail: {
		randomBattleMoves: ["shellsmash","return","hydropump","batonpass","suckerpunch"],
		tier: "NU"
	},
	gorebyss: {
		randomBattleMoves: ["shellsmash","batonpass","hydropump","icebeam","hiddenpowergrass","substitute"],
		tier: "NU"
	},
	relicanth: {
		randomBattleMoves: ["headsmash","waterfall","earthquake","doubleedge","stealthrock"],
		tier: "NU"
	},
	luvdisc: {
		randomBattleMoves: ["surf","icebeam","toxic","sweetkiss","protect"],
		tier: "NU"
	},
	bagon: {
		randomBattleMoves: ["outrage","dragondance","firefang","rockslide","dragonclaw"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["rage","bite","wish"]},
			{"generation":3,"level":5,"moves":["rage","bite","irondefense"]},
			{"generation":5,"level":1,"shiny":true,"isHidden":false,"moves":["rage"]}
		],
		tier: "LC"
	},
	shelgon: {
		randomBattleMoves: ["outrage","brickbreak","dragonclaw","dragondance"],
		tier: "NU"
	},
	salamence: {
		randomBattleMoves: ["outrage","fireblast","earthquake","dracometeor","roost","dragondance","dragonclaw"],
		eventPokemon: [
			{"generation":3,"level":50,"moves":["protect","dragonbreath","scaryface","fly"]},
			{"generation":3,"level":50,"moves":["refresh","dragonclaw","dragondance","aerialace"]},
			{"generation":4,"level":50,"gender":"M","nature":"Naughty","moves":["hydropump","stoneedge","fireblast","dragonclaw"],"pokeball":"cherishball"},
			{"generation":5,"level":50,"isHidden":false,"moves":["dragondance","dragonclaw","outrage","aerialace"],"pokeball":"cherishball"}
		],
		tier: "OU"
	},
	beldum: {
		randomBattleMoves: ["ironhead","zenheadbutt","headbutt","irondefense"],
		tier: "LC"
	},
	metang: {
		randomBattleMoves: ["stealthrock","meteormash","toxic","earthquake","bulletpunch"],
		eventPokemon: [
			{"generation":3,"level":30,"moves":["takedown","confusion","metalclaw","refresh"]}
		],
		tier: "NU"
	},
	metagross: {
		randomBattleMoves: ["meteormash","earthquake","agility","stealthrock","zenheadbutt","bulletpunch","trick"],
		eventPokemon: [
			{"generation":4,"level":62,"nature":"Brave","moves":["bulletpunch","meteormash","hammerarm","zenheadbutt"],"pokeball":"cherishball"},
			{"generation":5,"level":50,"isHidden":false,"moves":["meteormash","earthquake","bulletpunch","hammerarm"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"isHidden":false,"moves":["bulletpunch","zenheadbutt","hammerarm","icepunch"],"pokeball":"cherishball"},
			{"generation":5,"level":45,"isHidden":false,"moves":["earthquake","zenheadbutt","protect","meteormash"]},
			{"generation":5,"level":45,"isHidden":true,"moves":["irondefense","agility","hammerarm","doubleedge"]},
			{"generation":5,"level":45,"isHidden":true,"moves":["psychic","meteormash","hammerarm","doubleedge"]},
			{"generation":5,"level":58,"nature":"Serious","isHidden":false,"moves":["earthquake","hyperbeam","psychic","meteormash"],"pokeball":"cherishball"}
		],
		tier: "OU"
	},
	regirock: {
		randomBattleMoves: ["stealthrock","thunderwave","stoneedge","earthquake","curse","rest","sleeptalk","rockslide","toxic"],
		eventPokemon: [
			{"generation":3,"level":40,"moves":["curse","superpower","ancientpower","hyperbeam"]}
		],
		tier: "NU"
	},
	regice: {
		randomBattleMoves: ["thunderwave","icebeam","thunderbolt","rest","sleeptalk","focusblast"],
		eventPokemon: [
			{"generation":3,"level":40,"moves":["curse","superpower","ancientpower","hyperbeam"]}
		],
		tier: "NU"
	},
	registeel: {
		randomBattleMoves: ["stealthrock","ironhead","curse","rest","thunderwave","toxic"],
		eventPokemon: [
			{"generation":3,"level":40,"moves":["curse","superpower","ancientpower","hyperbeam"]}
		],
		tier: "UU"
	},
	latias: {
		randomBattleMoves: ["dragonpulse","surf","thunderbolt","roost","calmmind","healingwish"],
		eventPokemon: [
			{"generation":3,"level":50,"gender":"F","moves":["charm","recover","psychic","mistball"]},
			{"generation":3,"level":70,"gender":"F","moves":["mistball","psychic","recover","charm"]},
			{"generation":4,"level":40,"gender":"F","moves":["watersport","refresh","mistball","zenheadbutt"]}
		],
		tier: "OU"
	},
	latios: {
		randomBattleMoves: ["dracometeor","dragonpulse","surf","thunderbolt","psyshock","roost"],
		eventPokemon: [
			{"generation":3,"level":50,"gender":"M","moves":["dragondance","recover","psychic","lusterpurge"]},
			{"generation":3,"level":70,"gender":"M","moves":["lusterpurge","psychic","recover","dragondance"]},
			{"generation":4,"level":40,"gender":"M","moves":["protect","refresh","lusterpurge","zenheadbutt"]}
		],
		tier: "OU"
	},
	kyogre: {
		randomBattleMoves: ["waterspout","surf","thunder","icebeam","calmmind","rest","sleeptalk"],
		eventPokemon: [
			{"generation":5,"level":80,"moves":["icebeam","ancientpower","waterspout","thunder"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["waterspout","thunder","icebeam","sheercold"],"pokeball":"cherishball"}
		],
		tier: "Uber"
	},
	groudon: {
		randomBattleMoves: ["earthquake","dragontail","stealthrock","stoneedge","swordsdance","rockpolish","thunderwave","firepunch"],
		eventPokemon: [
			{"generation":5,"level":80,"moves":["earthquake","ancientpower","eruption","solarbeam"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["eruption","hammerarm","earthpower","solarbeam"],"pokeball":"cherishball"}
		],
		tier: "Uber"
	},
	rayquaza: {
		randomBattleMoves: ["outrage","vcreate","extremespeed","dragondance","swordsdance","dracometeor","dragonclaw"],
		eventPokemon: [
			{"generation":5,"level":70,"shiny":true,"moves":["dragonpulse","ancientpower","outrage","dragondance"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["extremespeed","hyperbeam","dragonpulse","vcreate"],"pokeball":"cherishball"}
		],
		tier: "Uber"
	},
	jirachi: {
		randomBattleMoves: ["bodyslam","ironhead","firepunch","thunderwave","stealthrock","wish","uturn","calmmind","psychic","thunder","icepunch","flashcannon","meteormash"],
		eventPokemon: [
			{"generation":3,"level":5,"moves":["wish","confusion","rest"]},
			{"generation":3,"level":30,"moves":["helpinghand","psychic","refresh","rest"]},
			{"generation":4,"level":5,"moves":["wish","confusion","rest"],"pokeball":"cherishball"},
			{"generation":4,"level":5,"moves":["wish","confusion","rest","dracometeor"],"pokeball":"cherishball"},
			{"generation":5,"level":50,"moves":["healingwish","psychic","swift","meteormash"],"pokeball":"cherishball"},
			{"generation":5,"level":50,"moves":["dracometeor","meteormash","wish","followme"],"pokeball":"cherishball"},
			{"generation":5,"level":50,"moves":["wish","healingwish","cosmicpower","meteormash"],"pokeball":"cherishball"},
			{"generation":5,"level":50,"moves":["wish","healingwish","swift","return"],"pokeball":"cherishball"}
		],
		tier: "OU"
	},
	deoxys: {
		randomBattleMoves: ["psychoboost","superpower","extremespeed","icebeam","thunderbolt","firepunch","spikes","stealthrock"],
		eventPokemon: [
			{"generation":3,"level":30,"moves":["snatch","psychic","spikes","knockoff"]},
			{"generation":3,"level":30,"moves":["superpower","psychic","pursuit","taunt"]},
			{"generation":3,"level":30,"moves":["swift","psychic","pursuit","knockoff"]},
			{"generation":3,"level":70,"moves":["cosmicpower","recover","psychoboost","hyperbeam"]},
			{"generation":4,"level":50,"moves":["psychoboost","zapcannon","irondefense","extremespeed"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"moves":["psychoboost","swift","doubleteam","extremespeed"]},
			{"generation":4,"level":50,"moves":["psychoboost","detect","counter","mirrorcoat"]},
			{"generation":4,"level":50,"moves":["psychoboost","meteormash","superpower","hyperbeam"]},
			{"generation":4,"level":50,"moves":["psychoboost","leer","wrap","nightshade"]},
			{"generation":5,"level":100,"moves":["nastyplot","darkpulse","recover","psychoboost"],"pokeball":"duskball"}
		],
		tier: "Uber"
	},
	deoxysattack: {
		randomBattleMoves: ["psychoboost","superpower","extremespeed","icebeam","thunderbolt","firepunch","spikes","stealthrock"],
		eventPokemon: [
			{"generation":3,"level":30,"moves":["snatch","psychic","spikes","knockoff"]},
			{"generation":3,"level":30,"moves":["superpower","psychic","pursuit","taunt"]},
			{"generation":3,"level":30,"moves":["swift","psychic","pursuit","knockoff"]},
			{"generation":3,"level":70,"moves":["cosmicpower","recover","psychoboost","hyperbeam"]},
			{"generation":4,"level":50,"moves":["psychoboost","zapcannon","irondefense","extremespeed"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"moves":["psychoboost","swift","doubleteam","extremespeed"]},
			{"generation":4,"level":50,"moves":["psychoboost","detect","counter","mirrorcoat"]},
			{"generation":4,"level":50,"moves":["psychoboost","meteormash","superpower","hyperbeam"]},
			{"generation":4,"level":50,"moves":["psychoboost","leer","wrap","nightshade"]},
			{"generation":5,"level":100,"moves":["nastyplot","darkpulse","recover","psychoboost"],"pokeball":"duskball"}
		],
		tier: "Uber"
	},
	deoxysdefense: {
		randomBattleMoves: ["spikes","stealthrock","recover","taunt","toxic","agility","seismictoss","magiccoat"],
		eventPokemon: [
			{"generation":3,"level":30,"moves":["snatch","psychic","spikes","knockoff"]},
			{"generation":3,"level":30,"moves":["superpower","psychic","pursuit","taunt"]},
			{"generation":3,"level":30,"moves":["swift","psychic","pursuit","knockoff"]},
			{"generation":3,"level":70,"moves":["cosmicpower","recover","psychoboost","hyperbeam"]},
			{"generation":4,"level":50,"moves":["psychoboost","zapcannon","irondefense","extremespeed"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"moves":["psychoboost","swift","doubleteam","extremespeed"]},
			{"generation":4,"level":50,"moves":["psychoboost","detect","counter","mirrorcoat"]},
			{"generation":4,"level":50,"moves":["psychoboost","meteormash","superpower","hyperbeam"]},
			{"generation":4,"level":50,"moves":["psychoboost","leer","wrap","nightshade"]},
			{"generation":5,"level":100,"moves":["nastyplot","darkpulse","recover","psychoboost"],"pokeball":"duskball"}
		],
		tier: "Uber"
	},
	deoxysspeed: {
		randomBattleMoves: ["spikes","stealthrock","superpower","icebeam","psychoboost","taunt","lightscreen","reflect","magiccoat","trick"],
		eventPokemon: [
			{"generation":3,"level":30,"moves":["snatch","psychic","spikes","knockoff"]},
			{"generation":3,"level":30,"moves":["superpower","psychic","pursuit","taunt"]},
			{"generation":3,"level":30,"moves":["swift","psychic","pursuit","knockoff"]},
			{"generation":3,"level":70,"moves":["cosmicpower","recover","psychoboost","hyperbeam"]},
			{"generation":4,"level":50,"moves":["psychoboost","zapcannon","irondefense","extremespeed"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"moves":["psychoboost","swift","doubleteam","extremespeed"]},
			{"generation":4,"level":50,"moves":["psychoboost","detect","counter","mirrorcoat"]},
			{"generation":4,"level":50,"moves":["psychoboost","meteormash","superpower","hyperbeam"]},
			{"generation":4,"level":50,"moves":["psychoboost","leer","wrap","nightshade"]},
			{"generation":5,"level":100,"moves":["nastyplot","darkpulse","recover","psychoboost"],"pokeball":"duskball"}
		],
		tier: "Uber"
	},
	turtwig: {
		randomBattleMoves: ["reflect","lightscreen","stealthrock","seedbomb","substitute","leechseed","toxic"],
		eventPokemon: [
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["tackle","withdraw","absorb"]},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["tackle","withdraw","absorb","stockpile"]}
		],
		maleOnlyHidden: true,
		tier: "LC"
	},
	grotle: {
		randomBattleMoves: ["reflect","lightscreen","stealthrock","seedbomb","substitute","leechseed","toxic"],
		maleOnlyHidden: true,
		tier: "NFE"
	},
	torterra: {
		randomBattleMoves: ["stealthrock","earthquake","woodhammer","stoneedge","synthesis","leechseed"],
		eventPokemon: [
			{"generation":5,"level":100,"gender":"M","isHidden":false,"moves":["woodhammer","earthquake","outrage","stoneedge"],"pokeball":"cherishball"}
		],
		maleOnlyHidden: true,
		tier: "NU"
	},
	chimchar: {
		randomBattleMoves: ["stealthrock","overheat","hiddenpowergrass","fakeout"],
		eventPokemon: [
			{"generation":4,"level":40,"gender":"M","nature":"Mild","moves":["flamethrower","thunderpunch","grassknot","helpinghand"],"pokeball":"cherishball"},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["scratch","leer","ember","taunt"]},
			{"generation":4,"level":40,"gender":"M","nature":"Hardy","moves":["flamethrower","thunderpunch","grassknot","helpinghand"],"pokeball":"cherishball"},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["leer","ember","taunt","fakeout"]}
		],
		maleOnlyHidden: true,
		tier: "LC"
	},
	monferno: {
		randomBattleMoves: ["stealthrock","overheat","hiddenpowergrass","fakeout","vacuumwave"],
		maleOnlyHidden: true,
		tier: "NU"
	},
	infernape: {
		randomBattleMoves: ["stealthrock","fireblast","closecombat","uturn","grassknot","stoneedge","machpunch","swordsdance","nastyplot","flareblitz","hiddenpowerice","thunderpunch"],
		eventPokemon: [
			{"generation":5,"level":100,"gender":"M","isHidden":false,"moves":["fireblast","closecombat","uturn","grassknot"],"pokeball":"cherishball"}
		],
		maleOnlyHidden: true,
		tier: "OU"
	},
	piplup: {
		randomBattleMoves: ["stealthrock","hydropump","scald","icebeam","hiddenpowerelectric","hiddenpowerfire","yawn"],
		eventPokemon: [
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["pound","growl","bubble"]},
			{"generation":5,"level":15,"isHidden":false,"moves":["hydropump","featherdance","watersport","peck"],"pokeball":"cherishball"},
			{"generation":5,"level":15,"gender":"M","isHidden":false,"moves":["sing","round","featherdance","peck"],"pokeball":"cherishball"},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["pound","growl","bubble","featherdance"]}
		],
		maleOnlyHidden: true,
		tier: "LC"
	},
	prinplup: {
		randomBattleMoves: ["stealthrock","hydropump","scald","icebeam","hiddenpowerelectric","hiddenpowerfire","yawn"],
		maleOnlyHidden: true,
		tier: "NFE"
	},
	empoleon: {
		randomBattleMoves: ["stealthrock","hydropump","scald","icebeam","hiddenpowerelectric","hiddenpowerfire","roar","grassknot"],
		eventPokemon: [
			{"generation":5,"level":100,"gender":"M","isHidden":false,"moves":["hydropump","icebeam","aquajet","grassknot"],"pokeball":"cherishball"}
		],
		maleOnlyHidden: true,
		tier: "UU"
	},
	starly: {
		randomBattleMoves: ["bravebird","return","uturn","pursuit"],
		eventPokemon: [
			{"generation":4,"level":1,"gender":"M","nature":"Mild","moves":["tackle","growl"]}
		],
		tier: "LC"
	},
	staravia: {
		randomBattleMoves: ["bravebird","return","uturn","pursuit"],
		tier: "NFE"
	},
	staraptor: {
		randomBattleMoves: ["bravebird","closecombat","return","uturn","quickattack","substitute","roost","doubleedge"],
		tier: "BL"
	},
	bidoof: {
		randomBattleMoves: ["return","aquatail","curse","quickattack","stealthrock"],
		eventPokemon: [
			{"generation":4,"level":1,"gender":"M","nature":"Lonely","abilities":["simple"],"moves":["tackle"]}
		],
		tier: "LC"
	},
	bibarel: {
		randomBattleMoves: ["return","waterfall","curse","quickattack","stealthrock"],
		tier: "NU"
	},
	kricketot: {
		randomBattleMoves: ["endeavor","mudslap","bugbite","strugglebug"],
		tier: "LC"
	},
	kricketune: {
		randomBattleMoves: ["swordsdance","bugbite","aerialace","brickbreak","toxic"],
		tier: "NU"
	},
	shinx: {
		randomBattleMoves: ["wildcharge","icefang","firefang","crunch"],
		tier: "LC"
	},
	luxio: {
		randomBattleMoves: ["wildcharge","icefang","firefang","crunch"],
		tier: "NFE"
	},
	luxray: {
		randomBattleMoves: ["wildcharge","icefang","firefang","crunch","superpower"],
		tier: "NU"
	},
	cranidos: {
		randomBattleMoves: ["headsmash","rockslide","earthquake","zenheadbutt","firepunch","rockpolish","crunch"],
		eventPokemon: [
			{"generation":5,"level":15,"gender":"M","isHidden":false,"moves":["pursuit","takedown","crunch","headbutt"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	rampardos: {
		randomBattleMoves: ["headsmash","rockslide","earthquake","zenheadbutt","firepunch","rockpolish","crunch"],
		tier: "NU"
	},
	shieldon: {
		randomBattleMoves: ["stealthrock","metalburst","fireblast","icebeam","protect","toxic","roar"],
		eventPokemon: [
			{"generation":5,"level":15,"gender":"M","isHidden":false,"moves":["metalsound","takedown","bodyslam","protect"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	bastiodon: {
		randomBattleMoves: ["stealthrock","metalburst","fireblast","icebeam","protect","toxic","roar"],
		tier: "NU"
	},
	burmy: {
		randomBattleMoves: ["bugbite","hiddenpowerice","electroweb","protect"],
		tier: "LC"
	},
	wormadam: {
		randomBattleMoves: ["leafstorm","gigadrain","signalbeam","hiddenpowerice","hiddenpowerrock","toxic","psychic","protect"],
		tier: "NU"
	},
	wormadamsandy: {
		randomBattleMoves: ["earthquake","toxic","rockblast","protect","stealthrock"],
		tier: "NU"
	},
	wormadamtrash: {
		randomBattleMoves: ["stealthrock","toxic","ironhead","protect"],
		tier: "NU"
	},
	mothim: {
		randomBattleMoves: ["quiverdance","bugbuzz","airslash","gigadrain","roost"],
		tier: "NU"
	},
	combee: {
		randomBattleMoves: ["bugbuzz","aircutter","endeavor","ominouswind"],
		tier: "LC"
	},
	vespiquen: {
		randomBattleMoves: ["substitute","roost","toxic","attackorder","protect","defendorder"],
		tier: "NU"
	},
	pachirisu: {
		randomBattleMoves: ["lightscreen","thunderwave","superfang","toxic","voltswitch"],
		tier: "NU"
	},
	buizel: {
		randomBattleMoves: ["waterfall","aquajet","switcheroo","brickbreak","bulkup","batonpass","icepunch"],
		tier: "LC"
	},
	floatzel: {
		randomBattleMoves: ["waterfall","aquajet","switcheroo","brickbreak","bulkup","batonpass","icepunch","crunch"],
		tier: "NU"
	},
	cherubi: {
		randomBattleMoves: ["sunnyday","solarbeam","weatherball","hiddenpowerice"],
		tier: "LC"
	},
	cherrim: {
		randomBattleMoves: ["sunnyday","solarbeam","weatherball","hiddenpowerice"],
		tier: "NU"
	},
	shellos: {
		randomBattleMoves: ["scald","clearsmog","recover","toxic","icebeam"],
		tier: "LC"
	},
	gastrodon: {
		randomBattleMoves: ["earthpower","icebeam","scald","toxic","recover","clearsmog"],
		tier: "OU"
	},
	drifloon: {
		randomBattleMoves: ["acrobatics","shadowball","substitute","calmmind","hypnosis","hiddenpowerfighting","thunderbolt","destinybond","willowisp","stockpile","batonpass"],
		tier: "LC"
	},
	drifblim: {
		randomBattleMoves: ["acrobatics","shadowball","substitute","calmmind","hypnosis","hiddenpowerfighting","thunderbolt","destinybond","willowisp","stockpile","batonpass"],
		tier: "NU"
	},
	buneary: {
		randomBattleMoves: ["fakeout","return","switcheroo","thunderpunch","jumpkick","firepunch","icepunch","healingwish"],
		tier: "LC"
	},
	lopunny: {
		randomBattleMoves: ["fakeout","return","switcheroo","thunderpunch","jumpkick","firepunch","icepunch","healingwish"],
		tier: "NU"
	},
	glameow: {
		randomBattleMoves: ["fakeout","uturn","suckerpunch","hypnosis","quickattack","return","foulplay"],
		tier: "LC"
	},
	purugly: {
		randomBattleMoves: ["fakeout","uturn","suckerpunch","hypnosis","quickattack","return"],
		tier: "NU"
	},
	stunky: {
		randomBattleMoves: ["pursuit","suckerpunch","crunch","fireblast","explosion","taunt"],
		tier: "LC"
	},
	skuntank: {
		randomBattleMoves: ["pursuit","suckerpunch","crunch","fireblast","explosion","taunt","poisonjab"],
		tier: "NU"
	},
	bronzor: {
		randomBattleMoves: ["stealthrock","psychic","toxic","hypnosis","reflect","lightscreen","trickroom","trick"],
		tier: "LC"
	},
	bronzong: {
		randomBattleMoves: ["stealthrock","psychic","earthquake","toxic","hypnosis","reflect","lightscreen","trickroom","explosion"],
		tier: "UU"
	},
	chatot: {
		randomBattleMoves: ["nastyplot","hypervoice","heatwave","hiddenpowergrass","substitute","chatter"],
		eventPokemon: [
			{"generation":4,"level":25,"gender":"M","nature":"Jolly","abilities":["keeneye"],"moves":["mirrormove","furyattack","chatter","taunt"]}
		],
		tier: "NU"
	},
	spiritomb: {
		randomBattleMoves: ["shadowsneak","suckerpunch","pursuit","trick","willowisp","calmmind","darkpulse","rest","sleeptalk"],
		eventPokemon: [
			{"generation":5,"level":61,"gender":"F","nature":"Quiet","isHidden":false,"moves":["darkpulse","psychic","silverwind","embargo"],"pokeball":"cherishball"}
		],
		tier: "RU"
	},
	gible: {
		randomBattleMoves: ["outrage","dragonclaw","earthquake","fireblast","stoneedge","stealthrock"],
		tier: "LC"
	},
	gabite: {
		randomBattleMoves: ["outrage","dragonclaw","earthquake","fireblast","stoneedge","stealthrock"],
		tier: "NU"
	},
	garchomp: {
		randomBattleMoves: ["outrage","dragonclaw","earthquake","stoneedge","firefang","swordsdance"],
		eventPokemon: [
			{"generation":5,"level":100,"gender":"M","isHidden":false,"moves":["outrage","earthquake","swordsdance","stoneedge"],"pokeball":"cherishball"},
			{"generation":5,"level":48,"gender":"M","isHidden":true,"moves":["dragonclaw","dig","crunch","outrage"]}
		],
		tier: "OU"
	},
	riolu: {
		randomBattleMoves: ["crunch","roar","copycat","drainpunch"],
		eventPokemon: [
			{"generation":4,"level":30,"gender":"M","nature":"Serious","abilities":["steadfast"],"moves":["aurasphere","shadowclaw","bulletpunch","drainpunch"]}
		],
		tier: "LC"
	},
	lucario: {
		randomBattleMoves: ["swordsdance","closecombat","crunch","extremespeed","icepunch","bulletpunch","nastyplot","aurasphere","darkpulse","vacuumwave"],
		eventPokemon: [
			{"generation":4,"level":50,"gender":"M","nature":"Modest","abilities":["steadfast"],"moves":["aurasphere","darkpulse","dragonpulse","waterpulse"],"pokeball":"cherishball"},
			{"generation":4,"level":30,"gender":"M","nature":"Adamant","abilities":["innerfocus"],"moves":["forcepalm","bonerush","sunnyday","blazekick"],"pokeball":"cherishball"},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["detect","metalclaw","counter","bulletpunch"]},
			{"generation":5,"level":50,"gender":"M","nature":"Naughty","isHidden":true,"moves":["bulletpunch","closecombat","stoneedge","shadowclaw"],"pokeball":"cherishball"}
		],
		tier: "OU"
	},
	hippopotas: {
		randomBattleMoves: ["earthquake","slackoff","whirlwind","stealthrock","protect","toxic"],
		tier: "LC"
	},
	hippowdon: {
		randomBattleMoves: ["earthquake","slackoff","whirlwind","stealthrock","protect","toxic","icefang","stoneedge","stockpile"],
		tier: "OU"
	},
	skorupi: {
		randomBattleMoves: ["toxicspikes","xscissor","poisonjab","protect"],
		tier: "LC"
	},
	drapion: {
		randomBattleMoves: ["crunch","whirlwind","toxicspikes","pursuit","earthquake","aquatail","swordsdance","poisonjab","rest","sleeptalk"],
		tier: "RU"
	},
	croagunk: {
		randomBattleMoves: ["fakeout","vacuumwave","suckerpunch","drainpunch","darkpulse"],
		eventPokemon: [
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["astonish","mudslap","poisonsting","taunt"]},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["mudslap","poisonsting","taunt","poisonjab"]}
		],
		tier: "LC"
	},
	toxicroak: {
		randomBattleMoves: ["fakeout","suckerpunch","drainpunch","bulkup","substitute","swordsdance","crosschop","icepunch"],
		tier: "OU"
	},
	carnivine: {
		randomBattleMoves: ["swordsdance","powerwhip","return","sleeppowder","substitute","leechseed"],
		tier: "NU"
	},
	finneon: {
		randomBattleMoves: ["surf","uturn","icebeam","hiddenpowerelectric","hiddenpowergrass","raindance"],
		tier: "LC"
	},
	lumineon: {
		randomBattleMoves: ["surf","uturn","icebeam","hiddenpowerelectric","hiddenpowergrass","raindance"],
		tier: "NU"
	},
	snover: {
		randomBattleMoves: ["blizzard","iceshard","gigadrain","leechseed","substitute"],
		tier: "LC"
	},
	abomasnow: {
		randomBattleMoves: ["blizzard","iceshard","gigadrain","leechseed","substitute","focusblast"],
		tier: "UU"
	},
	rotom: {
		randomBattleMoves: ["thunderbolt","discharge","voltswitch","shadowball","substitute","painsplit","hiddenpowerice","hiddenpowerfighting","willowisp","rest","sleeptalk","trick"],
		eventPokemon: [
			{"generation":5,"level":10,"nature":"Naughty","moves":["uproar","astonish","trick","thundershock"],"pokeball":"cherishball"}
		],
		tier: "RU"
	},
	rotomheat: {
		randomBattleMoves: ["thunderbolt","discharge","voltswitch","substitute","painsplit","hiddenpowerice","willowisp","rest","sleeptalk","overheat","trick"],
		eventPokemon: [
			{"generation":5,"level":10,"nature":"Naughty","moves":["uproar","astonish","trick","thundershock"],"pokeball":"cherishball"}
		],
		tier: "UU"
	},
	rotomwash: {
		randomBattleMoves: ["thunderbolt","discharge","voltswitch","substitute","painsplit","hiddenpowerice","willowisp","rest","sleeptalk","trick","hydropump"],
		eventPokemon: [
			{"generation":5,"level":10,"nature":"Naughty","moves":["uproar","astonish","trick","thundershock"],"pokeball":"cherishball"}
		],
		tier: "OU"
	},
	rotomfrost: {
		randomBattleMoves: ["thunderbolt","discharge","voltswitch","substitute","painsplit","hiddenpowerfighting","willowisp","rest","sleeptalk","trick","blizzard"],
		eventPokemon: [
			{"generation":5,"level":10,"nature":"Naughty","moves":["uproar","astonish","trick","thundershock"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	rotomfan: {
		randomBattleMoves: ["thunderbolt","discharge","voltswitch","thunderwave","substitute","painsplit","hiddenpowerfighting","willowisp","rest","sleeptalk","trick","airslash","confuseray"],
		eventPokemon: [
			{"generation":5,"level":10,"nature":"Naughty","moves":["uproar","astonish","trick","thundershock"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	rotommow: {
		randomBattleMoves: ["thunderbolt","discharge","voltswitch","substitute","painsplit","hiddenpowerice","willowisp","rest","sleeptalk","trick","leafstorm"],
		eventPokemon: [
			{"generation":5,"level":10,"nature":"Naughty","moves":["uproar","astonish","trick","thundershock"],"pokeball":"cherishball"}
		],
		tier: "RU"
	},
	uxie: {
		randomBattleMoves: ["reflect","lightscreen","uturn","psychic","thunderwave","yawn","healbell","stealthrock","trick","toxic"],
		tier: "RU"
	},
	mesprit: {
		randomBattleMoves: ["calmmind","psychic","thunderbolt","icebeam","substitute","uturn","trick","stealthrock"],
		tier: "RU"
	},
	azelf: {
		randomBattleMoves: ["nastyplot","psychic","fireblast","grassknot","thunderbolt","icepunch","uturn","trick","taunt","stealthrock","explosion"],
		tier: "UU"
	},
	dialga: {
		randomBattleMoves: ["stealthrock","dracometeor","dragonpulse","roar","dragontail","thunderbolt","outrage","bulkup","fireblast","aurasphere","rest","sleeptalk","dragonclaw"],
		eventPokemon: [
			{"generation":5,"level":100,"shiny":true,"isHidden":false,"moves":["dragonpulse","dracometeor","aurasphere","roaroftime"],"pokeball":"cherishball"}
		],
		dreamWorldPokeball: 'dreamball',
		tier: "Uber"
	},
	palkia: {
		randomBattleMoves: ["spacialrend","dracometeor","surf","hydropump","thunderbolt","outrage","fireblast"],
		eventPokemon: [
			{"generation":5,"level":100,"shiny":true,"isHidden":false,"moves":["hydropump","dracometeor","spacialrend","aurasphere"],"pokeball":"cherishball"}
		],
		dreamWorldPokeball: 'dreamball',
		tier: "Uber"
	},
	heatran: {
		randomBattleMoves: ["substitute","fireblast","lavaplume","willowisp","stealthrock","earthpower","hiddenpowergrass","hiddenpowerice","protect","toxic","roar"],
		eventPokemon: [
			{"generation":4,"level":50,"nature":"Quiet","moves":["eruption","magmastorm","earthpower","ancientpower"]}
		],
		tier: "OU"
	},
	regigigas: {
		randomBattleMoves: ["thunderwave","substitute","return","drainpunch","earthquake","firepunch","toxic","confuseray"],
		eventPokemon: [
			{"generation":4,"level":100,"moves":["ironhead","rockslide","icywind","crushgrip"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	giratina: {
		randomBattleMoves: ["rest","sleeptalk","dragontail","roar","willowisp","calmmind","dragonpulse","shadowball"],
		eventPokemon: [
			{"generation":5,"level":100,"shiny":true,"isHidden":false,"moves":["dragonpulse","dragonclaw","aurasphere","shadowforce"],"pokeball":"cherishball"}
		],
		dreamWorldPokeball: 'dreamball',
		tier: "Uber"
	},
	giratinaorigin: {
		randomBattleMoves: ["dracometeor","shadowsneak","dragontail","hiddenpowerfire","willowisp","calmmind","substitute","dragonpulse","shadowball","aurasphere","outrage"],
		requiredItem: "Griseous Orb",
		tier: "Uber"
	},
	cresselia: {
		randomBattleMoves: ["moonlight","psychic","icebeam","thunderwave","toxic","lunardance","rest","sleeptalk","calmmind","reflect","lightscreen"],
		eventPokemon: [
			{"generation":5,"level":68,"gender":"F","nature":"Modest","moves":["icebeam","psyshock","energyball","hiddenpower"]}
		],
		tier: "BL2"
	},
	phione: {
		randomBattleMoves: ["raindance","scald","uturn","rest","icebeam","surf"],
		eventPokemon: [
			{"generation":4,"level":50,"abilities":["hydration"],"moves":["grassknot","raindance","rest","surf"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	manaphy: {
		randomBattleMoves: ["tailglow","surf","icebeam","grassknot"],
		eventPokemon: [
			{"generation":4,"level":5,"moves":["tailglow","bubble","watersport"]},
			{"generation":4,"level":1,"moves":["tailglow","bubble","watersport"]},
			{"generation":4,"level":50,"moves":["acidarmor","whirlpool","waterpulse","heartswap"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"moves":["heartswap","waterpulse","whirlpool","acidarmor"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"moves":["heartswap","whirlpool","waterpulse","acidarmor"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"nature":"Impish","moves":["aquaring","waterpulse","watersport","heartswap"],"pokeball":"cherishball"}
		],
		tier: "Uber"
	},
	darkrai: {
		randomBattleMoves: ["darkvoid","darkpulse","focusblast","nastyplot","substitute","trick"],
		eventPokemon: [
			{"generation":4,"level":50,"moves":["roaroftime","spacialrend","nightmare","hypnosis"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"moves":["darkvoid","darkpulse","shadowball","doubleteam"]},
			{"generation":4,"level":50,"moves":["nightmare","hypnosis","roaroftime","spacialrend"],"pokeball":"cherishball"},
			{"generation":4,"level":50,"moves":["doubleteam","nightmare","feintattack","hypnosis"]},
			{"generation":5,"level":50,"moves":["darkvoid","ominouswind","feintattack","nightmare"],"pokeball":"cherishball"}
		],
		tier: "Uber"
	},
	shaymin: {
		randomBattleMoves: ["seedflare","earthpower","airslash","hiddenpowerfire","rest","substitute","leechseed"],
		eventPokemon: [
			{"generation":4,"level":50,"moves":["seedflare","aromatherapy","substitute","energyball"],"pokeball":"cherishball"},
			{"generation":4,"level":30,"moves":["synthesis","leechseed","magicalleaf","growth"]},
			{"generation":4,"level":30,"moves":["growth","magicalleaf","leechseed","synthesis"]},
			{"generation":5,"level":50,"moves":["seedflare","leechseed","synthesis","sweetscent"],"pokeball":"cherishball"}
		],
		tier: "UU"
	},
	shayminsky: {
		randomBattleMoves: ["seedflare","earthpower","airslash","hiddenpowerice","hiddenpowerfire","substitute","leechseed"],
		tier: "Uber"
	},
	arceus: {
		randomBattleMoves: ["swordsdance","extremespeed","shadowclaw","earthquake","recover"],
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		unobtainableShiny: true,
		tier: "Uber"
	},
	arceusbug: {
		randomBattleMoves: ["swordsdance","xscissor","stoneedge","recover","calmmind","judgment","icebeam","fireblast"],
		requiredItem: "Insect Plate",
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		tier: "Uber"
	},
	arceusdark: {
		randomBattleMoves: ["calmmind","judgment","recover","refresh"],
		requiredItem: "Dread Plate",
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		tier: "Uber"
	},
	arceusdragon: {
		randomBattleMoves: ["swordsdance","outrage","extremespeed","earthquake","recover"],
		requiredItem: "Draco Plate",
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		tier: "Uber"
	},
	arceuselectric: {
		randomBattleMoves: ["calmmind","judgment","recover","icebeam"],
		requiredItem: "Zap Plate",
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		tier: "Uber"
	},
	arceusfighting: {
		randomBattleMoves: ["calmmind","judgment","icebeam","darkpulse","recover","toxic"],
		requiredItem: "Fist Plate",
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		tier: "Uber"
	},
	arceusfire: {
		randomBattleMoves: ["calmmind","flamethrower","fireblast","thunderbolt","recover"],
		requiredItem: "Flame Plate",
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		tier: "Uber"
	},
	arceusflying: {
		randomBattleMoves: ["calmmind","judgment","refresh","recover"],
		requiredItem: "Sky Plate",
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		tier: "Uber"
	},
	arceusghost: {
		randomBattleMoves: ["calmmind","judgment","focusblast","flamethrower","recover","swordsdance","shadowclaw","brickbreak","willowisp","roar"],
		requiredItem: "Spooky Plate",
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		tier: "Uber"
	},
	arceusgrass: {
		randomBattleMoves: ["calmmind","icebeam","judgment","earthpower","recover","stealthrock","thunderwave"],
		requiredItem: "Meadow Plate",
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		tier: "Uber"
	},
	arceusground: {
		randomBattleMoves: ["swordsdance","earthquake","stoneedge","recover","calmmind","judgment","icebeam","stealthrock"],
		requiredItem: "Earth Plate",
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		tier: "Uber"
	},
	arceusice: {
		randomBattleMoves: ["calmmind","judgment","icebeam","thunderbolt","focusblast","recover"],
		requiredItem: "Icicle Plate",
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		tier: "Uber"
	},
	arceuspoison: {
		randomBattleMoves: ["calmmind","judgment","sludgebomb","focusblast","fireblast","recover","willowisp","icebeam","stealthrock"],
		requiredItem: "Toxic Plate",
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		tier: "Uber"
	},
	arceuspsychic: {
		randomBattleMoves: ["calmmind","psyshock","focusblast","recover","willowisp","judgment"],
		requiredItem: "Mind Plate",
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		tier: "Uber"
	},
	arceusrock: {
		randomBattleMoves: ["calmmind","judgment","recover","willowisp","swordsdance","stoneedge","earthquake","refresh"],
		requiredItem: "Stone Plate",
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		tier: "Uber"
	},
	arceussteel: {
		randomBattleMoves: ["calmmind","judgment","recover","roar","willowisp","swordsdance","ironhead"],
		requiredItem: "Iron Plate",
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		tier: "Uber"
	},
	arceuswater: {
		randomBattleMoves: ["swordsdance","waterfall","extremespeed","dragonclaw","recover","calmmind","judgment","icebeam","fireblast"],
		requiredItem: "Splash Plate",
		eventPokemon: [
			{"generation":4,"level":100,"moves":["judgment","roaroftime","spacialrend","shadowforce"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["recover","hyperbeam","perishsong","judgment"]}
		],
		tier: "Uber"
	},
	victini: {
		randomBattleMoves: ["vcreate","boltstrike","uturn","psychic","focusblast","blueflare"],
		eventPokemon: [
			{"generation":5,"level":15,"moves":["incinerate","quickattack","endure","confusion"]},
			{"generation":5,"level":50,"moves":["vcreate","fusionflare","fusionbolt","searingshot"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"moves":["vcreate","blueflare","boltstrike","glaciate"],"pokeball":"cherishball"}
		],
		unobtainableShiny: true,
		tier: "UU"
	},
	snivy: {
		randomBattleMoves: ["leafstorm","hiddenpowerfire","substitute","leechseed","hiddenpowerice","gigadrain"],
		eventPokemon: [
			{"generation":5,"level":5,"gender":"M","nature":"Hardy","moves":["growth","synthesis","energyball","aromatherapy"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	servine: {
		randomBattleMoves: ["leafstorm","hiddenpowerfire","substitute","leechseed","hiddenpowerice","gigadrain"],
		tier: "NFE"
	},
	serperior: {
		randomBattleMoves: ["leafstorm","hiddenpowerfire","substitute","leechseed","dragonpulse","gigadrain"],
		eventPokemon: [
			{"generation":5,"level":100,"gender":"M","moves":["leafstorm","substitute","gigadrain","leechseed"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	tepig: {
		randomBattleMoves: ["flamecharge","flareblitz","wildcharge","superpower","headsmash"],
		tier: "LC"
	},
	pignite: {
		randomBattleMoves: ["flamecharge","flareblitz","wildcharge","superpower","headsmash"],
		tier: "NFE"
	},
	emboar: {
		randomBattleMoves: ["flareblitz","superpower","flamecharge","wildcharge","headsmash","earthquake","fireblast"],
		eventPokemon: [
			{"generation":5,"level":100,"gender":"M","moves":["flareblitz","hammerarm","wildcharge","headsmash"],"pokeball":"cherishball"}
		],
		tier: "RU"
	},
	oshawott: {
		randomBattleMoves: ["swordsdance","waterfall","aquajet","xscissor"],
		tier: "LC"
	},
	dewott: {
		randomBattleMoves: ["swordsdance","waterfall","aquajet","xscissor"],
		tier: "NFE"
	},
	samurott: {
		randomBattleMoves: ["swordsdance","aquajet","waterfall","megahorn","superpower"],
		eventPokemon: [
			{"generation":5,"level":100,"gender":"M","moves":["hydropump","icebeam","megahorn","superpower"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	patrat: {
		randomBattleMoves: ["swordsdance","batonpass","substitute","hypnosis","return","superfang"],
		tier: "LC"
	},
	watchog: {
		randomBattleMoves: ["swordsdance","batonpass","substitute","hypnosis","return","superfang"],
		tier: "NU"
	},
	lillipup: {
		randomBattleMoves: ["return","wildcharge","firefang","crunch","icefang"],
		tier: "LC"
	},
	herdier: {
		randomBattleMoves: ["return","wildcharge","firefang","crunch","icefang"],
		tier: "NFE"
	},
	stoutland: {
		randomBattleMoves: ["return","wildcharge","superpower","crunch","icefang"],
		tier: "NU"
	},
	purrloin: {
		randomBattleMoves: ["swagger","thunderwave","substitute","foulplay"],
		tier: "LC"
	},
	liepard: {
		randomBattleMoves: ["swagger","thunderwave","substitute","foulplay"],
		eventPokemon: [
			{"generation":5,"level":20,"gender":"F","nature":"Jolly","isHidden":true,"moves":["fakeout","foulplay","encore","swagger"]}
		],
		tier: "NU"
	},
	pansage: {
		randomBattleMoves: ["leafstorm","hiddenpowerfire","hiddenpowerice","gigadrain","nastyplot","substitute","leechseed"],
		eventPokemon: [
			{"generation":5,"level":1,"gender":"M","nature":"Brave","isHidden":false,"moves":["bulletseed","bite","solarbeam","dig"],"pokeball":"cherishball"},
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["leer","lick","vinewhip","leafstorm"]},
			{"generation":5,"level":30,"gender":"M","nature":"Serious","isHidden":false,"moves":["seedbomb","solarbeam","rocktomb","dig"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	simisage: {
		randomBattleMoves: ["nastyplot","leafstorm","hiddenpowerfire","hiddenpowerice","gigadrain","focusblast","substitute","leechseed","synthesis"],
		tier: "NU"
	},
	pansear: {
		randomBattleMoves: ["nastyplot","fireblast","hiddenpowerelectric","hiddenpowerground","sunnyday","solarbeam","overheat"],
		eventPokemon: [
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["leer","lick","incinerate","heatwave"]}
		],
		tier: "LC"
	},
	simisear: {
		randomBattleMoves: ["nastyplot","fireblast","focusblast","grassknot","hiddenpowerground","substitute","flamethrower","overheat"],
		tier: "NU"
	},
	panpour: {
		randomBattleMoves: ["nastyplot","hydropump","hiddenpowergrass","substitute","surf","icebeam"],
		eventPokemon: [
			{"generation":5,"level":10,"gender":"M","isHidden":true,"moves":["leer","lick","watergun","hydropump"]}
		],
		tier: "LC"
	},
	simipour: {
		randomBattleMoves: ["nastyplot","hydropump","icebeam","substitute","grassknot","surf"],
		tier: "NU"
	},
	munna: {
		randomBattleMoves: ["psychic","hiddenpowerfighting","hypnosis","calmmind","moonlight","thunderwave","batonpass","psyshock","healbell","signalbeam"],
		tier: "LC"
	},
	musharna: {
		randomBattleMoves: ["calmmind","thunderwave","moonlight","psychic","hiddenpowerfighting","batonpass","psyshock","healbell","signalbeam"],
		eventPokemon: [
			{"generation":5,"level":50,"isHidden":true,"moves":["defensecurl","luckychant","psybeam","hypnosis"]}
		],
		tier: "NU"
	},
	pidove: {
		randomBattleMoves: ["pluck","uturn","return","detect","roost","wish"],
		eventPokemon: [
			{"generation":5,"level":1,"gender":"F","nature":"Hardy","isHidden":false,"abilities":["superluck"],"moves":["gust","quickattack","aircutter"]}
		],
		tier: "LC"
	},
	tranquill: {
		randomBattleMoves: ["pluck","uturn","return","detect","roost","wish"],
		tier: "NFE"
	},
	unfezant: {
		randomBattleMoves: ["pluck","uturn","return","detect","roost","wish"],
		tier: "NU"
	},
	blitzle: {
		randomBattleMoves: ["voltswitch","hiddenpowergrass","wildcharge","mefirst"],
		tier: "LC"
	},
	zebstrika: {
		randomBattleMoves: ["voltswitch","hiddenpowergrass","overheat","wildcharge"],
		tier: "NU"
	},
	roggenrola: {
		randomBattleMoves: ["autotomize","stoneedge","stealthrock","rockblast","earthquake","explosion"],
		tier: "LC"
	},
	boldore: {
		randomBattleMoves: ["autotomize","stoneedge","stealthrock","rockblast","earthquake","explosion"],
		tier: "NFE"
	},
	gigalith: {
		randomBattleMoves: ["stealthrock","rockblast","earthquake","explosion","stoneedge","autotomize","superpower"],
		tier: "NU"
	},
	woobat: {
		randomBattleMoves: ["calmmind","psychic","airslash","gigadrain","roost","heatwave","storedpower"],
		tier: "LC"
	},
	swoobat: {
		randomBattleMoves: ["calmmind","psychic","airslash","gigadrain","roost","heatwave","storedpower"],
		tier: "NU"
	},
	drilbur: {
		randomBattleMoves: ["swordsdance","rapidspin","earthquake","rockslide","shadowclaw","return","xscissor"],
		tier: "LC"
	},
	excadrill: {
		randomBattleMoves: ["swordsdance","rapidspin","earthquake","rockslide","ironhead"],
		tier: "Uber"
	},
	audino: {
		randomBattleMoves: ["wish","protect","healbell","toxic","thunderwave","reflect","lightscreen","return"],
		eventPokemon: [
			{"generation":5,"level":30,"gender":"F","nature":"Calm","isHidden":false,"abilities":["healer"],"moves":["healpulse","helpinghand","refresh","doubleslap"],"pokeball":"cherishball"},
			{"generation":5,"level":30,"gender":"F","nature":"Serious","isHidden":false,"abilities":["healer"],"moves":["healpulse","helpinghand","refresh","present"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	timburr: {
		randomBattleMoves: ["machpunch","bulkup","drainpunch","icepunch"],
		tier: "LC"
	},
	gurdurr: {
		randomBattleMoves: ["bulkup","machpunch","drainpunch","icepunch"],
		tier: "NU"
	},
	conkeldurr: {
		randomBattleMoves: ["bulkup","machpunch","drainpunch","icepunch"],
		tier: "OU"
	},
	tympole: {
		randomBattleMoves: ["hydropump","surf","sludgewave","earthpower","hiddenpowerelectric"],
		tier: "LC"
	},
	palpitoad: {
		randomBattleMoves: ["hydropump","surf","sludgewave","earthpower","hiddenpowerelectric","stealthrock"],
		tier: "NFE"
	},
	seismitoad: {
		randomBattleMoves: ["hydropump","surf","sludgewave","earthpower","hiddenpowerelectric","stealthrock"],
		tier: "NU"
	},
	throh: {
		randomBattleMoves: ["bulkup","circlethrow","icepunch","stormthrow","rest","sleeptalk"],
		tier: "NU"
	},
	sawk: {
		randomBattleMoves: ["closecombat","earthquake","icepunch","stoneedge","bulkup"],
		tier: "NU"
	},
	sewaddle: {
		randomBattleMoves: ["calmmind","gigadrain","bugbuzz","hiddenpowerfire","hiddenpowerice","airslash"],
		tier: "LC"
	},
	swadloon: {
		randomBattleMoves: ["calmmind","gigadrain","bugbuzz","hiddenpowerfire","hiddenpowerice","airslash"],
		tier: "NFE"
	},
	leavanny: {
		randomBattleMoves: ["swordsdance","leafblade","xscissor","batonpass"],
		tier: "NU"
	},
	venipede: {
		randomBattleMoves: ["toxicspikes","steamroller","spikes","poisonjab"],
		tier: "LC"
	},
	whirlipede: {
		randomBattleMoves: ["toxicspikes","steamroller","spikes","poisonjab"],
		tier: "NU"
	},
	scolipede: {
		randomBattleMoves: ["spikes","toxicspikes","megahorn","rockslide","earthquake","swordsdance","batonpass","aquatail","superpower"],
		tier: "BL3"
	},
	cottonee: {
		randomBattleMoves: ["encore","taunt","substitute","leechseed","toxic","stunspore"],
		tier: "LC"
	},
	whimsicott: {
		randomBattleMoves: ["encore","taunt","substitute","leechseed","uturn","toxic","stunspore"],
		eventPokemon: [
			{"generation":5,"level":50,"gender":"F","nature":"Timid","isHidden":false,"abilities":["prankster"],"moves":["swagger","gigadrain","beatup","helpinghand"],"pokeball":"cherishball"}
		],
		tier: "RU"
	},
	petilil: {
		randomBattleMoves: ["sunnyday","sleeppowder","solarbeam","hiddenpowerfire","hiddenpowerice","healingwish"],
		tier: "LC"
	},
	lilligant: {
		randomBattleMoves: ["quiverdance","gigadrain","sleeppowder","hiddenpowerice","hiddenpowerfire","hiddenpowerrock","petaldance"],
		tier: "RU"
	},
	basculin: {
		randomBattleMoves: ["waterfall","aquajet","superpower","crunch"],
		tier: "NU"
	},
	basculinbluestriped: {
		randomBattleMoves: ["waterfall","aquajet","superpower","crunch"],
		tier: "NU"
	},
	sandile: {
		randomBattleMoves: ["earthquake","stoneedge","pursuit","crunch"],
		tier: "LC"
	},
	krokorok: {
		randomBattleMoves: ["earthquake","stoneedge","pursuit","crunch"],
		tier: "NFE"
	},
	krookodile: {
		randomBattleMoves: ["earthquake","stoneedge","pursuit","crunch","bulkup","superpower"],
		tier: "UU"
	},
	darumaka: {
		randomBattleMoves: ["uturn","flareblitz","firepunch","rockslide","superpower"],
		tier: "LC"
	},
	darmanitan: {
		randomBattleMoves: ["uturn","flareblitz","firepunch","rockslide","earthquake","superpower"],
		eventPokemon: [
			{"generation":5,"level":35,"isHidden":true,"moves":["thrash","bellydrum","flareblitz","hammerarm"]}
		],
		tier: "UU"
	},
	maractus: {
		randomBattleMoves: ["spikes","gigadrain","leechseed","hiddenpowerfire","toxic"],
		tier: "NU"
	},
	dwebble: {
		randomBattleMoves: ["stealthrock","spikes","shellsmash","earthquake","rockblast","xscissor","stoneedge"],
		tier: "LC"
	},
	crustle: {
		randomBattleMoves: ["stealthrock","spikes","shellsmash","earthquake","rockblast","xscissor","stoneedge"],
		tier: "RU"
	},
	scraggy: {
		randomBattleMoves: ["dragondance","icepunch","highjumpkick","drainpunch","rest","bulkup","crunch"],
		eventPokemon: [
			{"generation":5,"level":1,"gender":"M","nature":"Adamant","isHidden":false,"abilities":["moxie"],"moves":["headbutt","leer","highjumpkick","lowkick"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	scrafty: {
		randomBattleMoves: ["dragondance","icepunch","highjumpkick","drainpunch","rest","bulkup","crunch"],
		eventPokemon: [
			{"generation":5,"level":50,"gender":"M","nature":"Brave","isHidden":false,"abilities":["moxie"],"moves":["firepunch","payback","drainpunch","substitute"],"pokeball":"cherishball"}
		],
		tier: "UU"
	},
	sigilyph: {
		randomBattleMoves: ["cosmicpower","roost","storedpower","psychoshift"],
		tier: "RU"
	},
	yamask: {
		randomBattleMoves: ["nastyplot","trickroom","shadowball","hiddenpowerfighting","willowisp","haze","rest","sleeptalk","painsplit"],
		tier: "LC"
	},
	cofagrigus: {
		randomBattleMoves: ["nastyplot","trickroom","shadowball","hiddenpowerfighting","willowisp","haze","rest","sleeptalk","painsplit"],
		tier: "UU"
	},
	tirtouga: {
		randomBattleMoves: ["shellsmash","aquajet","waterfall","stoneedge","earthquake","stealthrock"],
		eventPokemon: [
			{"generation":5,"level":15,"gender":"M","isHidden":false,"abilities":["sturdy"],"moves":["bite","protect","aquajet","bodyslam"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	carracosta: {
		randomBattleMoves: ["shellsmash","aquajet","waterfall","stoneedge","earthquake","stealthrock"],
		tier: "NU"
	},
	archen: {
		randomBattleMoves: ["acrobatics","stoneedge","rockslide","earthquake","uturn","pluck","headsmash"],
		eventPokemon: [
			{"generation":5,"level":15,"gender":"M","moves":["headsmash","wingattack","doubleteam","scaryface"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	archeops: {
		randomBattleMoves: ["acrobatics","stoneedge","rockslide","earthquake","uturn","pluck","headsmash"],
		tier: "RU"
	},
	trubbish: {
		randomBattleMoves: ["clearsmog","toxicspikes","spikes","gunkshot"],
		tier: "LC"
	},
	garbodor: {
		randomBattleMoves: ["spikes","toxicspikes","gunkshot","clearsmog"],
		tier: "NU"
	},
	zorua: {
		randomBattleMoves: ["suckerpunch","extrasensory","darkpulse","hiddenpowerfighting","uturn"],
		tier: "LC"
	},
	zoroark: {
		randomBattleMoves: ["suckerpunch","darkpulse","focusblast","flamethrower","uturn","nastyplot"],
		eventPokemon: [
			{"generation":5,"level":50,"gender":"M","nature":"Quirky","moves":["agility","embargo","punishment","snarl"],"pokeball":"cherishball"}
		],
		tier: "UU"
	},
	minccino: {
		randomBattleMoves: ["return","tailslap","wakeupslap","uturn","aquatail"],
		tier: "LC"
	},
	cinccino: {
		randomBattleMoves: ["return","tailslap","wakeupslap","uturn","aquatail","bulletseed","rockblast"],
		tier: "RU"
	},
	gothita: {
		randomBattleMoves: ["psychic","thunderbolt","hiddenpowerfighting","shadowball","substitute","calmmind","reflect","lightscreen","trick"],
		tier: "LC"
	},
	gothorita: {
		randomBattleMoves: ["psychic","thunderbolt","hiddenpowerfighting","shadowball","substitute","calmmind","reflect","lightscreen","trick"],
		eventPokemon: [
			{"generation":5,"level":32,"gender":"M","isHidden":true,"moves":["psyshock","flatter","futuresight","mirrorcoat"]},
			{"generation":5,"level":32,"gender":"M","isHidden":true,"moves":["psyshock","flatter","futuresight","imprison"]}
		],
		maleOnlyHidden: true,
		tier: "NFE"
	},
	gothitelle: {
		randomBattleMoves: ["psychic","thunderbolt","hiddenpowerfighting","shadowball","substitute","calmmind","reflect","lightscreen","trick"],
		maleOnlyHidden: true,
		tier: "BL"
	},
	solosis: {
		randomBattleMoves: ["calmmind","recover","psychic","hiddenpowerfighting","shadowball","trickroom","psyshock"],
		tier: "LC"
	},
	duosion: {
		randomBattleMoves: ["calmmind","recover","psychic","hiddenpowerfighting","shadowball","trickroom","psyshock"],
		tier: "NFE"
	},
	reuniclus: {
		randomBattleMoves: ["calmmind","recover","psychic","focusblast","shadowball","trickroom","psyshock"],
		tier: "OU"
	},
	ducklett: {
		randomBattleMoves: ["scald","airslash","roost","hurricane","icebeam","hiddenpowergrass","bravebird"],
		tier: "LC"
	},
	swanna: {
		randomBattleMoves: ["airslash","roost","hurricane","surf","icebeam","raindance"],
		tier: "NU"
	},
	vanillite: {
		randomBattleMoves: ["icebeam","explosion","hiddenpowerelectric","hiddenpowerfighting","autotomize"],
		tier: "LC"
	},
	vanillish: {
		randomBattleMoves: ["icebeam","explosion","hiddenpowerelectric","hiddenpowerfighting","autotomize"],
		tier: "NFE"
	},
	vanilluxe: {
		randomBattleMoves: ["icebeam","explosion","hiddenpowerelectric","hiddenpowerfighting","autotomize"],
		tier: "NU"
	},
	deerling: {
		randomBattleMoves: ["workup","agility","batonpass","seedbomb","jumpkick","naturepower","synthesis","return","thunderwave"],
		eventPokemon: [
			{"generation":5,"level":30,"gender":"F","isHidden":true,"moves":["feintattack","takedown","jumpkick","aromatherapy"]}
		],
		tier: "LC"
	},
	sawsbuck: {
		randomBattleMoves: ["swordsdance","hornleech","jumpkick","naturepower","return","substitute","synthesis","batonpass"],
		tier: "NU"
	},
	emolga: {
		randomBattleMoves: ["agility","chargebeam","batonpass","substitute","thunderbolt","airslash","roost"],
		tier: "NU"
	},
	karrablast: {
		randomBattleMoves: ["swordsdance","megahorn","return","substitute"],
		eventPokemon: [
			{"generation":5,"level":30,"isHidden":false,"moves":["furyattack","headbutt","falseswipe","bugbuzz"],"pokeball":"cherishball"},
			{"generation":5,"level":50,"isHidden":false,"moves":["megahorn","takedown","xscissor","flail"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	escavalier: {
		randomBattleMoves: ["megahorn","pursuit","ironhead","knockoff","return","swordsdance"],
		tier: "RU"
	},
	foongus: {
		randomBattleMoves: ["spore","stunspore","gigadrain","clearsmog","hiddenpowerfire","synthesis"],
		tier: "LC"
	},
	amoonguss: {
		randomBattleMoves: ["spore","stunspore","gigadrain","clearsmog","hiddenpowerfire","synthesis"],
		tier: "RU"
	},
	frillish: {
		randomBattleMoves: ["scald","willowisp","recover","toxic","shadowball"],
		tier: "LC"
	},
	jellicent: {
		randomBattleMoves: ["scald","willowisp","recover","toxic","shadowball","icebeam","gigadrain"],
		eventPokemon: [
			{"generation":5,"level":40,"isHidden":true,"moves":["waterpulse","ominouswind","brine","raindance"]}
		],
		tier: "OU"
	},
	alomomola: {
		randomBattleMoves: ["wish","protect","waterfall","toxic","scald"],
		tier: "NU"
	},
	joltik: {
		randomBattleMoves: ["thunderbolt","bugbuzz","hiddenpowerice","gigadrain","voltswitch"],
		tier: "LC"
	},
	galvantula: {
		randomBattleMoves: ["thunder","hiddenpowerice","gigadrain","bugbuzz","voltswitch"],
		tier: "RU"
	},
	ferroseed: {
		randomBattleMoves: ["spikes","stealthrock","leechseed","seedbomb","protect","thunderwave","gyroball"],
		tier: "RU"
	},
	ferrothorn: {
		randomBattleMoves: ["spikes","stealthrock","leechseed","powerwhip","thunderwave","protect"],
		tier: "OU"
	},
	klink: {
		randomBattleMoves: ["shiftgear","return","geargrind","wildcharge"],
		tier: "LC"
	},
	klang: {
		randomBattleMoves: ["shiftgear","return","geargrind","wildcharge"],
		tier: "NFE"
	},
	klinklang: {
		randomBattleMoves: ["shiftgear","return","geargrind","wildcharge"],
		tier: "RU"
	},
	tynamo: {
		randomBattleMoves: ["spark","chargebeam","thunderwave","tackle"],
		tier: "LC"
	},
	eelektrik: {
		randomBattleMoves: ["uturn","voltswitch","acidspray","wildcharge","thunderbolt","gigadrain","aquatail","coil"],
		tier: "NFE"
	},
	eelektross: {
		randomBattleMoves: ["thunderbolt","flamethrower","uturn","voltswitch","acidspray","wildcharge","drainpunch","discharge","superpower","thunderpunch","gigadrain","aquatail","coil"],
		tier: "NU"
	},
	elgyem: {
		randomBattleMoves: ["nastyplot","psychic","thunderbolt","hiddenpowerfighting","substitute","calmmind","recover","trick"],
		tier: "LC"
	},
	beheeyem: {
		randomBattleMoves: ["nastyplot","psychic","thunderbolt","hiddenpowerfighting","substitute","calmmind","recover","trick"],
		tier: "NU"
	},
	litwick: {
		randomBattleMoves: ["calmmind","shadowball","energyball","fireblast","overheat","hiddenpowerfighting","hiddenpowerground","hiddenpowerrock","trick"],
		tier: "LC"
	},
	lampent: {
		randomBattleMoves: ["calmmind","shadowball","energyball","fireblast","overheat","hiddenpowerfighting","hiddenpowerground","hiddenpowerrock","trick"],
		tier: "NU"
	},
	chandelure: {
		randomBattleMoves: ["shadowball","energyball","fireblast","overheat","hiddenpowerfighting","hiddenpowerground","hiddenpowerrock","trick","substitute","painsplit"],
		eventPokemon: [
			{"generation":5,"level":50,"gender":"F","nature":"Modest","abilities":["flashfire"],"moves":["heatwave","shadowball","energyball","psychic"],"pokeball":"cherishball"}
		],
		tier: "BL"
	},
	axew: {
		randomBattleMoves: ["dragondance","outrage","dragonclaw","swordsdance","aquatail","superpower"],
		eventPokemon: [
			{"generation":5,"level":1,"gender":"M","nature":"Naive","isHidden":false,"abilities":["moldbreaker"],"moves":["scratch","dragonrage"]},
			{"generation":5,"level":10,"gender":"F","isHidden":false,"abilities":["moldbreaker"],"moves":["dragonrage","return","endure","dragonclaw"],"pokeball":"cherishball"},
			{"generation":5,"level":30,"gender":"M","nature":"Naive","isHidden":false,"abilities":["rivalry"],"moves":["dragonrage","scratch","outrage","gigaimpact"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	fraxure: {
		randomBattleMoves: ["dragondance","swordsdance","outrage","dragonclaw","aquatail","superpower"],
		tier: "NU"
	},
	haxorus: {
		randomBattleMoves: ["dragondance","swordsdance","outrage","dragonclaw","earthquake","aquatail","superpower"],
		eventPokemon: [
			{"generation":5,"level":59,"gender":"F","nature":"Naive","isHidden":false,"abilities":["moldbreaker"],"moves":["earthquake","dualchop","xscissor","dragondance"],"pokeball":"cherishball"}
		],
		tier: "OU"
	},
	cubchoo: {
		randomBattleMoves: ["icebeam","surf","hiddenpowergrass","superpower"],
		eventPokemon: [
			{"generation":5,"level":15,"isHidden":false,"moves":["powdersnow","growl","bide","icywind"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	beartic: {
		randomBattleMoves: ["iciclecrash","superpower","nightslash","stoneedge","swordsdance","aquajet"],
		tier: "NU"
	},
	cryogonal: {
		randomBattleMoves: ["icebeam","recover","toxic","rapidspin","reflect"],
		tier: "RU"
	},
	shelmet: {
		randomBattleMoves: ["spikes","yawn","substitute","acidarmor","batonpass","recover","toxic","bugbuzz"],
		eventPokemon: [
			{"generation":5,"level":30,"isHidden":false,"moves":["strugglebug","megadrain","yawn","protect"],"pokeball":"cherishball"},
			{"generation":5,"level":50,"isHidden":false,"moves":["encore","gigadrain","bodyslam","bugbuzz"],"pokeball":"cherishball"}
		],
		tier: "LC"
	},
	accelgor: {
		randomBattleMoves: ["spikes","yawn","bugbuzz","focusblast","gigadrain","hiddenpowerrock","encore"],
		tier: "RU"
	},
	stunfisk: {
		randomBattleMoves: ["discharge","thunderbolt","earthpower","scald","toxic","rest","sleeptalk","stealthrock"],
		tier: "NU"
	},
	mienfoo: {
		randomBattleMoves: ["uturn","drainpunch","stoneedge","swordsdance","batonpass","highjumpkick","fakeout"],
		tier: "LC"
	},
	mienshao: {
		randomBattleMoves: ["uturn","fakeout","highjumpkick","stoneedge","drainpunch","swordsdance","batonpass"],
		tier: "UU"
	},
	druddigon: {
		randomBattleMoves: ["outrage","superpower","earthquake","suckerpunch","dragonclaw","dragontail","substitute","glare","stealthrock","firepunch","thunderpunch"],
		eventPokemon: [
			{"generation":5,"level":1,"shiny":true,"isHidden":false,"moves":["leer","scratch"]}
		],
		tier: "RU"
	},
	golett: {
		randomBattleMoves: ["earthquake","shadowpunch","dynamicpunch","icepunch","stealthrock"],
		tier: "LC"
	},
	golurk: {
		randomBattleMoves: ["earthquake","shadowpunch","dynamicpunch","icepunch","stoneedge","stealthrock"],
		eventPokemon: [
			{"generation":5,"level":70,"shiny":true,"isHidden":false,"abilities":["ironfist"],"moves":["shadowpunch","hyperbeam","gyroball","hammerarm"],"pokeball":"cherishball"}
		],
		tier: "NU"
	},
	pawniard: {
		randomBattleMoves: ["swordsdance","substitute","suckerpunch","ironhead","brickbreak","nightslash"],
		tier: "LC"
	},
	bisharp: {
		randomBattleMoves: ["swordsdance","substitute","suckerpunch","ironhead","brickbreak","nightslash"],
		tier: "UU"
	},
	bouffalant: {
		randomBattleMoves: ["headcharge","earthquake","stoneedge","megahorn","swordsdance","superpower"],
		tier: "RU"
	},
	rufflet: {
		randomBattleMoves: ["bravebird","rockslide","return","uturn","substitute","bulkup","roost"],
		tier: "LC"
	},
	braviary: {
		randomBattleMoves: ["bravebird","superpower","return","uturn","substitute","rockslide","bulkup","roost"],
		eventPokemon: [
			{"generation":5,"level":25,"gender":"M","isHidden":true,"moves":["wingattack","honeclaws","scaryface","aerialace"]}
		],
		tier: "NU"
	},
	vullaby: {
		randomBattleMoves: ["knockoff","roost","taunt","whirlwind","toxic","darkpulse","uturn","bravebird"],
		tier: "LC"
	},
	mandibuzz: {
		randomBattleMoves: ["knockoff","roost","taunt","whirlwind","toxic","uturn","bravebird","darkpulse"],
		eventPokemon: [
			{"generation":5,"level":25,"gender":"F","isHidden":true,"moves":["pluck","nastyplot","flatter","feintattack"]}
		],
		tier: "NU"
	},
	heatmor: {
		randomBattleMoves: ["fireblast","suckerpunch","focusblast","gigadrain"],
		tier: "NU"
	},
	durant: {
		randomBattleMoves: ["honeclaws","ironhead","xscissor","stoneedge","batonpass","superpower"],
		tier: "RU"
	},
	deino: {
		randomBattleMoves: ["outrage","crunch","firefang","dragontail","thunderwave","superpower"],
		eventPokemon: [
			{"generation":5,"level":1,"shiny":true,"moves":["tackle","dragonrage"]}
		],
		tier: "LC"
	},
	zweilous: {
		randomBattleMoves: ["outrage","crunch","firefang","dragontail","thunderwave","superpower"],
		tier: "NU"
	},
	hydreigon: {
		randomBattleMoves: ["uturn","dracometeor","substitute","dragonpulse","focusblast","fireblast","surf","darkpulse","roost"],
		eventPokemon: [
			{"generation":5,"level":70,"shiny":true,"gender":"M","moves":["hypervoice","dragonbreath","flamethrower","focusblast"],"pokeball":"cherishball"}
		],
		tier: "OU"
	},
	larvesta: {
		randomBattleMoves: ["flareblitz","uturn","wildcharge","zenheadbutt","morningsun","willowisp"],
		tier: "LC"
	},
	volcarona: {
		randomBattleMoves: ["quiverdance","fierydance","fireblast","bugbuzz","roost","gigadrain"],
		eventPokemon: [
			{"generation":5,"level":35,"moves":["stringshot","leechlife","gust","firespin"]},
			{"generation":5,"level":77,"gender":"M","nature":"Calm","moves":["bugbuzz","overheat","hyperbeam","quiverdance"],"pokeball":"cherishball"}
		],
		tier: "OU"
	},
	cobalion: {
		randomBattleMoves: ["closecombat","ironhead","swordsdance","substitute","stoneedge","voltswitch","hiddenpowerice","thunderwave","stealthrock"],
		tier: "UU"
	},
	terrakion: {
		randomBattleMoves: ["stoneedge","closecombat","swordsdance","rockpolish","substitute","stealthrock"],
		tier: "OU"
	},
	virizion: {
		randomBattleMoves: ["swordsdance","calmmind","closecombat","focusblast","hiddenpowerice","stoneedge","leafblade","gigadrain","substitute","synthesis"],
		tier: "UU"
	},
	tornadus: {
		randomBattleMoves: ["hurricane","airslash","uturn","bulkup","acrobatics","superpower","focusblast","taunt","substitute","heatwave"],
		eventPokemon: [
			{"generation":5,"level":70,"gender":"M","isHidden":false,"moves":["hurricane","hammerarm","airslash","hiddenpower"],"pokeball":"cherishball"}
		],
		dreamWorldPokeball: 'dreamball',
		tier: "UU"
	},
	tornadustherian: {
		randomBattleMoves: ["hurricane","airslash","focusblast","uturn","heatwave"],
		eventPokemon: [
			{"generation":5,"level":70,"gender":"M","isHidden":false,"moves":["hurricane","hammerarm","airslash","hiddenpower"],"pokeball":"cherishball"}
		],
		tier: "Uber"
	},
	thundurus: {
		randomBattleMoves: ["thunderwave","nastyplot","thunderbolt","hiddenpowerice","focusblast","grassknot","substitute"],
		eventPokemon: [
			{"generation":5,"level":70,"gender":"M","isHidden":false,"moves":["thunder","hammerarm","focusblast","wildcharge"],"pokeball":"cherishball"}
		],
		dreamWorldPokeball: 'dreamball',
		tier: "Uber"
	},
	thundurustherian: {
		randomBattleMoves: ["nastyplot","agility","thunderbolt","hiddenpowerice","focusblast","grassknot"],
		eventPokemon: [
			{"generation":5,"level":70,"gender":"M","isHidden":false,"moves":["thunder","hammerarm","focusblast","wildcharge"],"pokeball":"cherishball"}
		],
		tier: "OU"
	},
	reshiram: {
		randomBattleMoves: ["blueflare","dracometeor","dragonpulse","flamethrower","flamecharge","roost"],
		eventPokemon: [
			{"generation":5,"level":100,"moves":["blueflare","fusionflare","mist","dracometeor"],"pokeball":"cherishball"}
		],
		unobtainableShiny: true,
		tier: "Uber"
	},
	zekrom: {
		randomBattleMoves: ["voltswitch","outrage","dragonclaw","boltstrike","honeclaws","substitute","dracometeor","fusionbolt","roost"],
		eventPokemon: [
			{"generation":5,"level":100,"moves":["boltstrike","fusionbolt","haze","outrage"],"pokeball":"cherishball"}
		],
		unobtainableShiny: true,
		tier: "Uber"
	},
	landorus: {
		randomBattleMoves: ["earthpower","focusblast","rockpolish","hiddenpowerice","psychic"],
		dreamWorldPokeball: 'dreamball',
		tier: "Uber"
	},
	landorustherian: {
		randomBattleMoves: ["rockpolish","earthquake","stoneedge","uturn","superpower","stealthrock"],
		tier: "OU"
	},
	kyurem: {
		randomBattleMoves: ["substitute","icebeam","dracometeor","dragonpulse","focusblast","outrage","earthpower","roost"],
		tier: "BL"
	},
	kyuremblack: {
		randomBattleMoves: ["outrage","fusionbolt","icebeam","roost"],
		tier: "OU"
	},
	kyuremwhite: {
		randomBattleMoves: ["dracometeor","dragonpulse","icebeam","fusionflare","earthpower","focusblast","roost"],
		tier: "Uber"
	},
	keldeo: {
		randomBattleMoves: ["hydropump","secretsword","calmmind","hiddenpowerghost","hiddenpowerelectric","substitute","surf"],
		eventPokemon: [
			{"generation":5,"level":15,"moves":["aquajet","leer","doublekick","bubblebeam"],"pokeball":"cherishball"},
			{"generation":5,"level":50,"moves":["sacredsword","hydropump","aquajet","swordsdance"],"pokeball":"cherishball"}
		],
		dreamWorldPokeball: 'cherishball',
		unobtainableShiny: true,
		tier: "OU"
	},
	meloetta: {
		randomBattleMoves: ["relicsong","closecombat","calmmind","psychic","thunderbolt","hypervoice","uturn"],
		eventPokemon: [
			{"generation":5,"level":15,"moves":["quickattack","confusion","round"],"pokeball":"cherishball"},
			{"generation":5,"level":50,"moves":["round","teeterdance","psychic","closecombat"],"pokeball":"cherishball"}
		],
		dreamWorldPokeball: 'cherishball',
		unobtainableShiny: true,
		tier: "UU"
	},
	genesect: {
		randomBattleMoves: ["uturn","bugbuzz","icebeam","flamethrower","thunderbolt"],
		eventPokemon: [
			{"generation":5,"level":50,"moves":["technoblast","magnetbomb","solarbeam","signalbeam"],"pokeball":"cherishball"},
			{"generation":5,"level":15,"moves":["technoblast","magnetbomb","solarbeam","signalbeam"],"pokeball":"cherishball"},
			{"generation":5,"level":100,"shiny":true,"nature":"Hasty","moves":["extremespeed","technoblast","blazekick","shiftgear"],"pokeball":"cherishball"}
		],
		dreamWorldPokeball: 'cherishball',
		tier: "Uber"
	},
	missingno: {
		isNonstandard: true,
		tier: ""
	},
	tomohawk: {
		randomBattleMoves: ["aurasphere","roost","stealthrock","rapidspin","hurricane","airslash","taunt","substitute","toxic"],
		isNonstandard: true,
		tier: "CAP"
	},
	necturna: {
		randomBattleMoves: ["powerwhip","hornleech","sacredfire","boltstrike","vcreate","extremespeed","closecombat","shellsmash","spore","recover","batonpass"],
		isNonstandard: true,
		tier: "CAP"
	},
	mollux: {
		randomBattleMoves: ["fireblast","thunderbolt","sludgebomb","thunderwave","willowisp","recover","rapidspin","trick","stealthrock","toxicspikes"],
		isNonstandard: true,
		tier: "CAP"
	},
	aurumoth: {
		randomBattleMoves: ["dragondance","quiverdance","closecombat","tailglow","wish","bugbuzz","hydropump","megahorn","psychic","overheat","blizzard","thunder","focusblast"],
		isNonstandard: true,
		tier: "CAP"
	},
	malaconda: {
		randomBattleMoves: ["powerwhip","glare","crunch","toxic","suckerpunch","rest","substitute","uturn","synthesis","rapidspin"],
		isNonstandard: true,
		tier: "CAP"
	},
	syclant: {
		randomBattleMoves: ["bugbuzz","icebeam","blizzard","earthpower","spikes","superpower","tailglow","uturn","focusblast"],
		isNonstandard: true,
		tier: "CAP"
	},
	revenankh: {
		randomBattleMoves: ["bulkup","shadowsneak","drainpunch","moonlight","powerwhip","icepunch"],
		isNonstandard: true,
		tier: "CAP"
	},
	pyroak: {
		randomBattleMoves: ["leechseed","lavaplume","substitute","protect"],
		isNonstandard: true,
		tier: "CAP"
	},
	fidgit: {
		randomBattleMoves: ["spikes","stealthrock","toxicspikes","wish","rapidspin","encore","uturn","sludgebomb"],
		isNonstandard: true,
		tier: "CAP"
	},
	stratagem: {
		randomBattleMoves: ["paleowave","earthpower","fireblast","gigadrain","calmmind"],
		isNonstandard: true,
		tier: "CAP"
	},
	arghonaut: {
		randomBattleMoves: ["recover","bulkup","waterfall","crosschop","stoneedge","thunderpunch"],
		isNonstandard: true,
		tier: "CAP"
	},
	kitsunoh: {
		randomBattleMoves: ["shadowstrike","superpower","meteormash","uturn","icepunch","thunderpunch","trick","willowisp"],
		isNonstandard: true,
		tier: "CAP"
	},
	cyclohm: {
		randomBattleMoves: ["slackoff","dracometeor","dragonpulse","fireblast","thunderbolt","hydropump"],
		isNonstandard: true,
		tier: "CAP"
	},
	colossoil: {
		randomBattleMoves: ["earthquake","crunch","suckerpunch","uturn","rapidspin","encore","pursuit"],
		isNonstandard: true,
		tier: "CAP"
	},
	krilowatt: {
		randomBattleMoves: ["surf","thunderbolt","icebeam","counter","mirrorcoat","earthquake"],
		isNonstandard: true,
		tier: "CAP"
	},
	voodoom: {
		randomBattleMoves: ["aurasphere","darkpulse","taunt","painsplit"],
		isNonstandard: true,
		tier: "CAP"
	}
};
